=== ChangeLog discontinued ===

	With the move to git, we stop maintaining a separate ChangeLog and
	rely on proper commit messages instead.  Web view of changes:
	<http://git.gnome.org/browse/perl-Gtk2/>.

2009-03-24  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.exports: Don't try to export newSVPangoRectangle and
	SvPangoRectangle; it's now done by Pango.  Patch by Martin
	Schlemmer.  (GNOME #576373)

2009-03-24  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* gtk2perl-private.h
	* xs/GdkPango.xs: Don't declare
	gtk2perl_pango_attribute_register_custom_type; it's now properly
	exported by Pango.  Move the PangoAttribute related macros from
	the private header directly into GdkPango.xs, the only place where
	they are used.

2009-03-24  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkStyle.t: Correct a skip count.  Reported by Ryan Niebur.

2009-03-17  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* Makefile.PL
	* NEWS
	* README: Stable release 1.220.

2009-03-17  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkStyle.t
	* xs/GtkStyle.xs: Adapt to the rename of gtk_style_get_property to
	gtk_style_get_style_property.  Make
	Gtk2::Style::get_style_property an alias for Gtk2::Style::get.

2009-03-17  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkCellView.t
	* t/GtkEntry.t
	* t/GtkIMContext.t
	* t/GtkImageMenuItem.t
	* t/GtkOrientable.t
	* t/GtkPrintSettings.t
	* t/GtkStatusIcon.t
	* t/GtkStyle.t
	* xs/GtkCellView.xs
	* xs/GtkEntry.xs
	* xs/GtkIMMulticontext.xs
	* xs/GtkImageMenuItem.xs
	* xs/GtkPrintOperation.xs
	* xs/GtkPrintSettings.xs
	* xs/GtkSelection.xs
	* xs/GtkStatusIcon.xs
	* xs/GtkStyle.xs: Change all versions checks to refer to stable
	releases only.

2009-03-08  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* Makefile
	* NEWS
	* README: Unstable release 1.212.

2009-03-08  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkHBox.t: Test that widgets packed into a box are completely
	freed upon removal even if they previously appeared as a callback
	argument.  This is a test for a recent memory leak fix in Glib.

	* t/GtkTreeModelIface.t: The leak fix mentioned above causes this
	test to correctly run FINALIZE_INSTANCE now, so adjust the test
	plan.

2009-03-08  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkTreeModelFilter.t
	* xs/GtkTreeModelFilter.xs: Take ownership of objects returned by
	gtk_tree_model_filter_new to avoid leaking them.  Patch by
	Kevin Ryde.

2009-03-08  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkStyle.t
	* xs/GtkStyle.xs: Remove the get_property() alias for
	Gtk2::Style::get() so that calling get_property() on a Gtk2::Style
	resolves to Glib::Object::get_property().

2009-03-01  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkAccelGroup.xs: Remove two FIXME comments which turned out
	to be incorrect.  Patch by Kevin Ryde.

2009-02-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkKeys.t: Skip most tests if we can't find a key entry to
	test against.

2009-02-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/00.Gtk2.t: Don't fail if there is no valid DISPLAY.

2009-02-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* pm/TestHelper.pm
	* pm/Helper.pm
	* Gtk2.pm: Fix more POD errors.

2009-02-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/Gtk2.xs
	* xs/GtkTreeModel.xs
	* xs/GtkWidget.xs
	* xs/GtkWindow.xs: Fix POD errors reported by podchecker.

2009-02-21  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkStyle.t
	* xs/GtkStyle.xs: Wrap the gtk_style_get() family of methods as
	Gtk2::Style::get(), and make Gtk2::Style::get_property() an alias
	for get().  Patch by Emmanuel Rodriguez.

2009-02-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* NEWS
	* README: Unstable release 1.211.

2009-02-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Makefile.PL: Require Glib 1.212 for the precompiled headers
	stuff.  Print the stability warning.

2009-02-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* gtk2perl.h: Remove the definitions for the custom pango GTypes.
	They now come from pango-perl.h.

2009-02-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkIconView.xs: Fix stack handling bugs in
	Gtk2::IconView::get_item_at_pos(), get_dest_item_at_pos(), and
	get_tooltip_context().  Patch by Kevin Ryde.

2009-02-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkBindings.xs (gtk2perl_binding_set_get_type): To make the
	doc generator happy, register our custom GtkBindingSet GType under
	the name "GtkBindingSet".

2009-02-11  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* constants-2.0
	* gtk2perl.h
	* Gtk2.pm
	* MANIFEST
	* maps-2.0
	* xs_files-2.0
	* t/GtkBindings.t
	* xs/GtkBindings.xs: Wrap the GtkBindings stuff.  Patch by
	Kevin Ryde.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* MANIFEST
	* maps-2.16
	* xs_files-2.16
	* t/GtkOrientable.t
	* xs/GtkOrientable.xs: Wrap the new GtkOrientable interface.  No
	support for implementing it in Perl subclasses yet.  Patch by
	Emmanuel Rodriguez.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkEntry.t: Test Gtk2::Entry->get_icon_storage_type.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkEntry.t
	* xs/GtkEntry.xs: Track the recent upstream function renaming:
	gtk_entry_get_pixbuf → gtk_entry_get_icon_pixbuf,
	gtk_entry_get_stock → gtk_entry_get_icon_stock, and
	gtk_entry_get_storage_type → gtk_entry_get_icon_storage_type.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GdkX11.xs: Call the atom arg for
	Gtk2::Gdk::Atom->to_xatom_for_display "atom" for clarity in the
	generated POD.  Patch by Kevin Ryde.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkRecentChooser.t
	* t/GtkRecentManager.t: Use Gtk2->main_iteration instead of
	Gtk2::TestHelper's run_main to spin the main loop.  This avoids
	hangs on some machines.  Patch by Jeffrey Ratcliffe.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkIconTheme.t: Skip tests that rely on the presence of a
	stock icon if that icon isn't present.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/pango-compat.t: Don't use Gtk2::Pango::Cairo::FontMap in the
	compatibility checks as it isn't available in all pango versions
	and I don't want to fiddle with version checks.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkEvent.t: Fix a skip count.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkAction.t: Use an activatable widget for testing the proxy
	stuff.  Recent gtk+ versions enforce this.

2009-02-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkPixbufLoader.t: Don't use an auto-detecting pixbuf loader
	since that's broken for PPM images in at least gtk+ >= 2.14.3 (see
	GNOME #570780).

2009-01-20  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkX11.t
	* xs/GdkX11.xs: Wrap gdk_x11_atom_to_xatom and
	gdk_x11_atom_to_xatom_for_display.  Patch by chris.  (GNOME
	#566884)

2009-01-20  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkCellRenderer.t
	* xs/GtkCellRenderer.xs: In gtk2perl_cell_renderer_start_editing,
	make sure we return an object with a floating reference as is
	expected of a start_editing vfunc.  In the xsub for
	gtk_cell_renderer_start_editing and in the fallback START_EDITING
	xsub, make sure we sink any floating reference on the created cell
	editable in order to comply with the usual rule of not passing
	floating references on to Perl code.  Patch by Kevin Ryde.

2009-01-20  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkBuildable.xs: Declare all private functions as 'static' so
	that they aren't exported.

2009-01-19  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkSelection.xs: Fix the definition of the accessor macros
	for older gtk+.  Patch by Kevin Ryde.

2009-01-18  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkSelection.xs: Use gtk_selection_data_get_selection when
	available.  Also introduce convenience defines for the other
	GtkSelectionData accessors.  Patch by Emmanuel Rodriguez and
	muppet.

2009-01-18  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkPrintSettings.t
	* xs/GtkPrintSettings.xs: Wrap new API.  Patch by Emmanuel
	Rodriguez.

2009-01-18  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkPrintOperation.t
	* xs/GtkPrintOperation.xs: Wrap new API.  Patch by Emmanuel
	Rodriguez.

2009-01-18  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Makefile.PL: Use Glib::MakeHelper to create a
	'precompiled-headers' target that precompiles gtk2perl.h.  This
	speeds up the compilation of Gtk2 by 36% on my machine.

2009-01-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* AUTHORS
	* t/GtkStatusIcon.t
	* xs/GtkStatusIcon.xs: Wrap new GtkStatusIcon API.  Patch by
	Chris Sincock.

2009-01-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkIMContext.t
	* xs/GtkIMMulticontext.xs: Wrap
	gtk_im_multicontext_get_context_id.  Patch by Emmanuel Rodriguez.

2009-01-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkImageMenuItem.t
	* xs/GtkImageMenuItem.xs: Wrap new GtkImageMenuItem API.  Patch by
	Emmanuel Rodriguez.

2009-01-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkCellView.t
	* xs/GtkCellView.xs: Allow undef for the model in
	Gtk2::CellView::set_model.

2009-01-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkCellView.t
	* xs/GtkCellView.xs: Wrap gtk_cell_view_get_model.  Patch by
	Emmanuel Rodriguez.

2009-01-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* AUTHORS
	* MANIFEST
	* maps-2.16 (added)
	* t/GtkEntry.t
	* xs/GtkEntry.xs: Wrap the new GtkEntry API.  Patch by
	Emmanuel Rodriguez.

2009-01-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm: In the Gtk2::Pango compatibility code, avoid warnings
	about names that are used only once by checking for definedness
	before creating aliases.

2009-01-01  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/Gtk2.xs
	* xs/GtkWindow.xs: Use Gtk2::EVENT_STOP and EVENT_PROPAGATE in the
	synopsis for Gtk2::Window and in the docs for
	Gtk2::key_snooper_install.  Patch by Kevin Ryde.

2008-12-30  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkTreeModel.xs: Document the signature of the callback used
	by Gtk2::TreeModel::foreach.  Patch by Kevin Ryde.

2008-12-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkEntryCompletion.t
	* xs/GtkEntryCompletion.xs: In Gtk2::EntryCompletion::set_model,
	allow undef for the model parameter.  (#562682)

2008-12-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkEntryCompletion.xs: Fix a leak in
	Gtk2::EntryCompletion::new.  (#562682)

2008-11-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/00.Gtk2.t
	* xs/Gtk2.xs: Wrap gtk_get_option_group.

2008-11-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm:
	* NEWS:
	* README: Unstable release 1.210.

2008-11-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Makefile.PL: Unconditionally use META_MERGE.  Tell the CPAN
	indexer to ignore the directories "tools" and "xs".

2008-11-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm: Link to Pango.

2008-11-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Makefile.PL
	* README: Update Pango requirement to 1.210.

2008-11-15  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	Use the standalone Pango module.

	* CodeGen.pm: Add handlers for 'Alias' variants of most types.

	* maps_pango-1.0
	* maps_pango-1.4
	* maps_pango-1.6
	* maps_pango-1.8
	* maps_pango-1.10
	* maps_pango-1.16
	* maps_pango-1.18: Use the above to register Gtk2::Pango::* type
	aliases.

	* gtk2perl.h: Include pango-perl.h

	* Gtk2.pm: Use Pango.  Set up package aliases under Gtk2::Pango::
	for the things that now live under Pango::.

	* xs/Gtk2.xs: Remove unneeded pango stuff.  Make the doc generator
	create stub Gtk2::Pango::* POD pages that explain the situation
	and link to the relevant Pango::* docs.

	* MANIFEST
	* t/pango-compat.t (added): Add some tests that try to ensure
	backwards compatibility in ways not tested by the existing
	t/Pango*.t tests.

	* doctypes
	* Makefile.PL: Remove unneeded pango stuff.

	* MANIFEST
	* pango.typemap (deleted)
	* xs/PangoAttributes.xs (deleted)
	* xs/PangoCairo.xs (deleted)
	* xs/PangoContext.xs (deleted)
	* xs/PangoFontMap.xs (deleted)
	* xs/PangoFontset.xs (deleted)
	* xs/PangoFont.xs (deleted)
	* xs/PangoGravity.xs (deleted)
	* xs/PangoLayout.xs (deleted)
	* xs/PangoMatrix.xs (deleted)
	* xs/PangoRenderer.xs (deleted)
	* xs/PangoScript.xs (deleted)
	* xs/PangoTabs.xs (deleted)
	* xs/PangoTypes.xs (deleted)
	* xs_files_pango-1.0 (deleted)
	* xs_files_pango-1.6 (deleted)
	* xs_files_pango-1.10 (deleted)
	* xs_files_pango-1.16 (deleted): Remove now unneeded files.

2008-11-15  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkSocket-GtkPlug.t: Correct skip count for the case of
	finding no "blib" directory.

2008-11-01  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* xs/GtkWidget.xs: Add constants Gtk2::EVENT_STOP and
	EVENT_PROPAGATE for use in event handlers.  Patch by Kevin Ryde.

2008-11-01  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkCellRenderer.t
	* xs/GtkCellRenderer.xs: Fix the stack handling in
	Gtk2::CellRenderer::get_size().  Patch by Kevin Ryde.

2008-11-01  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkCellRenderer.xs: Hush compiler warning.

2008-11-01  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkBuildable.xs: Mention in the POD that chaining up to the
	parent does not work yet for custom Gtk2::Buildable
	implementations.  Patch by Kevin Ryde.

2008-10-26  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* NEWS
	* README: Stable release 1.202.

2008-10-26  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkTreeView.t
	* xs/GtkTreeView.xs: Handle undef for callbacks correctly in
	Gtk2::TreeView::set_column_drag_function() and
	set_row_separator_func().

2008-10-26  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/version-checks.t: Don't use the -init flag as this breaks the
	test when run without DISPLAY.

2008-10-26  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkTreeView.t: For most callback tests, make sure we handle
	the case gracefully where they are not called at all.

2008-10-19  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* NEWS
	* README: Stable release 1.201.

2008-10-19  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Makefile.PL: ExtUtils::MakeMaker 6.46 removed support for
	EXTRA_META in favor of the new META_MERGE and META_ADD.  Adapt.

2008-10-19  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkProperty.t: Fix some test failures reported to occur on
	sun4-solaris.

2008-10-19  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkEditable.t
	* t/GtkSpinButton.t: Don't use adjustments with a non-zero page
	size for spin buttons to hush the warnings gtk+ recently started
	issuing.

	* t/01.GtkWindow.t
	* t/02.GtkContainer.t
	* t/GdkScreen.t
	* t/GdkWindow.t
	* t/GtkAccelGroup.t
	* t/GtkBuilder.t
	* t/GtkCalendar.t
	* t/GtkClipboard.t
	* t/GtkEntry.t
	* t/GtkFontSelection.t
	* t/GtkIconTheme.t
	* t/GtkLinkButton.t
	* t/GtkMenu.t
	* t/GtkMenuItem.t
	* t/GtkMessageDialog.t
	* t/GtkPageSetup.t
	* t/GtkPrintSettings.t
	* t/GtkScaleButton.t
	* t/GtkShow.t
	* t/GtkSocket-GtkPlug.t
	* t/GtkStatusIcon.t
	* t/GtkToolItem.t
	* t/GtkToolShell.t
	* t/GtkTooltip.t
	* t/GtkWidget.t
	* t/PangoLayout.t
	* xs/GdkEvent.xs
	* xs/GdkScreen.xs
	* xs/GdkWindow.xs
	* xs/GtkAccelGroup.xs
	* xs/GtkBuilder.xs
	* xs/GtkCalendar.xs
	* xs/GtkClipboard.xs
	* xs/GtkColorSelectionDialog.xs
	* xs/GtkContainer.xs
	* xs/GtkDialog.xs
	* xs/GtkEntry.xs
	* xs/GtkFontSelection.xs
	* xs/GtkHandleBox.xs
	* xs/GtkIconTheme.xs
	* xs/GtkLayout.xs
	* xs/GtkLinkButton.xs
	* xs/GtkMenu.xs
	* xs/GtkMenuItem.xs
	* xs/GtkMessageDialog.xs
	* xs/GtkPageSetup.xs
	* xs/GtkPlug.xs
	* xs/GtkPrintSettings.xs
	* xs/GtkScaleButton.xs
	* xs/GtkSelection.xs
	* xs/GtkSocket.xs
	* xs/GtkStatusIcon.xs
	* xs/GtkToolItem.xs
	* xs/GtkTooltip.xs
	* xs/GtkWidget.xs
	* xs/GtkWindow.xs: Refer to stable versions of gtk+ and pango in
	version checks.

2008-10-18  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkTreeDnd.xs: Document that
	Gtk2::SelectionData::get_row_drag_data works only on selection
	data objects with target type GTK_TREE_MODEL_ROW.  Patch by Kevin Ryde.

	* MANIFEST
	* t/GtkTreeDnd.t: Tests for Gtk2::TreeDragSource::drag_data_get by
	Kevin Ryde.

	* t/GtkStatusIcon.t
	* xs/GtkStatusIcon.xs
	* xs/GtkTreeDnd.xs
	* xs/GtkTreeView.xs
	* xs/GtkTreeViewColumn.xs: Fix stack handling bugs in
	Gtk2::StatusIcon::position_menu,
	Gtk2::TreeDragSource::drag_data_get,
	Gtk2::TreeView::get_tooltip_context, and
	Gtk2::TreeViewColumn::cell_get_size.  Patch by Kevin Ryde.

	* xs/GdkGC.xs
	* xs/GtkGC.xs: Document the hash structure used to represent
	GdkGCValues.  Patch by Kevin Ryde.

	* xs/GtkObject.xs (gtk2perl_new_gtkobject): Make the debugging
	code cope with NULL objects.

	* t/GtkAction.t
	* xs/GtkAction.xs: Don't sink the widgets returned by
	gtk_action_get_proxies.  This fixes the problems with using
	Gtk2::Action::get_proxies in the "connect-proxy" signal.  Patch by
	Kevin Ryde.

	* api.pod (Memory Handling): Explain the lifespan issues
	associated with Glib::Boxed.  Patch by Kevin Ryde.

	* xs/GtkWidget.xs: Mention that the objects returned by
	requisition() and allocation() are only valid as long as the
	widget lives (unless they are copied).

2008-10-05  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GdkRgb.xs (SvImageDataPointer): Add a return statement even
	if it cannot be reached, to hush compiler warnings.

	* t/version-checks.t: Use -init instead of -threads-init in the
	version check tests to avoid issues on systems with a glib without
	thread support.

	* t/GtkTreeView.t: Skip the set_search_equal_func() test when gtk+
	< 2.10 since the test uses and needs set_search_entry().  Fix the
	skip count for the set_search_position_func() test.

	* t/00.Gtk2.t: Print version information to aid in debugging test
	failure reports.

2008-09-20  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* Makefile.PL
	* NEWS
	* README: Stable release 1.200.

2008-09-20  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* api.pod: Improve the explanation of callbacks and user data.
	Patch by Kevin Ryde.

2008-09-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkTreeModelIface.t
	* xs/GtkTreeSortable.xs: Fix a stack handling bug in
	Gtk2::TreeSortable::get_sort_column_id.

	* t/GtkCellLayoutIface.t
	* xs/GtkCellLayout.xs: Fix a stack handling bug in
	Gtk2::CellLayout::get_cells.

	* t/GtkTreeModelIface.t
	* xs/GtkTreeModel.xs: Fix yet another stack handling bug in
	Gtk2::TreeModel::get.  Patch by Kevin Ryde.

2008-09-07  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* NEWS
	* README: Unstable release 1.193.

2008-09-07  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkTreeModelIface.t
	* xs/GtkTreeModel.xs: The 2008-08-31 change broke the
	explicit-columns case of Gtk2::TreeModel::get.  Fix it.  Test it.

	* t/GtkLinkButton.t: Test that URI hooks can disconnect themselves
	and modify the user data.  Patch by Kevin Ryde.

	* t/GtkIconView.t: Fix test failure on older gtk+.

2008-09-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	Fix some test failures related to floating point number
	comparisons.

	* pm/TestHelper.pm: Add delta_ok() for comparing floating point
	numbers.

	* t/GdkInput.t
	* t/GtkProgressBar.t
	* t/GtkRange.t
	* t/GtkSpinButton.t
	* t/PangoMatrix.t: Use delta_ok().

	* t/GtkSimpleList.t: Simply don't use floating point numbers here.

2008-09-06  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkPixbuf.t: If saving a pixbuf in 'jpeg' format is not
	supported, try 'png'.  Patch by Flavio Poletti.  (RT #37135)

	* t/version-checks.t: Don't use the '-init' import switch since it
	might abort the test.  Use '-threads-init' instead, and properly
	quote it.

	* xs/GtkTreeDnd.xs: Use gdk_atom_intern instead of
	gdk_atom_intern_static_string; the latter is only available in
	gtk+ >= 2.10.

2008-08-31  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* NEWS
	* README: Unstable release 1.192.

2008-08-31  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkLinkButton.t
	* xs/GtkLinkButton.xs: Wrap gtk_link_button_set_visited and
	gtk_link_button_get_visited.

	* t/GtkTreeModelIface.t
	* xs/GtkTreeModel.xs: Fix the stack handling in the xsub for
	gtk_tree_model_get.  We need to call SPAGAIN before and PUTBACK
	after code that modifies the local stack pointer (PUSHs and XPUSHs
	for example).  Patch by Kevin Ryde.

	* t/GtkWidget.t
	* xs/GtkWidget.xs: Make Gtk2::Widget::hide_on_delete ignore excess
	arguments so that it is actually usable.  Patch by Kevin Ryde.

	* xs/GtkSelection.xs: gtk_selection_data_get_data was split up
	into gtk_selection_data_get_data and
	gtk_selection_data_get_length.  Update the wrappers accordingly.

2008-08-23  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/PangoLayout.xs: Fix a leak in the wrapper of
	pango_layout_line_get_x_ranges.  Patch by Kevin Ryde.

	* t/GtkFileChooser.t
	* t/GtkTreeView-Dnd.t: Improve the wording of the skip_all
	messages.

	* xs/GtkTreeDnd.xs: Change the wrapper for
	gtk_tree_drag_source_drag_data_get so it also accepts a selection
	data object that is to be filled in, instead of always just
	returning a new one.  Patch by Kevin Ryde.

	* t/GtkTreeView.t: Use separately created tree views for certain
	parts of the test.  Properly test set_search_equal_func and
	set_search_position_func.  Make the tests for the coordinate
	converters and for the tooltip stuff more robust.

	* xs/GtkWindow.xs: Use Gtk2::Widget::hide_on_delete in the POD.
	Patch by Kevin Ryde.

2008-08-18  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* NEWS
	* README: Unstable release 1.191.

2008-08-18  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkColorSelectionDialog.xs:
	gtk_color_selection_dialog_get_color_selection is broken
	currently, so make its use depend on gtk+ >= 2.13.7 (i.e. the next
	version).  (See GNOME bug #548346)

	* t/GtkTreeModelIface.t
	* xs/GtkTreeModel.xs: Provide Gtk2::TreeIter::set for custom model
	implementations to set the contents of an iter.  Patch by Kevin Ryde.

2008-08-17  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkItemFactory.t: Fix test failures.

	* t/GtkWidget.t
	* xs/GtkWidget.xs: Wrap gtk_widget_hide_on_delete.

	* xs/GtkWindow.xs: Fix small error in the description POD section.
	Patch by Kevin Ryde.

	* t/GtkScaleButton.t
	* xs/GtkScaleButton.xs: Wrap gtk_scale_button_set_orientation and
	gtk_scale_button_get_orientation.

	* t/GtkSocket-GtkPlug.t
	* xs/GtkPlug.xs: Fix the gtk_plug_new_for_display wrapper so it is
	callable as Gtk2::Plug->new_for_display(display, socket_id).  For
	backwards compatibility, also allow
	Gtk2::Plug::new_for_display(display, socket_id).

	* t/GtkSocket-GtkPlug.t
	* xs/GtkPlug.xs: Wrap gtk_plug_get_embedded and
	gtk_plug_get_socket_window.

	* t/GtkMessageDialog.t
	* xs/GtkMessageDialog.xs: Wrap gtk_message_dialog_get_image.

	* t/GtkMenuItem.t
	* xs/GtkMenuItem.xs: Wrap gtk_menu_item_get_accel_path.

	* t/GtkMenu.t
	* xs/GtkMenu.xs: Wrap gtk_menu_get_accel_path and
	gtk_menu_get_monitor.

	* xs/GtkHandleBox.xs: Use gtk_handle_box_get_child_detached if
	available.

	* t/GtkEntry.t
	* xs/GtkEntry.xs: Wrap gtk_entry_set_overwrite_mode,
	gtk_entry_get_overwrite_mode, and gtk_entry_get_text_length.

	* t/GtkColorSelectionDialog.t
	* xs/GtkColorSelectionDialog.xs: Wrap
	gtk_color_selection_dialog_get_color_selection; deprecate
	Gtk2::ColorSelectionDialog->colorsel.

	* t/GtkCalendar.t
	* xs/GtkCalendar.xs: Wrap gtk_calendar_get_detail_width_chars,
	gtk_calendar_set_detail_width_chars,
	gtk_calendar_get_detail_height_rows and
	gtk_calendar_set_detail_height_rows.

2008-08-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GdkPixmap.xs
	* xs/GtkGC.xs
	* xs/PangoCairo.xs: Add hierarchy sections to the unregistered
	custom subclasses Gtk2::Gdk::Bitmap, Gtk2::GC, and
	Gtk2::Pango::Cairo::Context.

	* t/GdkWindow.t
	* xs/GdkWindow.xs: Wrap gdk_window_redirect_to_drawable and
	gdk_window_remove_redirection.

	* t/GdkScreen.t
	* xs/GdkScreen.xs: Wrap gdk_screen_get_monitor_height_mm,
	gdk_screen_get_monitor_width_mm, and
	gdk_screen_get_monitor_plug_name.

	* t/GtkClipboard.t
	* xs/GtkSelection.xs: Use gtk_selection_data_get_target,
	gtk_selection_data_get_data_type, gtk_selection_data_get_format,
	gtk_selection_data_get_data, and gtk_selection_data_get_display if
	available to implement the accessors
	Gtk2::SelectionData->get_[thing].  Deprecate
	Gtk2::SelectionData->[thing].

	* MANIFEST
	* xs_files-2.14
	* t/GtkShow.t
	* xs/GtkShow.xs: Wrap gtk_show_uri.

	* t/01.GtkWindow.t
	* xs/GtkWindow.xs: Wrap gtk_window_get_default_widget and
	gtk_window_group_list_windows.

	* t/GtkWidget.t
	* xs/GtkWidget.xs: Wrap gtk_widget_get_snapshot.

	* MANIFEST
	* maps-2.14
	* xs_files-2.14
	* t/GtkToolShell.t
	* xs/GtkToolShell.xs: Wrap GtkToolShell.

	* t/GtkToolItem.t
	* xs/GtkToolItem.xs: Wrap gtk_tool_item_toolbar_reconfigured.

	* t/GtkTooltip.t
	* xs/GtkTooltip.xs: Wrap gtk_tooltip_set_icon_from_icon_name.

	* t/GtkStatusIcon.t
	* xs/GtkStatusIcon.xs: Wrap gtk_status_icon_get_x11_window_id.

2008-08-15  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkSocket-GtkPlug.t
	* xs/GtkSocket.xs: Wrap gtk_socket_get_plug_window.

	* t/GtkScaleButton.t
	* xs/GtkScaleButton.xs: Wrap gtk_scale_button_get_popup,
	gtk_scale_button_get_plus_button, and
	gtk_scale_button_get_minus_button.

	* t/GtkPrintSettings.t
	* xs/GtkPrintSettings.xs: Wrap gtk_print_settings_load_file and
	gtk_print_settings_load_key_file.

	* t/GtkPageSetup.t
	* xs/GtkPageSetup.xs: Wrap gtk_page_setup_load_file and
	gtk_page_setup_load_key_file.

	* t/GtkIconTheme.t
	* xs/GtkIconTheme.xs: Wrap gtk_icon_info_new_for_pixbuf.

	* t/GtkLayout.t
	* xs/GtkLayout.xs: Use gtk_layout_get_bin_window if available to
	implement Gtk2::Layout->get_bin_window.  Deprecate
	Gtk2::Layout->bin_window.

2008-08-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkFontSelection.t
	* xs/GtkFontSelection.xs: Wrap gtk_font_selection_get_face,
	gtk_font_selection_get_face_list, gtk_font_selection_get_family,
	gtk_font_selection_get_family_list,
	gtk_font_selection_get_preview_entry, gtk_font_selection_get_size,
	gtk_font_selection_get_size_entry, and
	gtk_font_selection_get_size_list.  Use
	gtk_font_selection_dialog_get_ok_button,
	gtk_font_selection_dialog_get_apply_button, and
	gtk_font_selection_dialog_get_cancel_button if available to
	implement Gtk2::FontSelectionDialog->get_ok_button,
	get_apply_button, and get_cancel_button.  Deprecate
	Gtk2::FontSelectionDialog->ok_button, apply_button, and
	cancel_button.

	* t/GtkDialog.t
	* xs/GtkDialog.xs: Use gtk_dialog_get_content_area and
	gtk_dialog_get_action_area if available to implement
	Gtk2::Dialog->get_content_area and Gtk2::Dialog->get_action_area,
	and fallback to direct struct access otherwise.  Deprecate
	Gtk2::Dialog->vbox and Gtk2::Dialog->action_area.

2008-08-11  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/02.GtkContainer.t
	* xs/GtkContainer.xs: Wrap gtk_container_get_focus_child.  Allow
	undef for the focus child argument to
	gtk_container_set_focus_child.

	* t/GtkClipboard.t
	* xs/GtkClipboard.xs: Wrap gtk_clipboard_request_uris,
	gtk_clipboard_wait_for_uris, and
	gtk_clipboard_wait_is_uris_available.  Also fix the rich text
	tests.

	* t/GtkCalendar.t
	* xs/GtkCalendar.xs: Wrap gtk_calendar_set_detail_func.

2008-08-08  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GdkCairo.xs
	* xs/GdkProperty.xs
	* xs/GtkBuilder.xs
	* xs/GtkSelection.xs: Fix some POD glitches.

2008-08-07  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkBuilder.t: Merge the UI definitions and, more importantly,
	make it work correctly with newer gtk+.

	* t/GtkBuilder.t
	* xs/GtkBuilder.xs: Wrap gtk_builder_add_objects_from_file and
	gtk_builder_add_objects_from_string.

2008-08-05  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkAccelGroup.t
	* xs/GtkAccelGroup.xs: Wrap gtk_accel_group_get_is_locked and
	gtk_accel_group_get_modifier_mask.

2008-08-03  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkTreeModel.xs (gtk2perl_tree_model_rows_reordered_marshal)
	* t/GtkTreeModelIface.t: Fix marshaling of the rows-reordered
	signal for custom Perl tree models.  Patch by Kevin Ryde.

	* xs/GtkAboutDialog.xs: Don't define macros inside a MODULE
	section.  Older xsubpp can't handle that.

	* xs/GtkMenu.xs (gtk2perl_menu_position_func): The push_in return
	value is a boolean, not an integer.  Marshal it accordingly.

	* xs/GtkDialog.xs: Add documentation about closing dialogs, and
	mention that class closures for the response signal receive
	unconverted response ids.  Patch by Kevin Ryde.

	* xs/GtkWindow.xs: Add a couple of words about the delete-event
	signal and its relation to window destruction and hidden windows.
	Patch by Kevin Ryde.

	* xs/GtkTreeModel.xs: Document that class closures in Perl
	subclasses for the rows-reordered signal receive an incorrect
	reorder array parameter, unlike normal signal handlers.  Patch by
	Kevin Ryde.

2008-07-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkCellRenderer.xs
	* t/GtkCellRendererIface-Chaining.t: In the fallback xsubs for the
	GtkCellRenderer interface vfuncs, use a more robust approach for
	chaining up to the parent.  Idea by Kevin Ryde.

2008-07-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkWidget.xs: Document some aspects of Gtk2::Widget::activate
	and set_scroll_adjustments that are relevant to Perl subclasses.
	Patch by Kevin Ryde.

2008-06-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* Makefile.PL
	* MANIFEST
	* NEWS
	* README: Unstable release 1.190.

2008-06-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkGC.xs: Refer to release 1.200 (instead of 1.180) in the
	compatibility paragraph about Gtk2::GC->release.

2008-06-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkClipboard.t: Fix test failure that's presumably due to
	get_func being run more often than expected.  Also use
	Gtk2::TestHelper's run_main to replace equivalent Glib::Timeout
	constructs.

2008-06-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* CodeGen.pm (generate_constants_wrappers): Also allow more than
	one tab as a separator between constant name and converter.

2008-06-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* CodeGen.pm: Add Gtk2::CodeGen->generate_constants_wrappers which
	creates XSUBs for C constants.

	* Makefile.PL: Use Gtk2::CodeGen->generate_constants_wrappers to
	wrap constants specified in files named constants-x.y.

	* Gtk2.pm
	* t/version-checks.t: Use Exporter to handle version checking and
	exporting.  Test.

	* constants-2.0
	* Gtk2.pm
	* t/00.Gtk2.t: Export GTK_PRIORITY_RESIZE, GDK_PRIORITY_EVENTS,
	and GDK_PRIORITY_REDRAW.

	* constants-2.0
	* Gtk2.pm
	* t/00.Gtk2.t: Export GDK_CURRENT_TIME.

2008-06-21  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkIconView.t: Fix test failures by not running certain
	unreliable tests.  Also avoid running unnecessary main loops.

2008-06-01  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkWidget.xs: Document why signal_chain_from_overridden
	doesn't quite work when used in a size-request handler.  Patch by
	Kevin Ryde.

	* xs/GtkGC.xs
	* t/GtkGC.t: Automatically handle releasing of GCs returned by
	Gtk2::GC->get.  Patch by muppet, idea and initial implementation
	by Kevin Ryde.

	* xs/GdkEvent.xs (gtk2perl_gdk_event_set_state)
	(gtk2perl_gdk_event_set_time): Handle the new GDK_DAMAGE type.

	* t/GdkEvent.t: Provide Gtk2::Gdk::Event::GrabBroken::implicit and
	grab_window accessors.  Patch by Kevin Ryde.

	* xs/GtkAdjustment.xs: Improve the documentation for the
	accessors.  Patch by Kevin Ryde.

2008-05-31  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkRecentChooser.t
	* t/GtkRecentManager.t: Fix test failures due to the asynchronous
	nature of the manager's add_item().

2008-05-23  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkTreeModelFilter.t
	* xs/GtkTreeModelFilter.xs: Fix the marshalling of modify
	callbacks.  Technically, this is an API change since an input
	argument turned into a return value.  The previous version was not
	usable, however, so nothing should be affected by this.  If this
	change does break your code, please let us know.  Patch by Kevin
	Ryde.

2008-05-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* t/GdkProperty.t
	* xs/GdkProperty.xs: Overload '!=' for GdkAtoms.  Patch by Kevin
	Ryde.

2008-05-20  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GdkWindow.xs: Add documentation for Gtk2::Gdk::Window::new.
	Patch by Kevin Ryde.

	* t/GdkWindow.t
	* xs/GdkWindow.xs (SvGdkWindowAttrReal): Use sv_2bool instead of
	SvUV to convert override_redirect values.

	* t/GtkTreeModelIface.t
	* xs/GtkTreeModel.xs (gtk2perl_tree_model_iter_has_child): Accept
	all the usual boolean values for the return value of
	ITER_HAS_CHILD.

	* t/PangoLayout.t: Fix test failure on newer pango versions.

2008-05-04  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkTreeView.xs: Describe the return values of
	get_visible_range and get_tooltip_context.  Patch by Kevin Ryde.

	* xs/GtkTreeModel.xs: In the POD section about tree iterators, add
	a paragraph explaining how data put into iterators needs to be
	kept alive by the model.  Patch by Kevin Ryde.

2008-04-20  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkDisplay.t
	* xs/GdkDisplay.xs: Allow undef for the display name parameter of
	Gtk2::Gdk::Display::open.  Patch by Kevin Ryde.

2008-03-30  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* NEWS
	* README: Stable release 1.182.

2008-03-30  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkScaleButton.xs: NULL-terminate the icon list passed to
	gtk_scale_button_new and gtk_scale_button_set_icons.

	* xs/GtkBuildable.xs (gtk2perl_buildable_custom_tag_start): Don't
	declare variables after expressions.

	* Makefile.PL: Depend on ExtUtils::Depends 0.300 and thereby void
	the need for the find_extra_libs stuff.

	* Gtk2/t/Gdk.t
	* Gtk2/t/GdkDisplay.t
	* Gtk2/t/GdkInput.t
	* Gtk2/t/GdkProperty.t
	* Gtk2/t/GdkSelection.t
	* Gtk2/t/GdkWindow.t
	* Gtk2/t/GtkFontSelection.t
	* Gtk2/t/GtkIconTheme.t
	* Gtk2/t/GtkIconView.t
	* Gtk2/t/GtkSocket-GtkPlug.t
	* Gtk2/t/GtkStatusIcon.t
	* Gtk2/t/GtkTreeView.t
	* Gtk2/t/PangoCairo.t: Fix test failures, mostly on MSWin32 and cygwin.

2008-03-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Makefile.PL: Trap exceptions thrown by EU::PkgConfig->find.
	When one occurs, exit with status 0 to indicate to CPAN testers
	that their system isn't supported.

2008-03-15  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* NEWS
	* README: Stable release 1.181.

2008-03-14  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkBuildableIface.t: Fix test failure on gtk+ < 2.12.

	* Makefile.PL: Remove the no_index specification from EXTRA_META
	because the YAML implementations currently in use don't seem to
	support this syntax yet.

2008-03-10  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* Makefile.PL
	* NEWS
	* README
	* copyright.pod: Stable release 1.180.

2008-03-10  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkBuildable.t
	* t/GtkBuilder.t
	* t/GtkRecentAction.t
	* t/GtkScaleButton.t
	* t/GtkTooltip.t
	* t/GtkVolumeButton.t
	* t/PangoLayout.t
	* t/PangoRenderer.t
	* xs/GtkAboutDialog.xs
	* xs/GtkBuildable.xs
	* xs/PangoLayout.xs
	* xs/PangoRenderer.xs: Make version checks refer to stable
	releases.

2008-02-24  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkTreeView.t: Fix remaining test failures.  (Patch by
	Marc 'HE' Brockschmidt)

2008-02-12  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* Makefile.PL
	* NEWS
	* README: Unstable release 1.173.

2008-02-11  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkProperty.t
	* t/GdkVisual.t
	* t/GtkClipboard.t
	* t/GtkTreeView.t: Fix test failures.

2008-02-09  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/PangoLayout.t
	* xs/PangoLayout.xs: Wrap pango_layout_set_height and
	pango_layout_get_height.

	* xs/PangoTypes.xs (Gtk2::Pango::extents_to_pixel): Change the
	names of the arguments from "ink_rect, logical_rect" to
	"inclusive, nearest" as suggested by upstream.

2008-01-19  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/PangoLayout.t
	* xs/PangoLayout.xs: Wrap pango_layout_iter_get_layout and make
	use of pango_layout_iter_copy if available.

	* t/PangoRenderer.t
	* xs/PangoRenderer.xs: Wrap pango_renderer_get_layout and
	pango_renderer_get_layout_line.

	* t/GtkTreeView.t: Hopefully fix some test failures involving a
	wrong number of tests run by having every callback with tests run
	only once.

2008-01-14  muppetman

	* xs/GdkPixbuf.xs
	* t/GdkPixbuf.t:  Add a NULL terminator to keep GdkPixbuf from
	crashing on incomplete xpm data.  Add unit tests.  Patch from
	Kevin Ryde.

2008-01-12  muppetman

	* xs/GdkRegion.xs
	* t/GdkRegion.t:  Return copy of stack rectangle instead of just
	a pointer, to avoid garbage values from get_clipbox().  Patch from
	Kevin Ryde.

	* xs/GtkStatusIcon.xs
	* t/GtkStatusIcon.t:  Fix similar stack copy bug.

2008-01-11  muppetman

	* xs/GtkCellLayout.xs:  Fix usage message bug reported by Kevin Ryde.

2008-01-09  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* Makefile.PL
	* NEWS
	* README: Unstable release 1.172.

2008-01-09  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkVisual.t
	* t/GdkX11.t
	* t/GtkPaned.t: Fix some reported test failures by either being
	less conservative in what we expect or by simply testing less of
	gtk+ itself.

2008-01-09  muppetman

	* MANIFEST
	* t/GtkBuildableIface.t
	* xs/GtkBuildable.xs:  Allow perl code to implement GtkBuildableIface.

	Lots of documentation.  Hide docs for the normal GtkBuildable
	methods, as they are really only useful for GtkBuilder to call.
	Add a new unit test for the iface stuff.

	This change requires the deferral of class instantiation in
	Glib::Type::register_object() if you are going to implement the
	interface on a class derived from a class that already implements
	that interface (e.g., if you want to implement Buildable on a
	Widget).

	* t/GdkCairo.t:  Improve skip message on GdkCairo.t; don't claim
	Cairo is missing when the problem is actually an empty DISPLAY.

2008-01-08  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/PangoLayout.xs: Work around what appears to be a bug in
	ExtUtils::ParseXS' xsubpp (used by default in perl 5.10.0) for the
	pango_layout_line_x_to_index xsub: manually handle output
	arguments, i.e. dont't rely on OUTLIST.  This should fix the
	"Modification of a read-only value attempted" issue.

	* Gtk2.pm
	* Makefile.PL: Require Cairo if gtk+ >= 2.8 or pango >= 1.10.
	Previously, we just checked for gtk+ >= 2.8.  A new pango usually
	implies a new gtk+, but that's not necessarily the case.  So check
	both independently and require Cairo if either is new enough.

2008-01-07  muppetman

	* examples/simplelist.pl:  Add a button to toggle reorderable columns.

	* t/GdkDrawable.t:  Wait until the drawable is onscreen before
	attempting to draw to it.  This fixes test failures related to
	sync issues with some X servers.

	* t/GtkTreeView.t:  Avoid an assertion failure in gtk+ by making
	sure there's a node visible when testing get_visible_range().

	* xs/GtkContainer.xs
	* t/02.GtkContainer.t:  Bind, test, and document
	gtk_container_forall().

	* xs/GtkAssistant.xs
	* t/GtkAssistant.t:  Bind and test accessors for the cancel,
	forward, back, apply, close, and last buttons that live only
	as public members of struct _GtkAssistant.  To avoid confusing
	API with accessors that look like actions, these accessors
	take the form $assistant->get_foo_button().

	* xs/GtkCellLayout.xs
	* t/GtkCellLayout.t:  Allow and test passing undef to clear the
	cell layout's cell data func.

	* xs/GtkCellLayout.xs
	* t/GtkCellLayout.t:  Honor the semantics of set_attributes()
	and clear all previous attributes.  Also allow passing an empty
	key/val pair list.

	* xs/GtkCellLayout.xs
	* t/GtkCellLayoutIface.t
	* Gtk2.pm
	* MANIFEST:  Allow perl code to implement GtkCellLayoutIface.
	Includes a major doc update for Gtk2::CellLayout.

2008-01-07  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* CodeGen.pm
	* gtk2perl.h
	* xs/GdkEvent.xs
	* xs/GdkGC.xs
	* xs/GdkKeys.xs
	* xs/GdkPixbuf.xs
	* xs/GdkRegion.xs
	* xs/GdkRgb.xs
	* xs/GdkTypes.xs
	* xs/GdkWindow.xs
	* xs/GtkActionGroup.xs
	* xs/GtkCellRenderer.xs
	* xs/GtkEntry.xs
	* xs/GtkFileFilter.xs
	* xs/GtkIconTheme.xs
	* xs/GtkItemFactory.xs
	* xs/GtkLinkButton.xs
	* xs/GtkMenu.xs
	* xs/GtkMessageDialog.xs
	* xs/GtkNotebook.xs
	* xs/GtkRadioAction.xs
	* xs/GtkRadioButton.xs
	* xs/GtkRadioMenuItem.xs
	* xs/GtkRadioToolButton.xs
	* xs/GtkRc.xs
	* xs/GtkRecentFilter.xs
	* xs/GtkRecentManager.xs
	* xs/GtkSelection.xs
	* xs/GtkStock.xs
	* xs/GtkTextBufferRichText.xs
	* xs/GtkToolbar.xs
	* xs/GtkTooltips.xs
	* xs/GtkTreeModel.xs
	* xs/GtkTreeModelFilter.xs
	* xs/GtkTreeSelection.xs
	* xs/GtkTreeSortable.xs
	* xs/GtkTreeView.xs
	* xs/GtkWindow.xs
	* xs/PangoAttributes.xs
	* xs/PangoCairo.xs
	* xs/PangoLayout.xs: gperl_sv_defined was renamed to
	gperl_sv_is_defined -- adjust callers.

	* xs/GdkGC.xs
	* xs/GdkKeys.xs
	* xs/GdkRegion.xs
	* xs/GdkRgb.xs
	* xs/GdkTypes.xs
	* xs/GdkWindow.xs
	* xs/GtkActionGroup.xs
	* xs/GtkEntry.xs
	* xs/GtkFileFilter.xs
	* xs/GtkIconTheme.xs
	* xs/GtkItemFactory.xs
	* xs/GtkRadioAction.xs
	* xs/GtkRadioButton.xs
	* xs/GtkRadioMenuItem.xs
	* xs/GtkRadioToolButton.xs
	* xs/GtkRecentFilter.xs
	* xs/GtkRecentManager.xs
	* xs/GtkSelection.xs
	* xs/GtkStock.xs
	* xs/GtkTreeModel.xs
	* xs/GtkTreeModelFilter.xs
	* xs/PangoAttributes.xs
	* xs/PangoLayout.xs: Use the new macros gperl_sv_is_array_ref and
	gperl_sv_is_hash_ref.

2008-01-01  muppetman

	* xs/GtkWidget.xs:  Doc fixes; the docs on
	gtk_widget_get_size_request() actually belonged on
	gtk_widget_size_request().  Swap that and add docs for
	get_size_request() and get_child_requisition(), copied
	from gtk+.  Also fix the signature for get_size_request(),
	as suggested by Kevin Ryde.

	* xs/GdkPixbuf.xs: Fix the signature docs for get_file_info(),
	suggested by Kevin Ryde.  Also add a brief description of the
	function.

2007-12-30  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/PangoCairo.xs (gtk2perl_pango_cairo_shape_renderer_func): Put
	dGPERL_CALLBACK_MARSHAL_SP at the end of the list of declarations
	to avoid a compilation failure on Win32.

2007-12-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* Makefile.PL
	* NEWS
	* README: Unstable release 1.171.

2007-12-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GdkDisplay.xs
	* xs/GdkWindow.xs
	* xs/GtkBox.xs
	* xs/GtkIconView.xs
	* xs/GtkImage.xs
	* xs/GtkNotebook.xs
	* xs/GtkScrolledWindow.xs
	* xs/PangoTabs.xs: Fix memory leaks that were due to the use of
	OUTLIST for types which have typemaps that create a new SV rather
	than overwrite an existing one -- i.e. nearly all non-standard
	types and even some standard types like bool.  The following
	functions' xsubs were affected: gdk_display_get_pointer,
	gdk_window_get_decorations, gdk_window_get_internal_paint_info,
	gtk_box_query_child_packing, gtk_icon_view_get_drag_dest_item,
	gtk_image_get_pixmap, gtk_image_get_image, gtk_image_get_icon_set,
	gtk_image_get_icon_name, gtk_notebook_query_tab_label_packing,
	gtk_scrolled_window_get_policy, pango_tab_array_get_tab.  (Fixes
	bug #498334, reported by Quentin Sculo)

	* CodeGen.pm
	* gtk2perl.h
	* xs/GdkEvent.xs
	* xs/GdkGC.xs
	* xs/GdkKeys.xs
	* xs/GdkPixbuf.xs
	* xs/GdkRegion.xs
	* xs/GdkRgb.xs
	* xs/GdkTypes.xs
	* xs/GdkWindow.xs
	* xs/GtkActionGroup.xs
	* xs/GtkCellRenderer.xs
	* xs/GtkEntry.xs
	* xs/GtkFileFilter.xs
	* xs/GtkIconTheme.xs
	* xs/GtkItemFactory.xs
	* xs/GtkLinkButton.xs
	* xs/GtkMenu.xs
	* xs/GtkMessageDialog.xs
	* xs/GtkNotebook.xs
	* xs/GtkRadioAction.xs
	* xs/GtkRadioButton.xs
	* xs/GtkRadioMenuItem.xs
	* xs/GtkRadioToolButton.xs
	* xs/GtkRc.xs
	* xs/GtkRecentFilter.xs
	* xs/GtkRecentManager.xs
	* xs/GtkSelection.xs
	* xs/GtkStock.xs
	* xs/GtkTextBufferRichText.xs
	* xs/GtkToolbar.xs
	* xs/GtkTooltips.xs
	* xs/GtkTreeModel.xs
	* xs/GtkTreeModelFilter.xs
	* xs/GtkTreeSelection.xs
	* xs/GtkTreeSortable.xs
	* xs/GtkTreeView.xs
	* xs/GtkWindow.xs
	* xs/PangoAttributes.xs
	* xs/PangoCairo.xs
	* xs/PangoLayout.xs: Use gperl_sv_defined instead of SvOK to check
	for definedness.

2007-12-09  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/Gtk2.xs: gtk_check_version's return value recently acquired a
	const, so add some casting to hush compiler warnings.

	* xs/GdkColor.xs: Make Gtk2::Gdk::Color::new take an optional
	pixel value.  (Patch from Kevin Ryde)

2007-12-08  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkDialog.xs: Correct the response id mentioned in the docs
	on delete-event.  (Patch from Kevin Ryde)

	* AUTHORS: Add Kevin.

2007-11-18  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* tools/genkeysyms.pl: Mention Gtk2::Gdk->keyval_from_name in the
	DESCRIPTION section of Gtk2::Gdk::Keysyms, as suggested by Kevin
	Ryde.

	* xs/GtkTreeModel.xs (POD section DESCRIPTION): Include additional
	information provided by Dave Howorth about the lifetime of
	iterators.

2007-04-15  muppetman

	* xs/GtkIMContext.xs
	* xs/GtkIMContextSimple.xs
	* xs/GtkIMMulticontext.xs
	* t/GtkIMContext.t
	* MANIFEST
	* xs_files-2.0: Bindings for GtkIMContext, GtkIMContextSimple, and
	GtkIMMulticontext, with tests.  gtk_im_context_simple_add_table is
	not bound; it's unclear as to whether it's actually useful, and i
	don't have a way to test it.

2007-10-30  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm (Gtk2::Builder::_do_connect): Don't use the qw//
	operator to qoute a flag value as it seems to cause parse failures
	on some perls.

2007-10-29  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Gtk2.pm
	* Makefile.PL
	* NEWS
	* README: Unstable release 1.170.

2007-10-22  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/GtkMessageDialog.xs (SYNOPSIS): Add a show_all() call to the
	non-modal dialog example.  (Spotted by Dave Howorth)

2007-10-21  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkIconTheme.t (list_contexts test): Fix test failure.

2007-10-16  Emmanuele Bassi  <ebassi@gnome.org>

	* tools/genkeysyms.pl: Fix the SYNOPSIS example (from Debian
	bug #422223).

2007-10-14  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* Makefile.PL: Use BEGIN { require 5.008; } instead of use 5.008;
	so automatic CPAN testers know which perl version we need.

2007-10-08  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GtkPaned.t: Use SKIP instead of TODO for the unreliable resize
	verification tests.  TODOs that pass look like failures.

2007-10-07  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* t/GdkDnd.t: Handle get_selection() returning undef.

	* Makefile.PL: Tell EU::MM to put correct configure_requires and
	no_index information into the generated META.yml file.

2007-10-03  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* xs/PangoLayout.xs: Fix leak in
	Gtk2::Pango::Layout::get_iter.  (Reported by Quentin Sculo in
	#482795)

2007-09-24	kaffeetisch

	* Makefile.PL: Prettify build output by summarizing what is done
	instead of printing executed command lines.

	* tools/genkeysyms.pl
	* tools/podifyenums.pl: Don't put timestamps into generated files
	so they don't get installed every single time even though there
	are no real changes.

2007-09-16	kaffeetisch

	* Gtk2.pm
	* Makefile.PL
	* NEWS
	* README: Stable release 1.160.

2007-09-16	kaffeetisch

	* t/GtkIconView.t: Fix a test failure.

2007-09-15	kaffeetisch

	* t/01.GtkWindow.t
	* t/Gdk.t
	* t/GdkColor.t
	* t/GdkDisplay.t
	* t/GdkEvent.t
	* t/GdkKeys.t
	* t/GdkPango.t
	* t/GdkPixbuf.t
	* t/GdkWindow.t
	* t/GdkX11.t
	* t/GtkAboutDialog.t
	* t/GtkAction.t
	* t/GtkCellLayout.t
	* t/GtkEntry.t
	* t/GtkEntryCompletion.t
	* t/GtkIconTheme.t
	* t/GtkIconView.t
	* t/GtkMenuItem.t
	* t/GtkMenuToolButton.t
	* t/GtkPageSetup.t
	* t/GtkPaperSize.t
	* t/GtkPrintSettings.t
	* t/GtkRange.t
	* t/GtkStatusIcon.t
	* t/GtkTextBuffer.t
	* t/GtkTextMark.t
	* t/GtkToolItem.t
	* t/GtkTreeView.t
	* t/GtkWidget.t
	* t/PangoCairo.t
	* t/PangoFont.t
	* t/PangoLayout.t
	* xs/Gdk.xs
	* xs/GdkDisplay.xs
	* xs/GdkEvent.xs
	* xs/GdkKeys.xs
	* xs/GdkPango.xs
	* xs/GdkWindow.xs
	* xs/GdkX11.xs
	* xs/GtkAboutDialog.xs
	* xs/GtkAction.xs
	* xs/GtkCellLayout.xs
	* xs/GtkEntry.xs
	* xs/GtkEntryCompletion.xs
	* xs/GtkIconTheme.xs
	* xs/GtkMenuToolButton.xs
	* xs/GtkPageSetup.xs
	* xs/GtkPaperSize.xs
	* xs/GtkPrintSettings.xs
	* xs/GtkRange.xs
	* xs/GtkStatusIcon.xs
	* xs/GtkTextBuffer.xs
	* xs/GtkTextMark.xs
	* xs/GtkToolItem.xs
	* xs/GtkTreeView.xs
	* xs/GtkTreeViewColumn.xs
	* xs/GtkWidget.xs
	* xs/GtkWindow.xs
	* xs/PangoCairo.xs
	* xs/PangoFont.xs
	* xs/PangoLayout.xs: Change version checks to refer to gtk+ 2.12
	instead of 2.11.  Thanks, perl -pi.

2007-09-09	kaffeetisch

	* t/GtkStatusIcon.t
	* xs/GtkStatusIcon.xs: Make the x, y arguments to
	Gtk2::StatusIcon::position_menu optional.  Patch by muppet.

	* t/GdkWindow.t: Fix a reported test failure in the
	get_decorations() checks.

2007-08-13	kaffeetisch

	* xs/GdkEvent.xs
	* xs/GdkPixbuf.xs
	* xs/GtkTreeModel.xs: Alter some type names in the POD so that
	Glib::GenPod recognizes them.

2007-08-01	kaffeetisch

	* Gtk2.pm
	* NEWS
	* README: Unstable release 1.155.

2007-08-01	kaffeetisch

	* MANIFEST: Add forgotten maps_pango-1.18.  Its absence caused
	compilation errors.  (Reported by Thierry Vignaud)

	* t/Gdk.t: Fix incorrect skip count.

	* t/GtkTooltips.t: Fix test failure due to change of semantics in
	gtk+.

2007-07-29	kaffeetisch

	* Gtk2.pm
	* NEWS
	* README: Unstable release 1.154.

2007-07-29	kaffeetisch

	* Makefile.PL: Don't print how many XS files were loaded from
	which XS file list.

2007-07-22	kaffeetisch

	* t/GdkColor.t
	* xs/GdkColor.xs: Wrap gdk_color_to_string.

	* t/GdkDisplay.t
	* xs/GdkDisplay.xs: Wrap gdk_display_supports_composite.

	* t/GdkPixbuf.t
	* xs/GdkPixbuf.xs: Wrap gdk_pixbuf_apply_embedded_orientation.

	* t/GdkWindow.t
	* xs/GdkWindow.xs: Wrap gdk_window_set_composited.

	* t/GtkIconView.t
	* xs/GtkIconView.xs: Wrap gtk_icon_view_set_tooltip_item,
	gtk_icon_view_set_tooltip_cell, gtk_icon_view_get_tooltip_context,
	gtk_icon_view_set_tooltip_column, and
	gtk_icon_view_get_tooltip_column.

	* t/GtkTooltip.t
	* xs/GtkTooltip.xs: Wrap gtk_tooltip_set_tip_area.

	* t/GtkTreeView.t
	* xs/GtkTreeView.xs: Wrap gtk_tree_view_set_tooltip_row,
	gtk_tree_view_set_tooltip_cell, gtk_tree_view_get_tooltip_context,
	gtk_tree_view_set_tooltip_column, and
	gtk_tree_view_get_tooltip_column.

	* t/PangoAttributes.t
	* xs/PangoAttributes.xs: Bless the array used to represent
	PangoColor so it becomes possible to call methods on it.
	Introduce some stack fiddling so you can use
	Gtk2::Pango::Color::to_string as a method and a class function.

	* xs/PangoMatrix.xs: Since pango uses GSlice starting with 1.12,
	use g_slice_new0 instead of g_new0 in Gtk2::Pango::Matrix::new
	when appropriate to avoid memory corruption.  (#458458, reported
	by Quentin Sculo)

2007-07-22	kaffeetisch

	* xs/PangoFont.xs: Don't prevent registering subclasses of
	PangoFont so that instances get their hierarchy set up correctly,
	especially wrt. interfaces.

	* maps_pango-1.18
	* t/PangoCairo.t
	* xs/PangoCairo.xs: Wrap pango_cairo_font_get_scaled_font.

2007-07-12	kaffeetisch

	* t/GtkIconView.t
	* xs/GtkIconView.xs: Wrap
	gtk_icon_view_convert_widget_to_bin_window_coords.

	* t/GtkMenuToolButton.t
	* xs/GtkMenuToolButton.xs: Wrap
	gtk_menu_tool_button_set_arrow_tooltip_text and
	gtk_menu_tool_button_set_arrow_tooltip_markup.

	* t/GtkToolItem.t
	* xs/GtkToolItem.xs: Wrap gtk_tool_item_set_tooltip_text and
	gtk_tool_item_set_tooltip_markup.

	* t/GtkWidget.t
	* xs/GtkWidget.xs: Wrap gtk_widget_set_has_tooltip and
	gtk_widget_get_has_tooltip.

2007-07-10	kaffeetisch

	* t/GdkWindow.t
	* t/GtkIconTheme.t
	* t/GtkRecentManager.t: Fix test failures.

2007-07-08	kaffeetisch

	* Gtk2.pm
	* Makefile.PL
	* NEWS
	* README: Unstable release 1.153.

2007-07-08	kaffeetisch

	* xs/GtkBuilder.xs: Document the
	$builder->connect_signals ($user_data, $object) way of connecting
	signals.  (Reported by Grant McLean.)  Also correct a grammar
	mistake.

	* xs/GtkCellRenderer.xs: Mortalize all SVs we put on the stack.
	In the past, we had to be careful not to cause destruction of
	pre-existing C objects, but that's not necessary anymore.

	* xs/GtkEditable.xs (gtk2perl_editable_insert_text_marshal): Add a
	comment about why mortalizing isn't necessary here.

2007-07-07	kaffeetisch

	* t/GdkKeys.t
	* xs/GdkKeys.xs: Wrap gdk_keymap_have_bidi_layouts.

	* t/GtkTreeView.t
	* xs/GtkTreeView.xs: Wrap gtk_tree_view_is_rubber_banding_active.

	* xs/PangoCairo.xs
	* xs/PangoFontMap.xs: Don't set the
	no-warnings-for-unregistered-subclasses flag for PangoFontMap so
	that subclasses are registered and get their ancestry set up
	correctly (especially with respect to interfaces).  This enables
	us to stop jumping through hoops to handle
	pango_cairo_font_map_new and pango_cairo_font_map_get_default.

	* t/PangoCairo.t
	* xs/PangoCairo.xs: Wrap pango_cairo_font_map_new_for_font_type
	and pango_cairo_font_map_get_font_type.

	* t/PangoFont.t
	* xs/PangoFont.xs: Wrap pango_font_face_is_synthesized.

	* xs/GtkRadioAction.xs
	* xs/GtkRadioButton.xs
	* xs/GtkRadioMenuItem.xs: Plug leaks in the get_group() methods:
	Mark new SVs as mortal when we put them on the stack.

	* t/Gdk.t
	* xs/Gdk.xs: Wrap gdk_notify_startup_complete_with_id.

	* t/GdkWindow.t
	* xs/GdkWindow.xs: Wrap gdk_window_set_startup_id.

	* t/GdkX11.t
	* xs/GdkX11.xs: Wrap gdk_x11_display_get_startup_notification_id.

2007-07-05	kaffeetisch

	* xs/GdkPixbuf.xs: Really plug the leaks in
	Gtk2::Gdk::Pixbuf::render_pixmap_and_mask() and
	render_pixmap_and_mask_for_colormap().

2007-07-02	kaffeetisch

	* Gtk2.pm
	* t/GtkBuilder.t
	* xs/GtkBuilder.xs: Make Gtk2::Builder::connect_signals default to
	the calling package (instead of main) if none was specified.

2007-06-27	muppetman

	* xs/GdkPixbuf.xs: Plug reference leaks on the pixmap and bitmap
	returned from Gtk2::Gdk::Pixbuf::render_pixmap_and_mask() and
	render_pixmap_and_mask_for_colormap().  Also add a couple of
	FIXMEs.

2007-06-27	muppetman

	* xs/GtkAboutDialog.xs: Hide the AboutDialog on any reponse.
	See http://svn.gnome.org/viewcvs/gtk%2B?revision=14919&view=revision
	which changed the behavior of the dialog in gtk+ between 2.8 and 2.10.

2007-06-25	kaffeetisch

	* t/GtkIconView.t
	* xs/GtkIconView.xs: Supply default values for scroll_to_path.
	Suggested by Jeffrey Ratcliffe.

	* exampels/cellrenderer_popup.pl: Slightly modified patch from
	Grant McLean makes sure the popup works properly when using simple
	clicks instead of click-and-hold.

2007-06-24	kaffeetisch

	* Gtk2.pm, MANIFEST, Makefile.PL, NEWS, README: Unstable release
	1.152.

2007-06-23	kaffeetisch

	* t/GtkMenuItem.t
	* xs/GtkMenuItem.xs: gtk_menu_item_set_submenu now accepts NULL
	for submenu.  Adjust the wrapper accordingly.

	* t/GtkTextBuffer.t
	* xs/GtkTextBuffer.xs: Wrap gtk_text_buffer_add_mark.

	* t/GtkTextMark.t
	* xs/GtkTextMark.xs: Wrap gtk_text_mark_new.

	* t/GtkTreeView.t
	* xs/GtkTreeViewColumn.xs
	* xs/GtkTreeView.xs: Wrap gtk_tree_view_column_get_tree_view,
	gtk_tree_view_convert_widget_to_tree_coords,
	gtk_tree_view_convert_tree_to_widget_coords,
	gtk_tree_view_convert_widget_to_bin_window_coords,
	gtk_tree_view_convert_bin_window_to_widget_coords,
	gtk_tree_view_convert_tree_to_bin_window_coords, and
	gtk_tree_view_convert_bin_window_to_tree_coords.

2007-06-22	kaffeetisch

	* t/GtkIconTheme.t: Remove unreliable result check for
	get_example_icon_name.

	* t/GtkListStore.t
	* t/GtkTreeStore.t
	* xs/GtkTreeStore.xs: Make sure Gtk2::ListStore's and
	Gtk2::TreeStore's move_before() and move_after() accept undef for
	the position parameter.  Reported by Dave Howorth.

2007-06-18	kaffeetisch

	* Gtk2.pm
	* maps-2.12
	* xs_files-2.12
	* t/GtkBuildable.t
	* t/GtkBuilder.t
	* xs/GtkBuildable.xs
	* xs/GtkBuilder.xs: Add support for GtkBuilder.

2007-06-17	kaffeetisch

	* t/PangoAttributes.t
	* t/PangoContext.t
	* t/PangoFont.t
	* t/PangoGravity.t
	* t/PangoLayout.t
	* t/PangoMatrix.t
	* t/PangoTypes.t
	* xs/PangoAttributes.xs
	* xs/PangoContext.xs
	* xs/PangoFont.xs
	* xs/PangoLayout.xs
	* xs/PangoMatrix.xs
	* xs/PangoTypes.xs: Refer to stable releases in version checks.

	* t/PangoCairo.t
	* xs/PangoCairo.xs: Wrap pango_cairo_context_set_shape_renderer.

	* t/GtkActionGroup.t
	* t/GtkPrintOperation.t: Fix test failures and assertions.

	* t/GtkAboutDialog.t
	* xs/GtkAboutDialog.xs: Respond to the recent deprecation of
	gtk_about_dialog_[sg]et_name and the removal of the "name"
	property: Make [sg]et_program_name the canonical method names for
	all gtk+ versions; warn if the old names are used.  For new gtk+
	versions, map the "name" property to "program-name" and issue a
	warning.  For old gtk+ versions, map "program-name" to "name".  In
	short: always use program-name in Perl code.

2007-06-16	kaffeetisch

	* maps-2.12
	* xs_files-2.12
	* t/GtkScaleButton.t
	* t/GtkVolumeButton.t
	* xs/GtkScaleButton.xs
	* xs/GtkVolumeButton.xs: Add support for GtkScaleButton and
	GtkVolumeButton.

	* maps-2.12
	* xs_files-2.12
	* t/GtkRecentAction.t
	* xs/GtkRecentAction.xs: Add support for GtkRecentAction.

	* t/GdkPixbufLoader.t: Use more adapted size values to test
	load-time scaling in order to avoid test failures due to rounding.

	* t/GtkPageSetup.t
	* xs/GtkPageSetup.xs: Wrap gtk_page_setup_new_from_file,
	gtk_page_setup_to_file, gtk_page_setup_new_from_key_file, and
	gtk_page_setup_to_key_file.

	* t/GtkPaperSize.t
	* xs/GtkPaperSize.xs: Wrap gtk_paper_size_new_from_key_file,
	gtk_paper_size_to_key_file, and gtk_paper_size_get_paper_sizes.

	* t/GtkPrintSettings.t
	* xs/GtkPrintSettings.xs: Wrap gtk_print_settings_new_from_file,
	gtk_print_settings_to_file, gtk_print_settings_new_from_key_file,
	and gtk_print_settings_to_key_file.  Also fix the test fail to
	actually run any tests.

	* t/GtkTooltip.t
	* xs/GtkTooltip.xs: Wrap gtk_tooltip_set_text.

	* t/GtkWidget.t
	* xs/GtkWidget.xs: Wrap gtk_widget_set_tooltip_text,
	gtk_widget_get_tooltip_text, gtk_widget_set_tooltip_markup,
	gtk_widget_get_tooltip_markup, and gtk_widget_modify_cursor.

	* t/GtkIconTheme.t
	* xs/GtkIconTheme.xs: Wrap gtk_icon_theme_list_contexts and
	gtk_icon_theme_choose_icon.

2007-06-12	kaffeetisch

	* t/PangoLayout.t
	* xs/PangoLayout.xs: Add support for the new PangoLogAttr property
	is_expandable_space.

	* t/GtkAction.t
	* xs/GtkAction.xs: Wrap gtk_action_create_menu.

	* t/GtkEntry.t
	* xs/GtkEntry.xs: Wrap gtk_entry_set_cursor_hadjustment and
	gtk_entry_get_cursor_hadjustment.

	* t/GtkEntryCompletion.t
	* xs/GtkEntryCompletion.xs: Wrap
	gtk_entry_completion_set_inline_selection,
	gtk_entry_completion_get_inline_selection, and
	gtk_entry_completion_get_completion_prefix.

	* t/01.GtkWindow.t
	* xs/GtkWindow.xs: Wrap gtk_window_set_startup_id,
	gtk_window_set_opacity, and gtk_window_get_opacity.

2007-04-04  Emmanuele Bassi  <ebassi@gnome.org>

	* xs/GtkAboutDialog.xs: Add a note about the order of the
	webmail and email properties and the url and email hook
	functions. (#425006)

2007-03-25	kaffeetisch

	* maps-2.12
	* xs_files-2.12
	* t/GtkTooltip.t
	* xs/GtkTooltip.xs: Wrap the new GtkTooltip API.

2007-03-17	kaffeetisch

	* t/GdkEvent.t
	* xs/GdkEvent.xs: Wrap gdk_event_request_motions.

	* t/GtkWidget.t
	* xs/GtkWidget.xs: Wrap gtk_widget_set_tooltip_window,
	gtk_widget_get_tooltip_window, and
	gtk_widget_trigger_tooltip_query.

2007-03-17	kaffeetisch

	* t/GtkAccelLabel.t
	* t/GtkBox.t
	* t/GtkButtonBox.t
	* t/GtkCheckButton.t
	* t/GtkCheckMenuItem.t
	* t/GtkListStore.t
	* t/GtkRadioMenuItem.t
	* t/GtkTable.t
	* t/GtkTextTag.t
	* t/GtkTreeSelection.t: Remove the -noinit option for tests which
	now need an initialized gtk+.

2007-03-17	kaffeetisch

	* xs/GtkTextBufferRichText.xs: Patch from Mario Fischer fixes a
	compilation problem that occurs when using MS' compiler.

2007-03-11	kaffeetisch

	* t/GtkEditable.t
	* xs/GtkEditbale.xs: Patch from Roderich Schupp fixes string
	encoding problems in the insert-text signal marshaller.

2007-02-25	kaffeetisch

	* Makefile.PL
	* xs_files-2.0
	* xs_files-2.8
	* xs_files_pango-1.0
	* xs_files_pango-1.6
	* xs_files_pango-1.10: Split pango's xs file list out into
	separate files.

	* maps_pango-1.16
	* xs_files_pango-1.16
	* t/PangoAttributes.t
	* xs/PangoAttributes.xs
	* t/PangoContext.t
	* xs/PangoContext.xs
	* t/PangoGravity.t
	* xs/PangoGravity.xs: Add support for the new gravity API:
	PangoGravityHint, PangoAttrGravity, PangoAttrGravityHint,
	pango_context_set_gravity_hint, pango_context_get_gravity_hint,
	PANGO_GRAVITY_IS_VERTICAL (wrapped as
	Gtk2::Pango::Gravity::is_vertical), pango_gravity_to_rotation,
	pango_gravity_get_for_matrix, pango_gravity_get_for_script.

	* t/PangoAttributes.t
	* xs/PangoAttributes.xs: Wrap pango_color_to_string.

	* t/PangoTypes.t
	* xs/PangoTypes.xs
	* t/PangoMatrix.t
	* xs/PangoMatrix.xs: Follow upstream and split out the matrix
	stuff into separate files.

2007-02-24	kaffeetisch

	* Gtk2.pm, t/GtkTreeModelSort.t, xs/GtkTreeModelSort.xs: Make sure
	calling get() on a Gtk2::TreeModelSort resolves to
	Gtk2::TreeModel::get if appropriate, and, to keep backwards
	compatibility, to Glib::Object::get otherwise.

2007-02-24	kaffeetisch

	* xs/PangoTypes.xs: Move a comment out of the ALIAS section to
	avoid confusing the docs generator.

2007-02-21	kaffeetisch

	* t/GtkTreeModelSort.t: Test that the iter and path converters do
	the right thing.

2007-02-21	muppetman

	* xs/GtkTreeModelSort.xs: fix copy and paste error that made
	gtk_tree_model_sort_convert_child_iter_to_iter() unusable.
	Reported by Adrian Priscak.

2007-01-08	kaffeetisch

	* Gtk2.pm, MANIFEST, Makefile.PL, NEWS, README, copyright.pod:
	Unstable release 1.151.

2007-01-08	kaffeetisch

	* t/GtkIconView.t, xs/GtkIconView.xs: Fix the path handling in
	Gtk2::IconView::get_selected_items.  Previously, the returned
	paths were pointing to dead memory and any attempt to use them
	caused havoc.

2007-01-07	kaffeetisch

	* t/GtkCellLayout.t, xs/GtkCellLayout.xs: Wrap
	gtk_cell_layout_get_cells.

	* xs/PangoLayout.xs: Handle NULL and undef in newSVPangoRectangle
	and SvPangoRectangle.

	* t/PangoLayout.t, xs/PangoLayout.xs: Wrap
	pango_layout_get_line_readonly, pango_layout_get_lines_readonly,
	and pango_layout_iter_get_line_readonly.

	* t/PangoTypes.t, xs/PangoTypes.xs: Wrap pango_units_from_double,
	pango_units_to_double, pango_extents_to_pixels,
	pango_extents_to_pixels, pango_matrix_transform_distance,
	pango_matrix_transform_point, pango_matrix_transform_rectangle,
	and pango_matrix_transform_pixel_rectangle.

2007-01-06  Emmanuele Bassi  <ebassi@gnome.org>

	* xs/GtkRecentManager.xs: Add more documentation for the
	Gtk2::RecentManager::add_item and Gtk2::RecentManager::add_full
	methods; define the needed keys for the hashref to be passed
	to the add_full method.

2007-01-06  Emmanuele Bassi  <ebassi@gnome.org>

	* xs/GtkCombo.xs:
	* xs/GtkFileSelection.xs:
	* xs/GtkItemFactory.xs:
	* xs/GtkOptionMenu.xs: Add deprecation warnings.

2006-12-30	kaffeetisch

	* GtkTreeSortable.xs: Don't segfault in the GET_SORT_COLUMN_ID
	marshaller if any of the output parameter pointers is NULL.  Patch
	by muppet.

2006-12-04	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.150.

2006-11-26	kaffeetisch

	* NEWS: Merge from stable-1-14.

	* t/GtkRange.t, xs/GtkRange.xs: Bind and test
	gtk_range_set_show_fill_level, gtk_range_get_show_fill_level,
	gtk_range_set_restrict_to_fill_level,
	gtk_range_get_restrict_to_fill_level, gtk_range_set_fill_level,
	and gtk_range_get_fill_level.

	* t/GtkStatusIcon.t, xs/GtkStatusIcon.xs: Bind and test
	gtk_status_icon_set_screen and gtk_status_icon_get_screen.

	* t/GtkWidget.t, xs/GtkWidget.xs: Bind and test
	gtk_widget_keynav_failed and gtk_widget_error_bell.

2006-11-19	kaffeetisch

	* t/GdkVisual.t, t/GtkIconView.t, t/GtkRecentChooser.t,
	t/GtkRecentManager.t: Fix test failures.

2006-11-19	kaffeetisch

	* doctypes: List GdkPixbufFormat as "hash reference".

	* t/PangoCairo.t, xs/PangoCairo.xs: Also allow using method
	calling semantics for pango_cairo_context_*.

	* xs/GdkCairo.xs: Remove redundant #if's.

	* xs/PangoCairo.xs: Add a DESCRIPTION section and __function__ POD
	tags to emphasize that and why the pango_cairo_* stuff is bound as
	functions.

	* gtk2perl.h, maps_pango-1.0, t/GdkDrawable.t, t/PangoCairo.t,
	t/PangoLayout.t, t/PangoRenderer.t, xs/GdkDrawable.xs,
	xs/PangoCairo.xs, xs/PangoLayout.xs, xs/PangoRenderer.xs: Add
	support for PangoLayoutLine.

2006-11-09	kaffeetisch

	* t/PangoContext.t, xs/PangoContext.xs: Wrap
	pango_context_set_base_gravity, pango_context_get_base_gravity,
	and pango_context_get_gravity.

	* t/PangoFont.t, xs/PangoFont.xs: Wrap
	pango_font_description_set_gravity and
	pango_font_description_get_gravity.

2006-11-08	kaffeetisch

	* t/GtkEntry.t, xs/GtkEntry.xs: Allow passing undef to
	set_completion.

2006-11-05	kaffeetisch

	* t/GdkPango.t, xs/GdkPango.xs: Add support for
	GdkPangoAttrEmbossColor.

	* t/GdkWindow.t, xs/GdkWindow.xs: Bind gdk_window_beep.

	* t/GtkTreeView.t, xs/GtkTreeView.xs: Bind
	gtk_tree_view_set_show_expanders,
	gtk_tree_view_get_show_expanders,
	gtk_tree_view_set_level_indentation, and
	gtk_tree_view_get_level_indentation.

2006-11-04	kaffeetisch

	* AUTHORS, t/GtkLayout.t, xs/GtkLayout.xs: Add an accessor for
	GtkLayout's bin_window struct member.  Original patch by Philipp
	Rumpf.

2006-10-17	kaffeetisch

	Add support for pango attributes.

	* Gtk2.exports, xs/PangoLayout.xs: Make SvPangoRectangle public
	since it's now needed.

	* t/PangoRenderer.t, xs/PangoAttributes.xs, xs/PangoRenderer.xs:
	Implement a custom boxed wrapper for PangoColor that represents a
	color as an r,g,b tuple.  Use it to wrap
	pango_renderer_[sg]et_color.

	* gtk2perl-private.h: Export
	gtk2perl_pango_attribute_register_custom_type, implement
	GTK2PERL_PANGO_ATTR_REGISTER_CUSTOM_TYPE and
	GTK2PERL_PANGO_ATTR_STORE_INDICES.

	* gtk2perl.h, maps_pango-1.0: Make our custom types for
	PangoAttribute and PangoAttrIterator known.

	* t/PangoAttributes.t, xs/PangoAttributes.xs: Implement and test
	all the attribute contructors, accessors, and support
	infrastructure.

	* t/GdkPango.t, xs/GdkPango.xs: Wrap and test
	gdk_pango_attr_stipple_new and gdk_pango_attr_embossed_new.

	* examples/attributes.pl: Demonstrate some of the attribute stuff.

2006-10-17	kaffeetisch

	* MANIFEST, ppport.h: Remove ppport.h, it's unused.

2006-10-03	kaffeetisch

	* pm/SimpleList.pm: Don't use =cut ... =cut comment blocks.
	They're invalid POD.

	* xs/GtkSelection.xs, xs/PangoTypes.xs: Don't clobber the Gtk2 and
	Gtk2::Pango man pages with POD.

2006-09-13	kaffeetisch

	* Makefile.PL (find_extra_libs): Also look for Cairo.lib to make
	linking work on win32.

2006-09-10	kaffeetisch

	* t/02.GtkContainer.t, t/GtkBin.t: Remove the noinit flag, since
	these tests apparently need an initialized gtk+ now.

	* t/GdkDnd.t: Turn the get_selection() TODO block into a SKIP
	block that gets skipped on Darwin.

	* t/GtkFileChooser.t: Update; mainly remove a few TODO blocks that
	aren't needed anymore.  Still skip by default though.

	* t/GtkSocket-GtkPlug.t: Skip the whole test if there's no blib
	directory.

2006-09-04	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Stable release 1.140.

2006-08-29	kaffeetisch

	* README: Add a bug reports section.

2006-08-27	kaffeetisch

	* t/GtkRc.t, xs/GtkRc.xs: Allow passing undef to
	Gtk2::RcStyle::name, bg_pixmap_name, and font_desc.  (#352707)

2006-08-26	kaffeetisch

	* Makefile.PL: Add Cairo to the pre-requisite hash if appropriate
	so that EU::MM generates a correct META.yml.

2006-08-20	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.133.

2006-08-20	kaffeetisch

	* Makefile.PL, README: Require Cairo 0.92 (still only if gtk+ >=
	2.8).

	* Gtk2.pm, README: Capitalize "perl" where it refers to the
	language.

2006-08-07	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.132.

2006-08-07	kaffeetisch

	* gtk2perl.h, t/GdkCairo.t, t/GdkDisplay.t, t/GdkPixmap.t,
	t/GdkScreen.t, t/GdkWindow.t, t/GtkAction.t, t/GtkAssistant.t,
	t/GtkButton.t, t/GtkCellRendererAccel.t, t/GtkCellRendererSpin.t,
	t/GtkClipboard.t, t/GtkComboBox.t, t/GtkDnd.t, t/GtkEntry.t,
	t/GtkFileChooserButton.t, t/GtkLabel.t, t/GtkLinkButton.t,
	t/GtkMessageDialog.t, t/GtkNotebook.t, t/GtkPageSetup.t,
	t/GtkPaperSize.t, t/GtkPrintContext.t, t/GtkPrintOperation.t,
	t/GtkPrintOperationPreview.t, t/GtkPrintSettings.t,
	t/GtkRadioAction.t, t/GtkRange.t, t/GtkScrolledWindow.t,
	t/GtkSelection.t, t/GtkSizeGroup.t, t/GtkStatusIcon.t,
	t/GtkStyle.t, t/GtkTextBuffer.t, t/GtkTextBufferRichText.t,
	t/GtkTreeStore.t, t/GtkTreeView.t, t/GtkWidget.t, t/PangoCairo.t,
	t/PangoFont.t, xs/GdkCairo.xs, xs/GdkDisplay.xs, xs/GdkPixmap.xs,
	xs/GdkScreen.xs, xs/GdkWindow.xs, xs/GtkAction.xs,
	xs/GtkClipboard.xs, xs/GtkComboBox.xs, xs/GtkDnd.xs,
	xs/GtkEntry.xs, xs/GtkFileChooserButton.xs,
	xs/GtkMessageDialog.xs, xs/GtkNotebook.xs, xs/GtkRadioAction.xs,
	xs/GtkRange.xs, xs/GtkScrolledWindow.xs, xs/GtkSelection.xs,
	xs/GtkSizeGroup.xs, xs/GtkStatusIcon.xs, xs/GtkStyle.xs,
	xs/GtkTextBuffer.xs, xs/GtkTreeModelFilter.xs, xs/GtkTreeStore.xs,
	xs/GtkTreeView.xs, xs/GtkWidget.xs, xs/GtkWindow.xs,
	xs/PangoCairo.xs, xs/PangoFont.xs: Change version checks to refer
	to stable releases only.

	* t/01.GtkWindow.t, t/GdkPixbuf.t: Make a few tests a bit more
	robust.

	* t/GdkDnd.t: Test Gtk2::Gdk::DragContext::status with an empty
	action argument.

	* t/GtkTreeView-Dnd.t: Fix typo.

	* xs/GtkAccelLabel.xs: Update TODO comment.

	* xs/GtkColorSelection.xs: Add TODO comment about
	gtk_color_selection_set_change_palette_with_screen_hook.

	* xs/GtkCurve.xs: Remove an invalid TODO comment.

2006-07-27	kaffeetisch

	* AUTHORS, pm/TestHelper.pm: Patch from Grant McLean makes sure
	that strict and warnings are actually forced upon users.

	* t/GtkAction.t, t/GtkEntryCompletion.t, t/GtkListStore.t,
	t/GtkRadioAction.t: Fix the issues the patch uncovered.

2006-07-14	kaffeetisch

	* Gtk2.pm, MANIFEST, Makefile.PL, NEWS, README: Unstable release
	1.131.

2006-07-13	kaffeetisch

	* t/GtkRecentChooser.t: Don't try to test
	gtk_recent_chooser_[sg]et_show_numbers; they're not wrapped.

	* t/PangoFont.t, xs/PangoFont.xs: Bind and test
	pango_font_get_font_map.

2006-07-11  Emmanuele Bassi  <ebassi@gmail.com>

	Many fixes and test suite additions from kaffee.

	* gtk2perl-private.h: Add private functions:

	  gtk2perl_sv_to_strv()
	  gtk2perl_sv_from_strv()

	for converting a scalar to and from a string vector.

	* xs/GtkRecentFilter.xs:
	* xs/GtkRecentManager.xs: ... and use them.

	* xs/GtkRecentChooser.xs:
	* xs/GtkRecentManager.xs: Use newSVGtkRecentInfo_own instead
	of manually unreffing the recent info object.

	* xs/GtkRecentChooserDialog.xs: Use the right property name
	inside the constructor.

	* maps-2.10: GtkRecentFilterFlags is - quite obviously - a
	GFlags type.

	* t/GtkRecentChooser.t:
	* t/GtkRecentChooserDialog.t:
	* t/GtkRecentChooserMenu.t:
	* t/GtkRecentChooserWidget.t:
	* t/GtkRecentFilter.t: Test suite for the GtkRecent widgets.

	* t/GtkRecentManager.t: Add more tests.

2006-07-07	kaffeetisch

	* t/GtkAccelGroup.t: Fix the fix by only demanding that
	Gtk2::Accelerator::get_label return something defined.
	Emmanuele's commit caused failures here.

	* t/GtkItemFactory.t, t/GtkMenu.t: Make more robust.

	* t/GtkStatusIcon.t: Use the default icon theme object to actually
	have a chance of running the new_from_file test.

2006-07-05  Emmanuele Bassi  <ebassi@gmail.com>

	* t/GtkRecentManager.t: Even more tests for Gtk2::RecentManager
	and Gtk2::RecentInfo; use a custom test file for storing the
	list used by the recent manager in order not to taint the user's
	recent files list.

2006-07-05  Emmanuele Bassi  <ebassi@gmail.com>

	* t/GtkRecentManager.t: Add more tests for Gtk2::RecentInfo API.

2006-07-05  Emmanuele Bassi  <ebassi@gmail.com>

	A t/GtkRecentManager.t

	* t/GtkAccelGroup.t: Fix the name of the symbolic constant
	of KP_Enter, and make the test not fail.

	* t/GtkRecentManager.t: Initial test suite for Gtk2::RecentManager
	and Gtk2::RecentInfo.

	* copyright.pod: Update copyright.

	* xs/GtkRecentManager.xs: Add a PACKAGE for Gtk2::RecentInfo;
	add missing aliased methods; fix apidoc; use EXTEND when the
	size of the returned array is known.

2006-07-04  Emmanuele Bassi  <ebassi@gmail.com>

	* MANIFEST: Add new xs/GtkRecent*.xs files.

	* xs/GtkRecentChooser.xs: Miscellaneous fixes from kaffee.

	(gtk_recent_chooser_set_sort_func): Imply undef as default
	data for the sorting function.

	(gtk_recent_chooser_get_uris): EXTEND the stack with the
	right size of elements and return an empty array in case
	there are no URIs.

	* xs/GtkRecentManager.xs: Miscellaneous fixes from kaffee.

	(gtk_recent_info_get_application_info): Return an empty
	array on error.

	* xs/GtkIconTheme.xs:
	* xs/GtkRecentManager.xs: Do not leak the returned pixbufs.

2006/07/03	kaffeetisch

	* t/GtkDnd.t: Make more robust.

2006-07-02  Emmanuele Bassi  <ebassi@gmail.com>

	* maps-2.10: Include GTK_TYPE_RECENT_FILTER_FLAGS to the list
	of known types.

	* xs/GtkRecentFilter.xs: Add string fields to the
	GtkRecentFilterInfo converter.

	* xs/GtkRecentManager.xs: Implement the Gtk2::RecentInfo
	boxed type and its API.

2006-07-02  Emmanuele Bassi  <ebassi@gmail.com>

	* xs/GtkRecentFilter.xs: Initial implementation of the
	Gtk2::RecentFilter object.

2006-07-02  Emmanuele Bassi  <ebassi@gmail.com>

	A xs/GtkRecentChooser.xs
	A xs/GtkRecentChooserDialog.xs
	A xs/GtkRecentChooserMenu.xs
	A xs/GtkRecentChooserWidget.xs
	A xs/GtkRecentFilter.xs
	A xs/GtkRecentManager.xs

	* maps-2.10:
	* xs_files-2.10:
	* xs/GtkRecent*.xs: Add initial support for GtkRecent; wrap
	methods for these objects:
		Gtk2::RecentChooser
		Gtk2::RecentChooserDialog
		Gtk2::RecentChooserMenu
		Gtk2::RecentChooserWidget
		Gtk2::RecentManager

2006/07/02	kaffeetisch

	* t/GtkAssistant.t, t/GtkLinkButton.t, t/GtkRadioAction.t,
	t/GtkTextBufferRichText.t: Skip some tests if gtk+ < 2.10.

	* t/GtkClipboard.t: Correct skip count.

2006/06/25	kaffeetisch

	* t/GtkSizeGroup.t: Don't assume that Gtk2::SizeGroup::add_widget
	takes a reference on the widget.  Fixes a test failure.

	* t/GtkLabel.t, xs/GtkLabel.xs: Bind and test
	gtk_label_set_line_wrap_mode and gtk_label_get_line_wrap_mode.

2006/06/24	kaffeetisch

	* t/GtkTextBuffer.t: Test the copy-target-list and
	paste-target-list properties.

	* gtk2perl.h, xs/GtkSelection.xs: Fix the GtkTargetList wrappers
	again to be fully backwards-compatible *and* use the boxed type if
	available.  This involves using a custom wrap function that always
	assumes ownership of the boxed object, just like the old wrapper
	does.  Code that uses the GtkTargetList typemaps should continue
	to work without changes.

2006/06/20	kaffeetisch

	* MANIFEST, maps-2.10, xs_files-2.10, t/GtkPageSetup.t,
	t/GtkPaperSize.t, t/GtkPrintContext.t, t/GtkPrintOperation.t,
	t/GtkPrintOperationPreview.t, t/GtkPrintSettings.t,
	xs/GtkPageSetup.xs, xs/GtkPaperSize.xs, xs/GtkPrintContext.xs,
	xs/GtkPrintOperation.xs, xs/GtkPrintOperationPreview.xs,
	xs/GtkPrintSettings.xs: Add support for the new printing API:
	GtkPageSetup, GtkPaperSize, GtkPrintContext, GtkPrintOperation,
	GtkPrintOperationPreview, GtkPrintSettings.

2006/06/19	kaffeetisch

	* Makefile.PL, xs_files-2.8: If gtk+ 2.8 or newer is used,
	require (the Perl module) Cairo 0.04.

2006/06/18	kaffeetisch

	* t/GtkTreeModelFilter.t, xs/GtkTreeModelFilter.xs:
	gtk_tree_model_filter_convert_child_iter_to_iter now has a bool
	return value, and gtk_tree_model_filter_convert_child_path_to_path
	and gtk_tree_model_filter_convert_path_to_child_path can now
	return NULL.  Alter the wrappers accordingly.

	* t/PangoCairo.t, xs/PangoCairo.xs: Bind and test
	pango_cairo_show_error_underline,
	pango_cairo_error_underline_path.

	* t/PangoFont.t, xs/PangoFont.xs: Bind and test
	pango_font_describe_with_absolute_size.  Also plug some leaks.

2006/06/16	kaffeetisch

	* t/GtkNotebook.t, xs/GtkNotebook.xs: Use an API improvement in
	gtk+ 2.9.2.

	* map-2.10, t/GtkTreeView.t, xs/GtkTreeView.xs: Bind and test
	gtk_tree_view_set_rubber_banding,
	gtk_tree_view_get_rubber_banding, gtk_tree_view_get_grid_lines,
	gtk_tree_view_set_grid_lines, gtk_tree_view_get_enable_tree_lines,
	gtk_tree_view_set_enable_tree_lines.

2006/06/05	kaffeetisch

	* t/GtkButton.t, xs/GtkButton.xs: Wrap
	gtk_button_set_image_position and gtk_button_get_image_position.

	* t/GtkMessageDialog.t, xs/GtkMessageDialog.xs: Wrap
	gtk_message_dialog_set_image.

	* t/GtkStatusIcon.t, xs/GtkStatusIcon.xs: Wrap
	gtk_status_icon_get_geometry.

2006/05/25	muppetman

	* t/GtkWidget.t, xs/GtkWidget.xs: Allow undef for the modify_foo
	methods.  #342891

2006/05/20	kaffeetisch

	Another successful gtk2-perl tag team coup:

	* t/GtkHButtonBox.t, t/GtkVButtonBox.t:
	Test [gs]et_layout_default, [gs]et_spacing_default.

	* xs/GdkEvent.xs: Remove an unneeded call to gperl_set_isa.

	* t/GtkAction.t, xs/GtkAction.xs: Bind and test
	gtk_widget_get_action.

	* MANIFEST, maps-2.10, xs_files-2.10, t/GtkCellRendererSpin.t,
	xs/GtkCellRendererSpin.xs: Add support for GtkCellRendererSpin.

	* t/GtkClipboard.t, xs/GtkClipboard.xs: Bind and test
	gtk_clipboard_request_rich_text, gtk_clipboard_wait_for_rich_text,
	gtk_clipboard_wait_is_rich_text_available.

	* t/GtkComboBox.t, xs/GtkComboBox.xs: Bind and test
	gtk_combo_box_set_title, gtk_combo_box_get_title.

	* t/GtkDnd.t, xs/GtkDnd.xs: Bind and test
	gtk_drag_dest_set_track_motion, gtk_drag_dest_get_track_motion.

	* t/GtkEntry.t, xs/GtkEntry.xs: Bind and test
	gtk_entry_set_inner_border, gtk_entry_get_inner_border and the new
	boxed wrapper for GtkBorder they made necessary.

	* t/GtkFileChooserButton.t, xs/GtkFileChooserButton.xs: Bind and
	test gtk_file_chooser_button_set_focus_on_click,
	gtk_file_chooser_button_get_focus_on_click.

	* t/GtkNotebook.t, xs/GtkNotebook.xs: Bind and test
	gtk_notebook_set_window_creation_hook, gtk_notebook_set_group_id,
	gtk_notebook_get_group_id, gtk_notebook_set_tab_reorderable,
	gtk_notebook_get_tab_reorderable, gtk_notebook_set_tab_detachable,
	gtk_notebook_get_tab_detachable.

	* t/GtkRadioAction.t, xs/GtkRadioAction.xs: Bind and test
	gtk_radio_action_set_current_value.

	* maps-2.10, t/GtkRange.t, xs/GtkRange.xs: Bind and test
	gtk_range_get_lower_stepper_sensitivity,
	gtk_range_set_lower_stepper_sensitivity,
	gtk_range_get_upper_stepper_sensitivity,
	gtk_range_set_upper_stepper_sensitivity.

	* t/GtkScrolledWindow.t, xs/GtkScrolledWindow.xs: Bind and test
	gtk_scrolled_window_unset_placement.

	* gtk2perl.h, maps-2.10, xs/GtkSelection.xs: If available, use the
	boxed wrapper for GtkTargetList.

	* t/GtkSelection.t, t/GtkClipboard.t, xs/GtkSelection.xs: Bind and
	test gtk_target_list_add_rich_text_targets,
	gtk_targets_include_text, gtk_targets_include_uri,
	gtk_targets_include_rich_text, gtk_targets_include_image,
	gtk_selection_data_targets_include_rich_text,
	gtk_selection_data_targets_include_uri.

	* t/GtkSizeGroup.t, xs/GtkSizeGroup.xs: Bind and test
	gtk_size_group_get_widgets.

	* t/GtkStatusIcon.t, xs/GtkStatusIcon.xs: Bind and test
	gtk_status_icon_position_menu.

	* t/GtkStyle.t, xs/GtkStyle.xs: Bind and test
	gtk_style_lookup_color.

	* t/GtkTextBuffer.t, xs/GtkTextBuffer.xs: Bind and test
	gtk_text_buffer_get_has_selection,
	gtk_text_buffer_get_copy_target_list,
	gtk_text_buffer_get_paste_target_list.

	* t/GtkTreeStore.t, xs/GtkTreeStore.xs: Bind and test
	gtk_tree_store_insert_with_values.

	* t/GtkTreeView.t, xs/GtkTreeView.xs: Bind and test
	gtk_tree_view_get_headers_clickable,
	gtk_tree_view_set_search_entry, gtk_tree_view_get_search_entry,
	gtk_tree_view_set_search_position_func.

	* t/GtkWidget.t, xs/GtkWidget.xs: Bind and test
	gtk_widget_input_shape_combine_mask.

	* t/01.GtkWindow.t, xs/GtkWindow.xs: Bind and test
	gtk_window_set_deletable, gtk_window_get_deletable,
	gtk_window_get_group.

2006/05/15	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.130.

2006/05/14	kaffeetisch

	* t/00.Gtk2.t: Fix test failure caused by the warning about a
	missing theme engine.  Reported by Sergei Steshenko in #341688.

2006/05/13	kaffeetisch

	The gtk2-perl tag team strikes again.

	* MANIFEST, xs_files-2.10, t/GtkTextBufferRichText.t,
	xs/GtkTextBufferRichText.xs: Add support for
	GtkTextBufferRichText.

	* t/GdkCairo.t, t/GdkScreen.t, xs/GdkCairo.xs: Bind and test
	gdk_cairo_set_source_pixmap, gdk_screen_get_font_options, and
	gdk_screen_set_font_options.

	* t/GdkDisplay.t, xs/GdkDisplay.xs: Bind and test
	gdk_display_supports_shapes and gdk_display_supports_input_shapes.

	* t/GdkPixmap.t, xs/GdkPixmap.xs: Bind and test
	gdk_pixmap_foreign_new_for_screen.

	* t/GdkScreen.t, xs/GdkScreen.xs: Bind and test
	gdk_screen_set_resolution, gdk_screen_get_resolution,
	gdk_screen_get_active_window, gdk_screen_get_window_stack, and
	gdk_screen_is_composited.

	* t/GdkWindow.t, xs/GdkWindow.xs: Bind and test
	gdk_window_get_type_hint, gdk_window_input_shape_combine_mask,
	gdk_window_input_shape_combine_region,
	gdk_window_set_child_input_shapes, and
	gdk_window_merge_child_input_shapes.

	* t/GdkCairo.t, t/PangoCairo.t: Make the check for Cairo's
	presence more robust.

	* t/GdkCursor.t: Fail gracefully if the "watch" cursor can't be found.

	* Makefile.PL: Bump up the (optionally) required Cairo version to
	0.03 for recent typemap improvements.  Only compile gdk's and
	pango's cairo glue if gtk+ >= 2.8.x.

2006/04/28	kaffeetisch

	* MANIFEST, maps-2.10, xs_files-2.10, t/GtkCellRendererAccel.t,
	xs/GtkCellRendererAccel.xs: Patch from muppet adds support for
	GtkCellRendererAccel.

2006/04/25	kaffeetisch

	* MANIFEST, maps-2.10, xs_files-2.10, examples/linkbutton.pl,
	t/GtkLinkButton.t, xs/GtkLinkButton.xs: Patch from muppet adds
	support for GtkLinkButton.

2006/04/23	kaffeetisch

	* MANIFEST, maps-2.10, xs_files-2.10, examples/assistant.pl,
	t/GtkAssistant.t, xs/GtkAssistant.xs: Patch from muppet adds
	support for GtkAssistant.

2006/04/23	kaffeetisch

	* t/GtkCellLayout.t, t/GtkExpander.t, t/GtkMenuItem.t,
	t/GtkRadioButton.t, t/GtkRadioToolButton.t, t/GtkScrolledWindow.t,
	t/GtkToggleButton.t: Remove the noinit flag from some tests that
	now apparently need an initialized gtk+.

2006/04/23	kaffeetisch

	* MANIFEST, maps-2.10, xs_files-2.10, t/GtkStatusIcon.t,
	xs/GtkStatusIcon.xs: The gtk2-perl tag team, muppet and me, adds
	support for GtkStatusIcon.

2006/04/08	kaffeetisch

	* Gtk2.pm, NEWS, README: Stable release 1.121.

2006/03/38	muppetman

	* t/Gdk.t: Don't call Gtk2::Gdk::Threads::init on a non-threading perl.

2006/03/12	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Stable release 1.120.

2006/02/13	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.116.

2006/02/05 04:26 pcg

	* xs/GdkRegion.xs: Fix access after free() in get_rectangles.

2006/02/02	muppetman

	* xs/GtkWidget.xs: Silly logic error in _INSTALL_OVERRIDES caused
	confusing but harmless warnings about set-scroll-adjustments signals.
	Need to test the instance type of the signal separately from the
	correctness of the signature.

2006/01/30	kaffeetisch

	* Makefile.PL: Check for gtk+ >= 2.8.0 before adding GdkCairo.xs
	and PangoCairo.xs to the build.

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.115.

2006/01/29	muppetman

	* MANIFEST, t/set-scroll-adjustments-signal.t, xs/GtkWidget.xs:
	In perl-derived Gtk2::Widgets, recognize signals named
	"set-scroll-adjustments" as special, and set their signal ids
	into GtkWidgetClass::set_scroll_adjustments_signal.  This makes
	it possible to implement natively-scrollable widgets in perl.

	This approach assumes the name name of the signal instead of
	following the completely generic approach taken by gtk+.  The
	idea is to hide some of the hackishness of the rather clunky,
	pre-GInterface scheme from perl developers.

2006/01/24	kaffeetisch

	* maps-2.0, maps-2.4: Register GtkCellEditable, GtkTreeModel,
	GtkTreeSortable and GtkFileChooser as GInterfaces since that's
	what they are.

	* xs/GtkTreeModelSort.xs: Make the xsubs for
	gtk_tree_model_sort_new_with_model and gtk_tree_model_sort_new
	return GtkTreeModelSorts instead of GtkTreeModels.  The latter is
	an interface and therefore abstract.

	* t/GtkCellView.t: Remove redundant isa_ok test.

2006/01/22	muppetman

	* xs/GtkWidget.xs: Allow undef for the adjustment parameters of
	gtk_widget_set_scroll_adjustments().

2006/01/18	kaffeetisch

	* t/GtkCellView.t, t/GtkComboBox.t, t/GtkComboBoxEntry.t,
	t/GtkEntry.t, t/GtkEntryCompletion.t, t/GtkFileChooserButton.t,
	t/GtkFileChooserDialog.t, t/GtkFileChooserWidget.t,
	t/GtkIconView.t, t/GtkListStore.t, t/GtkSpinButton.t,
	t/GtkTreeModelFilter.t, t/GtkTreeModelSort.t, t/GtkTreeStore.t,
	t/GtkTreeView.t: Use ginterfaces_ok on objects that implement
	interfaces.

	* gtk2perl.h, xs/.cvsignore: Remove atk stuff.

	* t/GtkProgressBar.t, xs/GtkProgressBar.xs: Remove now unneeded
	call to gperl_set_isa.  To be on the safe side, test that
	Gtk2::ProgressBar inherits from Gtk2::Widget.

2006/01/16	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.114.

2006/01/16	kaffeetisch

	* MANIFEST, maps-2.0, xs_files-2.0, t/AtkAction.t,
	t/AtkComponent.t, t/AtkImage.t, t/AtkImplementor.t, t/AtkObject.t,
	t/AtkSelection.t, xs/AtkAction.xs, xs/AtkComponent.xs,
	xs/AtkDocument.xs, xs/AtkEditableText.xs, xs/AtkHyperlink.xs,
	xs/AtkHypertext.xs, xs/AtkImage.xs, xs/AtkImplementor.xs,
	xs/AtkObject.xs, xs/AtkSelection.xs, xs/AtkStreamableContent.xs,
	xs/AtkTable.xs, xs/AtkText.xs, xs/AtkValue.xs: Remove the atk
	support again.  It was virtually untested and most probably
	unusable.  We can't have that kind of code in an API-stable
	release.  If you did use the atk stuff, let us know.

	* xs/GtkObject.xs: Remove the GInitiallyUnowned hack again.  Glib
	1.114 fixes the underlying problem.

2006/01/16	kaffeetisch

	* t/GdkScreen.t: Use skip() instead of two ok(1)'s.

	* t/GtkBin.t: Add a test for the "child" accessor.

	* t/GtkFileChooser.t: Redo slightly to make more robust, but still
	mark as "skip_all" since it's still too fragile.

	* t/GtkRc.t: Use isa() instead of ref() to test for inheritance.

2006/01/14	muppetman

	* xs/GdkPixbuf.xs, t/GdkPixbuf.t: Bind and test
	gdk_pixbuf_save_to_buffer.

2006/01/01	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.113.

2006/01/01	kaffeetisch

	* t/GtkFileChooser.t: Don't use the same shortcut path twice.

	* xs/GtkObject.xs: Manually force Gtk2::Object to be a descendant
	of Glib::Object to work around the GInitiallyUnowned issue.

2005/12/18	muppetman

	* xs/GtkTreeModelSort.xs, t/GtkTreeModelSort.t: add new() as an
	alias for new_with_model().  Previously, new() fell back to
	Glib::Object::new(), which would allow creation of invalid objects,
	resulting in several very hard-to-debug bug reports.  The change
	is a little convoluted because we still allow the valid syntax of
	Glib::Object::new for compatibility.  Tests included.

	* MANIFEST, examples/table_packing.pl: add new example.

2005/12/12	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.112.

2005/12/12	kaffeetisch

	* t/PangoFont.t: Fix a potential test issue.

2005/11/14	kaffeetisch

	* Gtk2.pm, Makefile.PL, NEWS, README: Unstable release 1.111.

2005/11/14	kaffeetisch

	* t/GtkComboBoxEntry.t: Skip the @ISA test for Gtk2::CellEditable
	on anything older than 2.8.0.

	* xs/GtkHyperlink.xs: Only compile support for
	atk_hyperlink_is_inline if it's available.

	* xs/GdkCairo.xs, xs/PangoCairo.xs: Hush warnings about unused
	variables.

2005/11/13	muppetman

	* pm/TestHelper.pm: Add ginterfaces_ok(), a helper for testing
	interface implementation on GObjects.

	* xs/GdkEvent.xs: Don't croak() when trying to marshal unknown
	event types to perl.  You can get an unknown event type when
	running with a newer gtk+ than that for which the bindings were
	compiled; since this marshaling typically occurs during the
	process of invoking a signal handler (e.g. event or event-after),
	a croak() here can result in C stack corruption and eventually a
	crash.  Instead, warn() about it, and limp along with the generic
	Gtk2::Gdk::Event type.

	Also, alias Gtk2::Gdk::Event::GrabBroken::DESTROY to prevent
	leaks.

	* xs/GdkEvent.xs, t/GdkEvent.t: Allow undef to gdk_event_get_time.
	Documentation updates.

2005/11/12	kaffeetisch

	* t/01.GtkWindow.t, t/GtkCellRenderer.t, t/GtkFileChooser.t,
	t/GtkIconView.t, t/GtkListStore.t, t/GtkNotebook.t,
	t/GtkSimpleList.t, t/GtkTreeView.t: Add the "sub" keyword to all
	blocks in run_main invocations to make older perl's happy.

	* xs/AtkHyperlink.xs: Only compile support for
	atk_hyperlink_is_selected_link if it's available.

	* xs/GdkColor.xs (gdk_color_new): Change the type of the arguments
	to guint16 to hush signedness warnings.

2005/11/01	rwmcfa1

	* t/GdkCairo.t: don't do Gtk -init, with no display (RPM build or
	otherwise) will break. remove -init added Gtk2->init_check to ok to go
	check

2005/10/18	kaffeetisch

	* Gtk2.pm, MANIFEST, Makefile.PL, NEWS, README: Unstable release
	1.110.

2005/10/18	kaffeetisch

	* xs/GtkClipboard.xs, xs/GtkToolbar.xs: Fix a signedness and a
	no-comma-after-last-enum-value warning.

2005/10/15	kaffeetisch

	* t/GdkX11.t, xs/GdkX11.xs: Patch from Marc Lehmann adds
	gdk_x11_screen_supports_net_wm_hint and gdk_net_wm_supports.  Also
	bind gdk_x11_get_server_time, gdk_x11_grab_server,
	gdk_x11_ungrab_server, gdk_x11_get_default_screen,
	gdk_x11_register_standard_event_type,
	gdk_x11_window_move_to_current_desktop,
	gdk_x11_screen_get_screen_number,
	gdk_x11_screen_get_window_manager_name and
	gdk_x11_screen_supports_net_wm_hint while we're at it.

2005/10/13	muppetman

	* MANIFEST: update with missing entries.

	* pm/SimpleList.pm, pm/SimpleMenu.pm: add deprecation notices.

	* xs/GdkPixbufSimpleAnim.xs, t/GdkPixbufSimpleAnim.t, xs_files-2.8,
	maps-2.8, MANIFEST:  Bind and test GdkPixbufSimpleAnim.

2005/10/10	kaffeetisch

	Patch from Marc Lehmann:

	* t/GdkGC.t, xs/GdkGC.xs: Allow undef for the argument of
	Gtk2::Gdk::GC::set_clip_mask, set_clip_rectangle, and
	set_clip_region.

	* xs/GdkPixbuf.xs: Don't leak the return value of
	gdk_pixbuf_composite_color_simple.

2005/10/05	kaffeetisch

	Merge from stable-1-10:

	* NEWS: Add the 1.101 release notes.

	* t/01.GtkWindow.t, t/GdkEvent.t, t/GdkWindow.t,
	t/GtkAccelGroupt.t, t/GtkAccelMap.t, t/GtkStock.t,
	t/GtkTreeModelIface.t, t/GtkWidget.t: Change the flags tests yet
	again.  Make them explicit this time by using is_deeply() and
	\@{}, '>=' or 'eq' so it hopefully works with any version of
	Test::More.

	* t/GtkFileChooser.t: Patch from Scott Lanning fixes a test
	problem.

2005/09/30	kaffeetisch

	* t/GtkFileChooser.t: Add yet another TODO for a new failure that
	surfaced recently.

	Wrap some stuff from gtk+ 2.8 that we missed:

	* t/GtkAboutDialog.t, xs/GtkAboutDialog.xs: Bind and test
	gtk_about_dialog_get_wrap_license,
	gtk_about_dialog_set_wrap_license.

	* t/GtkDnd.t, xs/GtkDnd.xs: Bind and test gtk_drag_set_icon_name.

2005/09/30	kaffeetisch

	Make gdk's and pango's cairo glue available if the Perl module
	Cairo is installed:

	* Gtk2.pm, Makefile.PL: Optionally depend on Cairo.

	* maps_pango-1.10: Add PANGO_TYPE_CAIRO_FONT_MAP.

	* t/GdkCairo.t, xs/GdkCairo.xs: Bind and test gdk_cairo_create,
	gdk_cairo_set_source_color, gdk_cairo_set_source_pixbuf,
	gdk_cairo_rectangle, gdk_cairo_region.

	* t/PangoCairo.t, xs/PangoCairo.xs: Bind and test
	pango_cairo_font_map_new, pango_cairo_font_map_set_resolution,
	pango_cairo_font_map_get_resolution,
	pango_cairo_font_map_create_context, pango_cairo_update_context,
	pango_cairo_create_layout, pango_cairo_update_layout,
	pango_cairo_show_glyph_string, pango_cairo_show_layout,
	pango_cairo_glyph_string_path, pango_cairo_layout_path,
	pango_cairo_context_set_font_options,
	pango_cairo_context_get_font_options,
	pango_cairo_context_set_resolution,
	pango_cairo_context_get_resolution.

	* examples/cairo-rendering.pl: Add a small cairo example.

2005/09/30	kaffeetisch

	Wrap a big chunk of the atk API:

	* gtk2perl.h: Include atk.h and atk-enum-types.h.

	* Makefile.PL, maps-2.0, xs_files-2.0: Add some necessary
	infrastructure stuff.

	* t/AtkAction.t, t/AtkComponent.t, t/AtkImage.t,
	t/AtkImplementor.t, t/AtkObject.t, t/AtkSelection.t,
	xs/AtkAction.xs, xs/AtkComponent.xs, xs/AtkDocument.xs,
	xs/AtkEditableText.xs, xs/AtkHyperlink.xs, xs/AtkHypertext.xs,
	xs/AtkImage.xs, xs/AtkImplementor.xs, xs/AtkObject.xs,
	xs/AtkSelection.xs, xs/AtkStreamableContent.xs, xs/AtkTable.xs,
	xs/AtkText.xs, xs/AtkValue.xs: Initial wrappers and (mostly
	non-functional) tests.

2005/09/30	kaffeetisch

	* xs/GtkCellView.xs, xs/GtkComboBox.xs, xs/GtkComboBoxEntry.xs,
	xs/GtkEntryCompletion.xs, xs/GtkListStore.xs, xs/GtkSpinButton.xs,
	xs/GtkTreeModelFilter.xs, xs/GtkTreeModelSort.xs,
	xs/GtkTreeStore.xs, xs/GtkTreeViewColumn.xs: Take advantage of
	Glib's new automatic interface registration code and remove all
	unneeded gperl_set_isa calls.

	* t/GtkComboBox.t, t/GtkEntry.t, t/GtkEntryCompletion.t,
	t/GtkIconView.t, t/GtkListStore.t, t/GtkTreeModelFilter.t,
	t/GtkTreeModelSort.t, t/GtkTreeStore.t, t/GtkTreeView.t: Add
	missing isa_ok tests that check if all implemented interfaces show
	up in the ancestry.

2005/09/18	kaffeetisch

	* t/GtkComboBox.t, xs/GtkComboBox.xs: Only add Gtk2::CellEditable
	to @Gtk2::ComboBox::ISA if we're on gtk+ >= 2.6.

	* Gtk2/t/GtkHScale.t, Gtk2/t/GtkMenuToolButton.t,
	Gtk2/t/GtkRange.t, t/GtkVScale.t: Remove noinit => 1 to fix test
	failures.

	* t/GtkFileChooser.t: Turn the one skip_all into various TODOs.

	* Gtk2/t/01.GtkWindow.t, Gtk2/t/GdkCursor.t, Gtk2/t/GdkDisplay.t,
	Gtk2/t/GdkEvent.t, Gtk2/t/GdkScreen.t, Gtk2/t/GdkWindow.t,
	Gtk2/t/GdkX11.t, Gtk2/t/GtkDialog.t, Gtk2/t/GtkDnd.t,
	Gtk2/t/GtkEntryCompletion.t, t/GtkFileChooser.t,
	Gtk2/t/GtkIconView.t, Gtk2/t/GtkImage.t, Gtk2/t/GtkMenuBar.t,
	Gtk2/t/GtkMenuShell.t, Gtk2/t/GtkScrolledWindow.t,
	Gtk2/t/GtkSizeGroup.t, Gtk2/t/GtkStock.t, Gtk2/t/GtkTextIter.t,
	Gtk2/t/GtkToolButton.t, Gtk2/t/GtkTreeModel.t,
	Gtk2/t/GtkTreeView.t, Gtk2/xs/GdkCursor.xs, Gtk2/xs/GdkDisplay.xs,
	Gtk2/xs/GdkEvent.xs, Gtk2/xs/GdkScreen.xs, Gtk2/xs/GdkWindow.xs,
	Gtk2/xs/GdkX11.xs, Gtk2/xs/GtkDialog.xs, Gtk2/xs/GtkDnd.xs,
	Gtk2/xs/GtkEntryCompletion.xs, Gtk2/xs/GtkFileChooser.xs,
	Gtk2/xs/GtkIconView.xs, Gtk2/xs/GtkImage.xs,
	Gtk2/xs/GtkMenuBar.xs, Gtk2/xs/GtkMenuShell.xs,
	Gtk2/xs/GtkScrolledWindow.xs, Gtk2/xs/GtkSizeGroup.xs,
	Gtk2/xs/GtkStock.xs, Gtk2/xs/GtkTextIter.xs,
	Gtk2/xs/GtkToolButton.xs, Gtk2/xs/GtkTreeModel.xs,
	Gtk2/xs/GtkTreeView.xs, Gtk2/xs/GtkTreeViewColumn.xs,
	Gtk2/xs/GtkWindow.xs: Make all version checks refer to stable
	releases.

2005/09/06	muppetman

	* examples/cellrenderer_date.pl, AUTHORS: Modified patch from Daniel
	  Kasak (dkasak at nusconsulting dot com dot au) ensures that the
	  calendar popup never appears offscreen.

	* examples/cellrenderer_date.pl: Further modify the example to use
	  size_request() instead of showing the window offscreen to get the
	  allocation and then moving it onscreen.

2005/09/05	kaffeetisch

	* MANIFEST, META.yml: Remove META.yml.

	* doctypes: Add GdkPixbuf_noinc.

	* t/PangoRenderer.t: Remove draw_trapezoid test.

	* Gtk2.pm, Makefile.PL, README, NEWS: Stable release 1.100.

2005/07/31	muppetman

	* t/GtkTreeModel.t, t/GtkTreeView.t, xs/GtkFileChooser.xs,
	  xs/GtkTreeModel.xs, xs/GtkTreeView.xs, xs/GtkTreeViewColumn.xs,
	  AUTHORS: Patch from HE fixes up some bad version checks.  Features
	  added in gtk+ 2.7.3 were incorrectly marked as 2.7.0, breaking
	  testing with 2.7.[0-2].

	* xs/GtkSelection.xs: fix some pointer signedness warnings.

2005/07/27	kaffeetisch

	* Gtk2.pm, META.yml, Makefile.PL, NEWS, README: Unstable release
	1.093.

2005/07/27	kaffeetisch

	* t/GdkPixbuf.t: Make get_image() more tolerant.

	* t/GtkAction.t: Correct skip message.

	* t/GtkIconTheme.t: Update copyright.

	* t/GtkIconView.t: Make the position test less fragile.

	* t/PangoRenderer.t: Wrap draw_trapezoid() inside a SKIP block
	till it gets fixed.

2005/07/26	muppetman

	* CodeGen.pm: Gtk2::CodeGen is now just a wrapper for Glib::CodeGen.

2005/07/21	muppetman

	* xs/GtkDialog.xs, AUTHORS: Patch from lonefox at welho dot com
	changes Gtk2::Dialog::set_alternative_button_order() to accept
	string constants as well as numeric response ids.

	* t/GtkDialog.t: Test response strings as well as numbers.

2005/07/19	kaffeetisch

	* pm/TestHelper.pm: Correct NAME section to read Gtk2::TestHelper
	instead of Gtk2::Test::Helper.

	* t/GtkFileChooser.t, xs/GtkFileChooser.xs: Bind
	gtk_file_chooser_[sg]et_do_overwrite_confirmation.

	* t/GtkTreeModel.t, xs/GtkTreeModel.xs: Bind and test
	gtk_tree_row_reference_get_model.

	* t/GtkTreeView.t, xs/GtkTreeView.xs: Bind and test
	gtk_tree_view_get_visible_range.

	* t/GtkTreeView.t, xs/GtkTreeViewColumn.xs: Bind and test
	gtk_tree_view_column_queue_resize.

2005/07/12	kaffeetisch

	* t/GdkPixbuf.t, t/GdkPixbufLoader.t: Expand two skip sections to
	include newer versions to account for some test failures.

	* Gtk2.pm, MANIFEST, META.yml, Makefile.PL, NEWS, README: Unstable
	release 1.092.

2005/07/12	kaffeetisch

	* t/GdkPixbuf.t, xs/GdkPixbuf.xs: Add Gtk2::Gdk::PixbufAnimation
	tests.  Quell warnings about unregistered subclasses of
	GdkPixbufAnimationIter.

	* t/GdkPixbufLoader.t: New test from muppet.

	* Gtk2.exports, gtk2perl.h, xs/GdkPixbuf.xs,
	xs/GdkPixbufLoader.xs: Fix Gtk2::Gdk::PixbufLoader::new_with_type
	and new_with_mime_type so they can be called correctly.  Bind
	gdk_pixbuf_loader_get_format and make the GdkPixbufFormat
	converters public.  Patch from muppet.

	* xs/GtkTreeDnd.xs: Add support for GtkTreeDragSource and
	GtkTreeDragDest interfaces.  Patch from muppet.

	* xs/PangoLayout.xs, xs/PangoScript.xs: Use crashers for the
	GBoxedCopyFunc of PangoLayoutIter and PangoScriptIter instead of
	the incorrect g_boxed_copy.

2005/07/10	kaffeetisch

	* gtk2perl-private.h, MANIFEST, xs/GtkComboBox.xs,
	xs/GtkActionGroup.xs: Add a private header for non-static,
	non-public stuff to get rid of the 'extern' declarations.

	* maps-2.8, MANIFEST: Add GtkPackDirection and
	GtkIconViewDropPosition support.

	* t/Gdk.t, t/GdkGC.t, t/GdkInput.t, t/GtkIconTheme.t,
	t/GtkLabel.t: Fix a few test suite issues.  Add some tests.

	* t/GdkCursor.t, xs/GdkCursor.xs: Bind gdk_cursor_new_from_name,
	gdk_cursor_get_image.

	* t/GdkDisplay.t, xs/GdkDisplay.xs: Bind gdk_display_warp_pointer.

	* t/GdkEvent.t, xs/GdkEvent.xs: Add support for the grab-broken
	event.

	* t/GdkScreen.t, xs/GdkScreen.xs: Bind
	gdk_screen_get_rgba_colormap, gdk_screen_get_rgba_visual.

	* t/GdkWindow.t, xs/GdkWindow.xs: Bind
	gdk_window_set_urgency_hint, gdk_window_move_region.

	* t/GdkX11.t, xs/GdkX11.xs: Bind gdk_x11_display_set_cursor_theme,
	gdk_x11_display_get_user_time.

	* t/GtkDialog.t, xs/GtkDialog.xs: Bind
	gtk_dialog_get_response_for_widget.

	* t/GtkDnd.t, xs/GtkDnd.xs: Bind gtk_drag_source_set_icon_name.

	* t/GtkEntryCompletion.t, xs/GtkEntryCompletion.xs: Bind
	gtk_entry_completion_set_popup_set_width,
	gtk_entry_completion_get_popup_set_width,
	gtk_entry_completion_set_popup_single_match,
	gtk_entry_completion_get_popup_single_match.

	* t/GtkIconView.t, xs/GtkIconView.xs: Bind
	gtk_icon_view_get_cursor, gtk_icon_view_get_item_at_pos,
	gtk_icon_view_get_visible_range,
	gtk_icon_view_enable_model_drag_source,
	gtk_icon_view_enable_model_drag_dest,
	gtk_icon_view_unset_model_drag_source,
	gtk_icon_view_unset_model_drag_dest,
	gtk_icon_view_set_reorderable, gtk_icon_view_get_reorderable,
	gtk_icon_view_set_drag_dest_item,
	gtk_icon_view_get_drag_dest_item,
	gtk_icon_view_get_dest_item_at_pos,
	gtk_icon_view_create_drag_icon.

	* t/GtkImage.t, xs/GtkImage.xs: Bind gtk_image_clear.

	* t/GtkMenuBar.t, xs/GtkMenuBar.xs: Bind
	gtk_menu_bar_get_child_pack_direction,
	gtk_menu_bar_set_child_pack_direction,
	gtk_menu_bar_get_pack_direction, gtk_menu_bar_set_pack_direction.

	* t/GtkMenuShell.t, xs/GtkMenuShell.xs: Bind
	gtk_menu_shell_get_take_focus, gtk_menu_shell_set_take_focus.

	* t/GtkScrolledWindow.t, xs/GtkScrolledWindow.xs: Bind
	gtk_scrolled_window_get_hscrollbar,
	gtk_scrolled_window_get_vscrollbar.

	* t/GtkSizeGroup.t, xs/GtkSizeGroup.xs: Bind
	gtk_size_group_set_ignore_hidden,
	gtk_size_group_get_ignore_hidden.

	* t/GtkStock.t, xs/GtkStock.xs: Bind gtk_stock_set_translate_func.

	* t/GtkTextIter.t, xs/GtkTextIter.xs: Bind
	gtk_text_iter_forward_visible_line,
	gtk_text_iter_backward_visible_line,
	gtk_text_iter_forward_visible_lines,
	gtk_text_iter_backward_visible_lines.

	* t/GtkToolButton.t, xs/GtkToolButton.xs: Bind
	gtk_tool_button_set_icon_name, gtk_tool_button_get_icon_name.

	* t/01.GtkWindow.t, xs/GtkWindow.xs: Bind
	gtk_window_set_urgency_hint, gtk_window_get_urgency_hint,
	gtk_window_present_with_time.

2005/06/28	kaffeetisch

	* Gtk2.pm, t/GtkTreeModelIface.t, xs/GtkTreeSortable.xs: Make it
	possible for custom tree models to implement the GtkTreeSortable
	interface.  Also add a FIXME comment about an incorrectly bound
	method.

2005/06/22	kaffeetisch

	* t/GtkAccelGroup.t, t/GtkAccelMap.t, t/GtkStock.t: Use is()
	instead of is_deeply() to test flags values since the latter was
	changed to always use the string version of overloaded objects in
	recent versions of Test::More, whereas the former seems to work
	correctly.  Tested with Test::More 0.45 and 0.60.

2005/06/21	kaffeetisch

	* t/GtkWidget.t, xs/GtkWidget.xs: Turn Gtk2::Widget::window into a
	mutator.

2005/06/20	kaffeetisch

	* xs/GtkPaned.xs: Fix the child aliases to have unique ids to hush
	warnings from newer ExtUtils::ParseXS versions.

2005/06/20	kaffeetisch

	* t/GtkTreeView.t: Make sure we only enter the row separator
	callback once to make this test more robust.

	* xs/GdkPixbuf.xs: Escape ">" in the POD for
	gdk_pixbuf_format_set_disabled.

2005/06/16	muppetman

	* pm/SimpleList.pm:  Don't trap the model in closures and signal
	handler data.  This makes it possible to change the SimpleList's
	model without breaking editable renderers.  This isn't a complete
	solution, but is cleaner even by itself.

2005/06/07	muppetman

	* xs/GnomeAboutDialog.xs: Actually store the instances created by
	Gtk2::show_about_dialog(), so that they can be reused.

	* xs/GtkComboBox.xs, xs/GtkComboBoxEntry.xs, xs/GtkDialog.xs,
	xs/GtkList.xs, xs/GtkListItem.xs, xs/GtkMessageDialog.xs: Add or
	beef up a few synopsis and description sections.

2005/06/06	kaffeetisch

	* Gtk2.pm, META.yml, Makefile.PL, NEWS, README: Unstable release
	1.091.

2005/06/03	kaffeetisch

	* t/GtkFileChooserButton.t: Use "open" instead of "save" for the
	dialog since the button doesn't support "save".

2005/04/25	kaffeetisch

	* Gtk2.pm, Makefile.PL, META.yml, NEWS, README: Unstable release
	1.090.

2005/04/25	kaffeetisch

	* CodeGen.pm: Add const typemaps for object types.

	* t/GtkFileChooser.t: Skip this test completely as it's failing.

	* t/GtkAccelMap.t, t/GtkAccelGroup.t, t/GtkStock.t: Remove some
	TODO block since the relevant Test::More bug has been fixed.

	* gdk.typemap, maps-2.6, t/GdkPixbuf.t, xs/GdkPixbuf.xs: Bind and
	test gdk_pixbuf_new_from_file_at_scale, gdk_pixbuf_rotate_simple,
	gdk_pixbuf_flip, gdk_pixbuf_get_file_info, the new GdkPixbufFormat
	members and gdk_pixbuf_format_set_disabled.

	* t/GtkDnd.t, xs/GtkDnd.xs, xs/GtkNotebook.xs: Merge from
	stable-1-08: Update copyright disclaimers.

	* xs/GtkRadioAction.xs, xs/GtkToggleAction.xs: Add synopsis
	sections that show and explain our custom constructors for these
	types.

2005/04/17	kaffeetisch

	* Gtk2.pm, META.yml, Makefile.PL, NEWS, README: Merge from
	stable-1-08.

2005/04/08	rmcfarla

	* xs/GtkNotebook.xs: added pod comments to functions that now return
	integers saying this is new as of Gtk2-Perl 1.080.

2005/04/07	kaffeetisch

	* xs/GdkDrawable.xs: Update a FIXME comment.

	* t/GtkAccelMap.t, xs/GtkAccelMap.xs: Bind and test
	gtk_accel_map_get, gtk_accel_map_lock_path,
	gtk_accel_map_unlock_path.

	* t/GtkAction.t, xs/GtkAction.xs: Bind and test
	gtk_action_get_accel_path.

	* t/GtkIconView.t, xs/GtkIconView.xs: Bind and test
	gtk_icon_view_set_columns, gtk_icon_view_get_columns,
	gtk_icon_view_set_item_width, gtk_icon_view_get_item_width,
	gtk_icon_view_set_spacing, gtk_icon_view_get_spacing,
	gtk_icon_view_set_row_spacing, gtk_icon_view_get_row_spacing,
	gtk_icon_view_set_column_spacing,
	gtk_icon_view_get_column_spacing, gtk_icon_view_set_margin,
	gtk_icon_view_get_margin.  Also add a copyright disclaimer to
	GtkIconView.xs.

	* t/GtkPaned.t, xs/GtkPaned.xs: Add and test get_child1 and
	get_child2 aliases to the existing child1 and child2 accessors.

2005/04/04	muppetman

	* xs/GtkStyle.xs, t/GtkStyle.t: turn Gtk2::Style::bg_pixmap
	into a mutator.

	* xs/GtkDnd.xs, t/GtkDnd.t: allow undef for the mask parameter
	to gtk_drag_set_icon_pixmap(), with tests.

2005/04/02	muppetman

	A examples/draw_text.pl
	M MANIFEST
	Add a new example.

2005/04/02	kaffeetisch

	* MANIFEST, maps-2.4, maps-2.6, maps_pango-1.8, xs_files-2.0,
	xs_files-2.6, gtk-demo/main.pl, gtk-demo/rotated_text.pl,
	t/GdkPango.t, t/PangoRenderer.t, xs/GdkPango.xs,
	xs/PangoRenderer.xs: Add initial bindings and tests for
	PangoRenderer and GtkPango.  Also add muppet's rotated text
	example.

2005/03/25	kaffeetisch

	* CodeGen.pm: Make the GEnum and GFlags converters cast their
	return values to the correct type to fix compilation when using a
	C++ compiler.

2005/03/07	kaffeetisch

	* Gtk2.pm, META.yml, Makefile.PL, NEWS, README: Stable release
	1.080.

2005/03/07	kaffeetisch

	* t/GtkFileChooser.t: Temporarily mark a failing test as TODO.

2005/02/28	kaffeetisch

	* Gtk2.pm, META.yml, Makefile.PL, NEWS, README: Unstable release
	1.074.

2005/02/28	kaffeetisch

	* t/GdkPixmap.t: Fix skip count for gtk+ versions older than 2.2.

2005/02/26	muppetman

	* xs/GtkNotebook.xs, t/GtkNotebook.t: The multiple definitions of
	some functions (in #if branches) confused the doc generation tools
	into creating multiple entries.  Folded the #if into the individual
	xsubs.  To make life easier for the caller, simply implement for
	ourselves the missing return values on older gtk+s.  Tests included.

	* xs/GdkPixmap.xs, t/GdkPixmap.t:  gdk_pixmap_create_from_xpm()
	returns NULL if the file is not found; catch this and return undef
	instead of crashing.  With a test.  Also allow undef and improve
	docs for a few parameters.

2005/02/26	kaffeetisch

	* t/GtkAccelGroup.t, t/GtkAccelMap.t, t/GtkStock.t: Mark tests as
	TODO that currently fail due to what appears to be a bug in
	Test::More.

	* t/PangoLayout.t: Test pango_layout_[sg]et_attributes.

2005/02/19 20:13 (+0100) pcg

	* xs/GdkProperty.xs: document data instead of length as result value.
	* xs/GtkNotebook.xs: insert functions return gint from 2.4 onwards.

2005/02/18 15:53 (+0100) kaffeetisch

	* xs/GtkMessageDialog.xs, xs/GtkObject.xs, xs/GtkWidget.xs: Don't
	include ppport.h, it's not necessary.

2005/02/16 23:30 (-0400) muppetman

	* pm/SimpleList.pm: Catch undef iters gotten from requests for
	non-existent entries.

	* gtk2perl.h, xs/GtkPlug.xs, xs/GtkSocket.xs: invert the sense of
	the tests around GtkPlug and GtkSocket; only include them on X11,
	since that's the only platform on which they are supported.

2005/02/10 22:30 (+0100) kaffeetisch

	* t/GtkBox.t, t/GtkNotebook.t: Use TRUE and FALSE instead of 1 and
	0 or undef where appropriate.

2005/02/08 01:15 (-0400) muppetman

	* Gtk2.pm, NEWS, README, copyright.pod: unstable release 1.073

	* Makefile.PL: require Glib 1.073

	* MANIFEST: updated

2005/02/08 01:05 (-0400) muppetman

	* t/GtkComboBox.t: Fix gtk+ assertions by setting the combobox up
	properly.

2005/02/08 00:15 (-0400) muppetman

	* xs/GdkPixbuf.xs, t/GdkPixbuf.t: bind and test gdk_pixbuf_get_option

	* t/GtkAboutDialog.t, xs/GtkAboutDialog.xs: implement and test
	gtk_show_about_dialog

	* xs/GtkCellRenderer.xs, t/GtkCellRenderer.t: bind and test
	gtk_cell_renderer_stop_editing

	* xs/GtkIconView.xs, t/GtkIconView.t: bind and test
	gtk_icon_view_selected_foreach

2005/02/08 00:10 (-0400) muppetman

	* t/GtkComboBox.t: fix skip count.

2005/02/08 00:05 (-0400) muppetman

	M MANIFEST
	M xs_files-2.0
	A t/PangoAttributes.t
	A xs/PangoAttributes.xs: Bind and test pango_parse_markup().

2005/01/29 21:10 (-0400) muppetman

	* xs/GtkIconView.xs: remove out-of-date commentary

	* t/GdkEvent.t, t/GtkAccelGroup.t, t/GtkButton.t, t/GtkCellView.t,
	t/GtkComboBox.t, t/GtkEntry.t, t/GtkEntryCompletion.t,
	t/GtkFileChooser.t, t/GtkFileFilter.t, t/GtkIconTheme.t,
	t/GtkIconView.t, t/GtkImage.t, t/GtkTreeView.t, xs/GdkEvent.xs,
	xs/GtkAccelGroup.xs, xs/GtkButton.xs, xs/GtkComboBox.xs,
	xs/GtkEntry.xs, xs/GtkEntryCompletion.xs, xs/GtkFileChooser.xs,
	xs/GtkFileFilter.xs, xs/GtkIconTheme.xs, xs/GtkImage.xs,
	xs/GtkTreeView.xs: fix version tests to use stable 2.6.0

2005/01/29 01:40 (-0400) muppetman

	* xs/GtkAboutDialog.xs, t/GtkAboutDialog.t: extend the test suite to
	test the GStrv properties.  use SvGChar, not SvPV_nolen, to make sure
	we get unicode text.

2005/01/19 07:52 (-0400) rwmcfa1

	* t/GtkCellView.t, t/GtkComboBox.t, t/GtkComboBoxEntry.t,
	t/GtkSpinButton.t, t/GtkTreeModelSort.t, xs/GtkCellView.xs,
	xs/GtkComboBox.xs, xs/GtkComboBoxEntry.xs, xs/GtkFileChooserWidget.xs,
	xs/GtkSpinButton.xs, xs/GtkTreeModelFilter.xs, xs/GtkTreeModelSort.xs:
	added missing interfaces to isa's and test for them

2005/01/16 23:13 (-0400) muppetman

	* xs/GtkTreeModelFilter.xs, t/GtkTreeModelFilter.t: Make sure that
	$modelfilter->get resolves to Gtk2::TreeModel::get.  (Committed
	the wrong changeset last night.)

2005/01/16 02:34 (-0400) muppetman

	* xs/GtkTreeModelFilter.xs, t/GtkTreeModelFilter.t: Set up @ISA
	to reflect the fact that GtkTreeModelFilter implements the
	GtkTreeModel and GtkTreeDragSource interfaces.  Add isa_ok()
	tests to verify.

	* t/GtkTreeView.t: Change column type to hush gtk+ assertions.

2005/01/10 09:00 (-0400) muppetman

	* MANIFEST: add files that should've been there for 1.072.
	rel-1-07-2 retagged here.

2005/01/10 01:19 (-0400) muppetman

	* Gtk2.pm, META.yml, NEWS, README: Unstable release 1.072.

	* xs/GtkDialog.xs: Document Gtk2::alternative_dialog_button_order
	in Gtk2::main, to avoid creating a Gtk2.pod that conflicts with
	Gtk2.pm.

	* t/GtkLabel.t, t/GtkTextView.t: Correct skip counts.

2005/01/08 22:45 (-0400) muppetman

	* xs/GtkLabel.xs, t/GtkLabel.t: Bind and test
	gtk_label_[gs]et_single_line_mode
	gtk_label_[gs]et_max_width_chars

	* xs/GtkListStore.xs, t/GtkListStore.t: Bind and test
	gtk_list_store_insert_with_values

	* xs/GtkTextView.xs, t/GtkTextView.t: Bind and test
	gtk_text_view_get_iter_at_position

	* xs/GtkToolItem.xs, t/GtkToolItem.t: Bind and test
	gtk_tool_item_rebuild_menu

2005/01/08 22:30 (-0400) muppetman

	* xs/GtkActionGroup.xs, t/GtkActionGroup.t: enable and test
	translation of action groups.

2005/01/07 22:27 (+0200) kaffeetisch

	* examples/cellrenderer_date.pl,
	examples/cellrenderer_spinbutton.pl, examples/customrenderer.pl:
	Change package names to use custom prefixes, to avoid putting
	stuff in the Gtk2 namespace.

	* t/PangoFont.t, xs/PangoFont.xs: Bind and test
	pango_font_description_set_absolute_size and
	pango_font_description_get_size_is_absolute.

	* t/PangoLayout.t, xs/PangoLayout.xs: Bind and test
	pango_layout_get_font_description.

2005/01/05 23:24 (-0400) muppetman

	* pm/TestHelper.pm, t/00.Gtk2.t, t/01.GtkWindow.t,
	t/GtkCellRenderer.t, t/GtkFileChooser.t, t/GtkIconView.t,
	t/GtkListStore.t, t/GtkNotebook.t, t/GtkSimpleList.t,
	t/GtkTreeSelection.t, t/GtkTreeView.t: add, document, and use
	TestHelper functions run_main, ok_idle, and is_idle.

2005/01/05 23:16 (-0400) muppetman

	* xs/GtkItemFactory.xs: an important part of one of kaffee's last
	patchsets didn't make it in -- make gtk2perl_translate_func() and
	gtk2perl_translate_func_create() no longer static, so they can
	be used from GtkActionGroup.xs.

2005/01/02 17:44 (+0100) kaffeetisch

	* t/GdkRgb.t, xs/GdkRgb.xs: Bind and test
	gdk_rgb_colormap_ditherable.

	* t/GtkActionGroup.t, xs/GtkActionGroup.xs: Bind and test
	gtk_action_group_set_translation_domain,
	gtk_action_group_set_translate_func, and
	gtk_action_group_translate_string.

	* t/GtkDialog.t, xs/GtkDialog.xs: Bind and test
	gtk_alternative_dialog_button_order.

	* t/GtkClipboard.t, t/GtkSelection.t, xs/GtkClipboard.xs,
	xs/GtkSelection.xs: Bind and test gtk_clipboard_set_image,
	gtk_clipboard_wait_for_image,
	gtk_clipboard_wait_is_image_available,
	gtk_clipboard_request_image, gtk_clipboard_set_can_store,
	gtk_clipboard_store, gtk_clipboard_wait_is_target_available,
	gtk_target_list_add_text_targets,
	gtk_target_list_add_image_targets,
	gtk_target_list_add_uri_targets, gtk_selection_data_set_pixbuf,
	gtk_selection_data_get_pixbuf, gtk_selection_data_set_uris,
	gtk_selection_data_get_uris, and
	gtk_selection_data_targets_include_image.  Modify the received
	funcs to free the callback directly after it was invoked.  Add a
	FIXME comment and a test for the completely misbound
	gtk_selection_clear.

	* t/GtkFileChooser.t: Use idle callbacks to fix the test failures
	that occured after caching was implemented.

	* t/GtkMenu.t, xs/GtkMenu.xs: Bind and test
	gtk_menu_get_for_attach_widget.

2005/01/02 16:35 (+0100) kaffeetisch

	* CodeGen.pm: Add a _noinc_ornull variant to the typemaps for
	GObject's.

	* t/GdkDisplay.t, xs/GdkDisplay.xs: Bind and test
	gdk_display_supports_selection_notification,
	gdk_display_request_selection_notification,
	gdk_display_supports_clipboard_persistence, and
	gdk_display_store_clipboard.

	* t/GdkDnd.t, xs/GdkDnd.xs: Bind and test gdk_drag_drop_succeeded.

	* xs/GdkDrawable.xs: Add a comment about gdk_draw_trapezoids and
	why we don't bind it.

	* t/GdkWindow.t, xs/GdkWindow.xs: Bind and test
	gdk_window_enable_synchronized_configure,
	gdk_window_configure_finished, and gdk_window_set_focus_on_map.

	* t/GdkX11.t, xs/GdkX11.xs: Bind and test
	gdk_x11_window_set_user_time.

	* t/GtkAboutDialog.t, xs/GtkAboutDialog.xs: Add and test _ornull's
	where appropriate.

	* t/GtkAction.t, xs/GtkAction.xs: Bind and test
	gtk_action_set_sensitive and gtk_action_set_visible.

	* xs/GtkCellView.xs: Remove the now unused init_property_value().

	* t/GtkDnd.t, xs/GtkDnd.xs: Bind and test
	gtk_drag_dest_add_text_targets, gtk_drag_dest_add_image_targets,
	gtk_drag_dest_add_uri_targets, gtk_drag_source_add_text_targets,
	gtk_drag_source_add_image_targets, and
	gtk_drag_source_add_uri_targets.

	* t/GtkLabel.t, xs/GtkLabel.xs: Bind and test gtk_label_set_angle
	and gtk_label_get_angle.

	* t/GtkMessageDialog.t, xs/GtkMessageDialog.xs: Bind and test
	gtk_message_dialog_format_secondary_text and
	gtk_message_dialog_format_secondary_markup.

	* t/GtkProgressBar.t, xs/GtkProgressBar.xs: Bind and test
	gtk_progress_bar_set_ellipsize and gtk_progress_bar_get_ellipsize.

	* t/GtkTextBuffer.t, xs/GtkTextBuffer.xs: Bind and test
	gtk_text_buffer_backspace.

	* t/01.GtkWindow.t, xs/GtkWindow.xs: Bind and test
	gtk_window_set_focus_on_map, gtk_window_get_focus_on_map,
	gtk_window_set_icon_name, gtk_window_get_icon_name, and
	gtk_window_set_default_icon_name.

	* maps-2.6, xs_files-2.6, t/GtkCellRendererCombo.t,
	t/GtkCellRendererProgress.t, t/GtkFileChooserButton.t,
	t/GtkMenuToolButton.t, xs/GtkCellRendererCombo.xs,
	xs/GtkCellRendererProgress.xs, xs/GtkFileChooserButton.xs,
	xs/GtkMenuToolButton.xs: Bind and test GtkCellRendererCombo,
	GtkCellRendererProgress, GtkFileChooserButton, and
	GtkMenuToolButton.

2004/12/16 15:27 (-0400) rwmcfa1

	* t/GtkCellView.t, xs/GtkCellView.xs: set_cell_data, set_value, and
	set_values functions removed and/or made static (not public any more)
	so we shouldn't bind and thus test them.

	* t/GtkIconTheme.t: corrected skip count in lookup_icon. don't test
	get_icon_sizes return if it returns an empty list.

2004/12/04 21:44 (-0400) muppetman

	* examples/histogramplot.h: Add key navigation to the plot widget.

2004/11/29 21:43 (+0100) kaffeetisch

	* Makefile.PL: Correct the unstable warning message to say 1.06x
	instead of 1.04x.

	* Gtk2.pm, META.yml, NEWS, README: Unstable release 1.071.

2004/11/29 21:01 (+0100) kaffeetisch

	* xs/GtkAboutDialog.xs: Various const-ness fixes.

	* t/GtkAccelGroup.t, xs/GtkAccelGroup.xs: Bind and test
	gtk_accelerator_get_label.

	* t/GtkButton.t, xs/GtkButton.xs: Bind and test
	gtk_button_set_image, gtk_button_get_image.

	* t/GtkDialog.t, xs/GtkDialog.xs: Bind and test
	gtk_dialog_set_alternative_button_order.

	* t/GtkEntry.t, xs/GtkEntry.xs: Bind and test
	gtk_entry_layout_index_to_text_index,
	gtk_entry_text_index_to_layout_index.

	* t/GtkFileChooser.t, xs/GtkFileChooser.xs: Bind and test
	gtk_file_chooser_set_show_hidden,
	gtk_file_chooser_get_show_hidden.

	* t/GtkFileFilter.t, xs/GtkFileFilter.xs: Bind and test
	gtk_file_filter_add_pixbuf_formats.

	* t/GtkImage.t, xs/GtkImage.xs: Bind and test
	gtk_image_new_from_icon_name, gtk_image_set_from_icon_name,
	gtk_image_get_icon_name, gtk_image_set_pixel_size,
	gtk_image_get_pixel_size.

2004/11/01 21:38 (+0100) kaffeetisch

	* Makefile.PL: Depend on Glib 1.070.

	* MANIFEST: Add maps_pango-1.4.

	* Gtk2.pm, META.yml, Makefile.PL, NEWS, README: Unstable release
	1.070.

2004/10/25 20:26 (+0200) kaffeetisch

	* maps_pango-1.5, maps_pango-1.6: Rename the maps file.

	* t/Gdk.t: Account for the new grab result "not-viewable".

	* t/GtkIconView.t: Add a "FIXME: 2.6" comment.

	* t/GtkListStore.t: Reenable this test since the bug that caused
	the issues has been fixed.

	* t/GtkAboutDialog.t, xs/GtkAboutDialog.xs: Bind and test
	gtk_about_dialog_get_logo_icon_name,
	gtk_about_dialog_set_logo_icon_name,
	gtk_about_dialog_set_email_hook, gtk_about_dialog_set_url_hook.
	Add some parameter descriptions.

	* t/GtkCellView.t, xs/GtkCellView.xs: Bind and test
	gtk_cell_view_set_value, gtk_cell_view_set_values,
	gtk_cell_view_get_size_of_row.

	* xs/GtkClipboard.xs: Don't use the _noinc typemaps with
	gtk_clipboard_get and gtk_clipboard_get_for_display since we don't
	actually own the returned clipboards.

	* t/GtkEntryCompletion.t, xs/GtkEntryCompletion.xs: Bind and test
	gtk_entry_completion_get_text_column,
	gtk_entry_completion_insert_prefix,
	gtk_entry_completion_set_inline_completion,
	gtk_entry_completion_get_inline_completion,
	gtk_entry_completion_set_popup_completion,
	gtk_entry_completion_get_popup_completion.

	* t/GtkIconTheme.t, xs/GtkIconTheme.xs: Bind and test
	gtk_icon_theme_get_icon_sizes.  Move the search path modifying
	tests to the end to make this test finally work.

	* t/GtkLabel.t, xs/GtkLabel.xs: Bind and test
	gtk_label_set_ellipsize, gtk_label_get_ellipsize,
	gtk_label_set_width_chars, gtk_label_get_width_chars.

	* t/GtkComboBox.t, xs/GtkComboBox.xs, xs/GtkTreeView.xs: Bind and
	test gtk_combo_box_popup, gtk_combo_box_popdown,
	gtk_combo_box_get_wrap_width, gtk_combo_box_get_row_span_column,
	gtk_combo_box_get_column_span_column,
	gtk_combo_box_set_row_separator_func.

	* gtk2perl.h, maps_pango-1.0, maps_pango_1.4, t/PangoTypes.t,
	t/PangoScrip.t, xs/PangoTypes.xs, xs/PangoScript.xs: Protect
	pango_find_base_dir and all of PangoScript with 1.4.0 version
	guards.

2004/10/24 11:55 (-0400) rwmcfa1

	* MANIFEST, MANIFEST.SKIP: updates

	* perl-Gtk2.spec.in: new scheme that addresses x86_64 problems found by
	Carl Nygard

2004/10/24 12:00 (-0400) muppetman

	* xs/GtkTreeView.xs, t/GtkTreeView.t: bind and test
	gtk_tree_view_[gs]et_fixed_height_mode,
	gtk_tree_view_[gs]et_hover_selection,
	gtk_tree_view_[gs]et_hover_expand,
	gtk_tree_view_set_row_separator_func.  the getter for row
	separator func is not bound, and i don't think we can do it
	reasonably.

2004/10/24 11:56 (-0400) muppetman

	* xs/GtkComboBox.xs, t/GtkComboBox.t: bind and test
	gtk_combo_box_get_active_text,
	gtk_combo_box_get_add_tearoffs, gtk_combo_box_set_add_tearoffs,
	gtk_combo_box_get_focus_on_click, gtk_combo_box_set_focus_on_click.
	in order to test get_active_text, there needs to be data in the model;
	adding data to the model makes set_column_span_column hang the test,
	so i've disabled that.

2004/10/24 11:48 (-0400) muppetman

	* t/PangoFontMap.t: correct skip count

2004/10/24 10:52 (-0400) rwmcfa1

	* t/GtkComboBox.t: gtk+ changed behavior, when something is selected
	that isn't in the list (user entered). test modified accordingly. can't
	select that which isn't there either.

2004/10/20 19:37 (+0200) kaffeetisch

	* xs_files-2.0, maps_pango-1.0, gtk2perl.h, t/PangoFontMap.t,
	t/PangoScript.t, xs/PangoFontMap.xs, xs/PangoScript: Bind and test
	PangoFontMap and PangoScript.

	* t/PangoFont.t, xs/PangoFont.xs: Bind and test
	pango_font_metrics_get_underline_position,
	pango_font_metrics_get_underline_thickness,
	pango_font_metrics_get_strikethrough_position,
	pango_font_metrics_get_strikethrough_thickness.

	* t/PangoTypes.t, xs/PangoTypes.xs: Bind and test
	pango_find_base_dir.

2004/10/17 12:30 (+0200) kaffeetisch

	* doctypes: Add descriptions for GdkKeymap_orclass,
	PangoRectangle, PangoGlyph.

	* maps-2.6, t/GdkEvent.t, xs/GdkEvent.xs: Add support for owner-change
	events.

	* t/GtkAboutDialog.t: Don't use noinit.

	* TODO: Remove the entry about an import option for
	gdk_threads_init since it's been added already.  Also remove the
	entry about owner-change events.

2004/10/14 20:16 (-0400) rwmcfa1

	* xs/GtkAboutDialog.xs: don't really need the extra ref the docs lead
	me to think we did on get_logo.

2004/10/14 18:44 (-0400) rwmcfa1

	merge from:
		unstable-2-5-x-branch

	* maps-2.6, xs_files-2.6, t/GtkAboutDialog.t, t/GtkCellView.t,
	t/GtkIconView.t, xs/GtkAboutDialog.xs, xs/GtkCellView.xs,
	xs/GtkIconView.xs: initial import new stuff in 2.5.x

	* TODO: added a todo

2004/10/14 15:20 (-0400) muppetman

	* Makefile.PL: use PREREQ_PM in both WriteMakefile calls, so META.yml
	gets created properly.

2004/10/08 23:20 (-0400) muppetman

	* xs/GtkRadioButton.xs: correct documentation of the signature of
	Gtk2::RadioButton::get_group; flesh out the rest of the docs for
	this widget.

2004/09/27 09:35 (-0400) muppetman

	* README, NEWS, Gtk2.pm: stable release 1.061

2004/09/25 17:07 (+0200) kaffeetisch

	* xs/GtkTreeModel.xs: Remove the unused PUSH_INSTANCE macro.
	Replace a strange unicode character in the POD with its ASCII
	representation.  Fix a small copy-n-paste bug in the POD.

2004/09/21 20:06 (-0400) muppetman

	Fix issues related to utf-8 and locales.  Thanks to ender for
	pointing these out in irc.

	* t/GtkButton.t: in some locales the decimal is ",", not "."; this can
	cause problems because '0.7' != '0,7', etc.  To avoid such problems,
	don't use hardcoded strings for comparison of floats.

	* xs/GtkStock.xs: use newSVGChar() instead of newSVpv() for gchar*
	strings.

	* tools/podifystockitems.pl: set STDOUT's binmode properly for writing
	utf8 characters, to avoid "Wide character in print" warnings.

2004/09/19 23:35 (+0200) kaffeetisch

	* CodeGen.pm, Makefile.PL: Use capitals at the start of everything
	that is printed, to unify Makefile.PL output.

	* maps-2.0: Comment out the GtkIdentifier entry -- it's never been
	used and caused a warning.

	* xs/GdkEvent.xs (gdk_event_unwrap): Use
	gperl_format_variable_for_output when croaking.

	* xs/GdkPixbuf.xs, xs/GdkPixbufLoader.xs, xs/GdkProperty.xs,
	xs/GdkRgb.xs, xs/GdkSelection.xs: Add some casts to avoid compiler
	warnings and to be on the safe side.

	* xs/GtkClipboard.xs: Remove unneeded semicolons from the
	DEFINE_QUARK calls.

	* xs/GtkTreeModel.xs (to_arrayref): Use IV instead of UV.

	Fixes for win32 build issues discovered by Arnold Putz:

	* Gtk2.exports: Remove SvPangoRectangle since it has been
	commented out.

	* xs/GdkKeys.xs: Remove the semicolon from the end of a macro
	definition.

2004/09/13 23:01 (+0200) kaffeetisch

	* t/GtkTextView.t, t/PangoContext.t, t/PangoLayout.t,
	t/PangoTabs.t, t/PangoTypes.t, xs/PangoContext.xs,
	xs/PangoLayout.xs, xs/PangoTypes.xs: Make all version checks refer
	to stable releases.

	* Makefile.PL: Remove the "unstable" warning.  Depend on Glib
	1.060.

	* Gtk2.pm, NEWS, README: Stable release 1.060.

2004/09/07 18:00 (-0400) rwmcfa1

	* api.pod: Glib::IOChannel -> Glib::IO. spotted by Aristotle Pagaltzis

2004/09/04 19:51 (-0400) muppetman

	* xs/GtkTreeViewColumn.xs: document cell data funcs.

2004/09/04 12:39 (-0400) muppetman

	* xs/GtkCellRendererSpinButton.xs: fix a refcounting bug that made it
	impossible to write a START_EDITING vfunc in perl without either
	crashing or leaking the CellEditable it returns.

	* examples/cellrenderer_spinbutton.pl: take advantage of the above
	fix to plug the CellEditable leak in the custom cell renderer.

2004/09/01 21:14 (-0400) muppetman

	* xs/GtkItemFactory.xs: fix bug in handling of the callback data
	sv in gtk2perl_item_factory_create_item_helper() that allowed callback
	user data to disappear or point to the wrong value by the time the
	callback was invoked.

	* t/GtkItemFactory.t:  beef up the unit test to verify that
	complex callback data gets the proper lifetime.

2004/08/29 14:27 (-0400) muppetman

	* README, NEWS, Gtk2.pm: unstable development release 1.055

2004/08/29 14:23 (-0400) muppetman

	* Makefile.PL: require Glib 1.055

2004/08/29 15:01 (+0200) kaffeetisch

	* gtk2perl.h, xs/PangoTypes.xs: Remove our custom GType for
	PangoMatrix; as of version 1.5.1, pango ships with its own.

2004/08/28 01:19 (+0200) kaffeetisch

	* t/GtkTextIter.t: Fix an error introduced in the last commit.
	Found by Ross.

2004/08/25 22:21 (+0200) kaffeetisch

	* t/GtkTextIter.t: Make the [sg]et_visible_line_index and
	[sg]et_visible_line_offset tests work with newer gtk+ releases by
	checking the runtime version.

2004/08/15 18:47 (-0400) muppetman

	* README, NEWS, Gtk2.pm: unstable development release 1.054

2004/08/14 23:26 (-0400) muppetman

	* t/GtkToolbar.t: strict and warnings don't carry across file
	boundaries, so TestHelper doesn't bring them in.  add warnings and
	strict and discover that i missed some barewords.  bad muppet,
	no biscuit.

	* xs/GtkToolbar.xs: allow NULL for text in a couple of places.
	torsten had sent me a patch that did this, so i'll give him credit.

2004/08/14 23:26 (-0400) muppetman

	* t/GtkToolbar.t: rewrite test as a brute-force complete API exerciser

	* xs/GtkToolbar.xs: enhance docs for toolbar functions so they
	actually describe the parameters.  allow undef for the toolitem
	param to set_drop_highlight_item.

2004/08/01 21:10 (-0400) muppetman

	* README, NEWS, Gtk2.pm: unstable development release 1.053

	* Makefile.PL, README: require Glib 1.053

2004/08/01 18:12 (+0200) kaffeetisch

	* Makefile.PL: select_files_by_version and read_source_list_file
	were moved to Glib::MakeHelper -- adjust the function calls
	accordingly.

	* t/00.Gtk2.t, xs/Gtk2.xs: Bind and test gtk_parse_args.

	* maps_pango-1.5, t/PangoLayout.t, xs/PangoLayout.xs: Bind and
	test pango_layout_[sg]et_ellipsize.

2004/07/31 22:43 (-0400) muppetman

	* xs/GtkTreeModel.xs, t/GtkTreeModelIface.t: add
	Gtk2::TreeIter::to_arrayref() and Gtk2::TreeIter::new_from_arrayref(),
	which allow custom model implementations to manipulate iters outside
	of the vfuncs.  documentation included.  thanks to Zach Bean for
	real-world testing of the new methods, and for nearly rewriting the
	testcase to support and verify them.

	* examples/customlist.pl: patch from Zach (slightly modified by
	muppet) adds set() and get_iter_from_name() methods to the custom
	list implementation, showing off the use of
	Gtk2::TreeIter::new_from_arrayref() and to_arrayref().

	* AUTHORS: add Zach

2004/07/18 23:45 (-0400) muppetman

	* README, NEWS, Gtk2.pm: unstable development release 1.052

	* Makefile.PL, README: require Glib 1.052

2004/07/17 18:19 (+0200) kaffeetisch

	* xs/GtkTreeView.xs: In the POD for get_path_at_pos, escape all <
	and >'s that should actually show up.

2004/07/17 08:24 (-0400) muppetman (i really wish i was still asleep)

	* xs/GdkProperty.xs: use STRLEN instead of int for the values that
	will be passed to SvPV().  remove unnecessary calls to sv_len().

	* xs/GtkContainer.xs: hush compiler warning that RETVAL could be
	used uninitialized.  indeed it's possible, but not at all likely.

2004/07/12 20:46 (+0200) kaffeetisch

	* CodeGen.pm: Use explicit casts to gpointer in newSV$classname,
	newSV$classname\_own, and newSV$classname\_copy, in order to allow
	the const modifier on boxed types.  Also add
	newSV$classname\_ornull and the corresponding typemap.

	* xs/GtkCellRenderer.xs: Remove two macros that are now
	automatically generated.

	* xs/GtkTreeView.xs: Add some bits from the C API documentation to
	the POD of get_path_at_pos.  (#145109)

	* t/PangoContext.t
	* xs/PangoContext.xs: Bind get_font_map.  Make [sg]et_matrix
	accept undef.

	* xs/PangoFont.xs: Don't warn about unregistered subclasses of
	PangoFontMap.

2004/07/09 22:52 (-0400) muppetman

	* examples/cellrenderer_popup.pl: add a toggle to show off both
	the boxes and no-boxes styles; use named constants instead of
	magic numbers.

	* examples/cellrenderer_spinbutton.pl: some tweaks to the renderer;
	center vertically in the cell; handle focus-out gracefully (thanks
	to jens wilke for both); draw the editor widget only as large as
	necessary; use named constants for TRUE and FALSE instead of
	magic numbers.

	* xs/GtkTreeModel.xs: fix some buggy code in the synopsis

2004/07/07 22:23 (-0400) muppetman

	* examples/cellrenderer-popup.pl: fix a bug in the menu-positioning
	code, which wasn't taking the treeview's visible region offsets into
	account, resulting in oddly-placed popups when used with a scrolled
	textview.  so, use a scroller in this example to make sure it works.
	thanks to jens wilke for the bug report.

2004/07/07 21:08 (+0200) kaffeetisch

	A t/PangoTypes.t
	A xs/PangoTypes.xs
	* MANIFEST
	* gtk2perl.h
	* xs_files-2.0: Bind and test stuff from pango-types.h, including
	PangoMatrix.

	* MANIFEST
	* Makefile.PL
	* maps-2.0
	* maps_pango-1.0
	* maps_pango-1.5: Use separate maps files for pango.

	* t/PangoContext.t
	* xs/PangoContext.xs: Bind and test [gs]et_matrix.

2004/06/28 01:08 (-0400) muppetman

	* Gtk2.pm, README, NEWS: unstable development release 1.051

	* gtk2perl.h: protect custom GTypes with #ifndefs, to avoid
	redefining symbols that are provided upstream in different versions.

2004/06/22 20:19 (-0400) rwmcfa1

	* examples/thread_usage.pl: now that we can truely support threads
	there might as well an example of how to use the ability. this one
	replaces the old how to work around the fact that threads aren't
	supported which is no longer relavant.

2004/06/14 19:32 (+0200) kaffeetisch

	* xs/GtkFileFilter.xs: Fix erroneous initialization.

2004/06/13 11:36 (-0400) muppetman

	* xs/GdkKeys.xs: adapt docs for get_entries_for_keyval() from the C
	api reference.

2004/06/04 13:52 (-0400) rwmcfa1

	* Gtk2.pm: added a -threads-init option to import, added doc on -init
	and -threads-init.

	* TODO: removed an outdated todo (example programs, they already can be)
	and removed the above addressed TODO.

2004/06/08 21:39 (-0400) muppetman

	* TODO: updated.

2004/06/04 13:52 (-0400) muppetman

	* AUTHORS, xs/GdkEvent.xs, xs/GdkWindow.xs, xs/Gtk2.xs,
	xs/GtkAccelMap.xs, xs/GtkCellLayout.xs, xs/GtkCellRenderer.xs,
	xs/GtkClipboard.xs, xs/GtkContainer.xs, xs/GtkEntryCompletion.xs,
	xs/GtkFileFilter.xs, xs/GtkItemFactory.xs, xs/GtkMenu.xs,
	xs/GtkTextTagTable.xs, xs/GtkTreeModel.xs, xs/GtkTreeModelFilter.xs,
	xs/GtkTreeSelection.xs, xs/GtkTreeSortable.xs, xs/GtkTreeView.xs,
	xs/GtkTreeViewColumn.xs, xs/PangoFontset.xs: patch from Albert Chin
	removes non-static initializers so that we are compatible with
	C89 (which doesn't allow them).  the patch converted C++ comments to
	C, but most were on dead code, so i removed them instead.

2004/06/02 20:10 (-0400) muppetman

	Unstable release 1.050

	* NEWS: updated.

2004/06/01 22:00 (-0400) muppetman

	* gtk-demo/appwindow.pl, gtk-demo/images.pl, gtk-demo/main.pl,
	gtk-demo/pixbufs.pl, gtk-demo/textview.pl: remove dead code

2004/05/31 23:13 (+0200) kaffeetisch

	* examples/simple_menu.t: Add a delete_event handler.

	* t/GdkVisual.t: Skip the get_best_with_depth test on 2.2.x.

2004/05/28 22:36 pcg

	* xs/GdkColor.xs: scaling by 257 is better than scaling by 8.

2004/05/21 02:28 (+0200) pcg

        * xs/GtkTextBuffer.xs: Allow creation of anonymous marks.

2004/05/15 20:58 (+0200) kaffeetisch

	* t/GdkEvent.t: Be a bit more tolerant to pass on older gtk+'s.

	* t/GdkProperty.t: Fix skip count.

	* t/GtkFontSelection.t: Convert font name to lowercase before
	testing.

	* t/PangoLayout.t: Shuffle some tests around.

	* xs/GdkInput.xs
	* xs/GdkVisual.xs: Mark 'ax' unused.

	* xs/GdkPixmap.xs: Add version guards to lookup_for_display and
	foreign_new_for_display.

	* xs/GdkVisual.xs: Add version guards to get_screen.

2004/05/11 19:38 (+0200) kaffeetisch

	* Gtk2.exports: Update to reflect recent changes.

	* Makefile.PL: Check for the correct versions of EU::Depends and
	EU::PkgConfig.

	* gtk2perl.h: Remove duplicate declarations of newSVGtkTargetEntry
	and SvGtkTargetEntry.

	* t/GdkKeys.t: Use a version check for the
	translate_keyboard_state test instead of always skipping it.

2004/04/25 13:10 (+0200) kaffeetisch

	* t/GdkDisplay.t: Add a reference to the relevant bug to the FIXME
	comment on close().

	* t/GtkDnd.t: Check that $context is defined before using it.

	* gtk2perl.h
	* xs/PangoLayout.xs: Make SvPangoRectangle accept an array
	reference as well ... and comment it out and remove it from the
	header.  It's not used at the moment.

2004/04/20 15:41 (+0200) kaffeetisch

	<warning size="big" weight="fat">
	  This commit marks some functions static that were previously not
	  static, but not in the header either.  It was a mistake that
	  they were not static, so it needs to be fixed.  This fix has the
	  potential to break ABI compatability, though.  So if you see any
	  breakage that might be related to this change, please speak up
	  and we'll revert it.
	</warning>

	* xs/GdkWindow.xs: Comment out newSVGdkWindowAttr and
	SvGdkWindowAttr since they're currently unused.  Make
	SvGdkWindowAttrReal static.

	* xs/GtkIconFactory.xs: Make newSVGtkIconSize and SvGtkIconSize
	static.

	* xs/GtkStock.xs: Rename stock_item_to_hv to newSVGtkStockItem,
	make it return a reference to a hash, fix the indention and make
	it static.  Make SvGtkStockItem static.

	* xs/PangoLayout.xs: Make newSVPangoLogAttr static.

2004/04/19 20:30 (+0200) kaffeetisch

	* Makefile.PL: Require Glib 1.050.

	* gtk2perl.h
	* xs/GdkGC.xs: Rename read_gcvalues_from_sv to SvGdkGCValues and
	export it for GtkGC.

	A t/GtkGC.t
	A xs/GtkGC.xs
	* xs_files-2.0
	* MANIFEST: Implement and test GtkGC.

	* gdk.typemap
	* maps-2.0
	* t/GdkKeys.t
	* xs/GdkKeys.xs: Reimplement and test the ability to call all
	GdkKeymap methods as class static methods to use the default
	keymap.

	* t/GdkProperty.t
	* xs/GdkProperty.xs: Implement and test
	Gtk2::Gdk::text_property_to_text_list, text_property_to_utf8_list,
	string_to_compound_text, utf8_to_compound_text,
	text_property_to_text_list_for_display,
	text_property_to_utf8_list_for_display,
	string_to_compound_text_for_display,
	utf8_to_compound_text_for_display, and utf8_to_string_target.

	A t/GdkRgb.t
	* MANIFEST
	* xs/GdkRgb.xs: Implement and test Gtk2::Gdk::draw_indexed_image.

	A pango.typemap
	* Makefile.pl
	* MANIFEST: Add and install a new typemaps file for Pango.

	* t/PangoFont.t
	* xs/PangoFont.xs: Implement and test get_glyph_extents.

	* gtk2perl.h
	* t/PangoLayout.t
	* xs/PangoLayout.xs: Implement custom PangoRectangle typemaps.
	Implement and test Gtk2::Pango::Layout::index_to_pos,
	get_cursor_pos, get_extents, and get_pixel_extents.

	* gtk2perl.h
	* maps-2.0
	* t/PangoLayout.t
	* xs/PangoLayout.xs: Register a custom GBoxed type for
	PangoLayoutIter.  Implement and test
	Gtk2::Pango::Layout::get_iter, Gtk2::Pango::LayoutIter::get_index,
	at_last_line, next_char, next_cluster, next_run, next_line,
	get_char_extents, get_cluster_extents, get_run_extents,
	get_line_extents, get_layout_extents, get_line_yrange, and
	get_baseline.

	A t/PangoFontset.t
	A xs/PangoFontset.xs
	* xs_files-2.0
	* MANIFEST
	* xs/PangoContext: Implement and test PangoFontset.

2004/04/19 20:13 (+0200) kaffeetisch

	* xs/Gdk.xs: Remove a needless MODULE line.

	Yet another merge from the stable-1-04 branch:

	* AUTHORS: Add Cory Omand and Jason Stirling.

	* Makefile.PL: Document that the library finding hack does not
	work on Cygwin.

	* NEWS: Add entries for the stable releases.

	* CodeGen.pm
	* pm/SimpleList.pm
	* pm/SimpleMenu.pm: Update bits of the documentation, fix the
	examples.

	* pm/TestHelper.pm: Document at_least_version and skip_all.

	* t/GdkEvent.t
	* t/GtkCellLayout.t
	* t/GtkComboBox.t: Hush test warnings.

	* xs/GdkEvent.xs
	* xs/GtkTextBuffer.xs: Use explicit version guards to avoid
	including new functions when compiling against development
	releases.

2004/04/09 08:17 (-0400) muppetman

	merge a bunch more bugfixes from stable.

	* gtk-demo/appwindow.pl: clean up warnings.

	* gtk-demo/sizegroup.pl, gtk-demo/textview.pl: patch from Thierry
	Vignaud lets gtk-demo work again by removing muppet's stupid syntax
	errors.

	* pm/SimpleList.pm, t/GtkSimpleList.t: ross made SimpleList's tied
	operations return the correct values.

	* xs/Gdk.xs, xs/GdkColor.xs, xs/GdkGC.xs, xs/GdkScreen.xs,
	xs/GdkWindow.xs, xs/Gtk2.xs: extended a patch from Cory Omand that
	uses explicit stable version checks to avoid problems when building
	against unstable gtk+.

	* xs/GtkHandleBox.xs: doc fixes.

2004/04/07 19:21 (+0200) kaffeetisch

	A t/GdkVisual.t
	A xs/GdkVisual.xs
	* xs_files-2.0
	* MANIFEST: Bind and test GdkVisual.

2004/04/06 18:59 (+0200) kaffeetisch

	Merge from the stable-1-04 branch:

	* t/GtkTreeView.t
	* xs/GtkTreeView.xs: Allow undef for the path and column arguments
	of get_cell_area and get_background_area.

2004/04/05 09:50 (-0400) muppetman

	* xs/GtkTreeStore.xs: patch from Thierry Vignaud corrects indentation
	on an xsub to appease validators.

2004/04/04 19:36 (+0200) kaffeetisch

	* xs/PangoFont.xs: Remove an unused variable to hush a compiler
	warning.

	Merge from the stable-1-04 branch:

	* t/Gdk.t: Don't fail the keyboard_grab test if there already is
	an active keyboard grab.

	* t/PangoTabs.t: Test new and new_with_positions instead of two
	times new.

	* xs/GtkStyle.xs: Use a =for object directive to put
	Gtk2::draw_insertion_cursor into the Gtk2::Style man page (instead
	of overwriting Gtk2).

2004/04/04 01:09 (-0500) muppetman

	* t/PangoContext.t, t/PangoFont.t, xs/PangoContext.xs,
	xs/PangoFont.xs: bind and test Gtk2::Pango::Context::list_families,
	Gtk2::Pango::FontFamily::get_name,
	Gtk2::Pango::FontFamily::is_monospace,
	Gtk2::Pango::FontFamily::list_faces, Gtk2::Pango::FontFace::describe,
	Gtk2::Pango::FontFace::get_face_name, and
	Gtk2::Pango::FontFace::list_sizes.

2004/04/03 22:27 (+0200) kaffeetisch

	* t/01.GtkWindow.t: Fix the TODO by allowing both, TRUE and FALSE,
	as the return value of is_active and has_toplevel_focus.

2004/04/03 21:30 (+0200) kaffeetisch

	A t/GdkInput.t
	A xs/GdkInput.xs
	* MANIFEST: Bind and test GdkInput.

	* t/Gdk.t
	* xs/Gdk.xs: Bind and test init, init_check, and parse_args.

	* t/GdkEvent.t
	* xs/GdkEvent.xs: Add and test the ability to change the device with
	Gtk2::Gdk::Event::Motion::device,
	Gtk2::Gdk::Event::Button::device,
	Gtk2::Gdk::Event::Scroll::device, and
	Gtk2::Gdk::Event::Proximity::device.

	* gdk.typemap
	* maps-2.0: Use a custom typemap for Gtk2::Gdk::Keymap so you can
	use Gtk2::Gdk::Keymap->method instead of $keymap->method to get
	the default keymap.

	* t/GdkKeys.t
	* xs/GdkKeys.xs: Bind and test
	Gtk2::Gdk::Keymap::get_entries_for_keyval and
	::get_entries_for_keycode.

	A t/GdkPixmap.t
	* MANIFEST
	* xs/GdkPixmap.xs: Bind and test lookup, lookup_for_display,
	foreign_new, and foreign_new_for_display.

	* t/GtkTreeSelection.t
	* xs/GtkTreeSelection.xs: Bind and test get_user_data.

2004/03/28 18:01 (-0500) rwmcfa1

	* pm/SimpleList.pm, examples/simplelist.pl: get_data_from_path ->
	get_row_data_from_path.

2004/03/27 16:03 (-0500) muppetman

	* AUTHORS: add nathan.

2004/03/27 13:12 (-0500) rwmcfa1

	* pm/SimpleList.pm: applied a (slightly modified) path from Nathan Kurz
	that provides easy access to the data of a row when given a path. some
	general doc clean-up/fixes while i was in there.

	* examples/simplelist.pl: exemplify ^

2004/03/25 21:45 (-0500) muppetman

	* NEWS: merged from stable, so we'll have it in future versions.

	* README, xs/GdkRgb.xs, xs/GdkTypes.xs, xs/Gtk2.xs,
	xs/GtkSelection.xs, xs/GtkTreeSelection.xs: various fixes merged
	from stable

2004/03/25 21:24 (-0500) muppetman

	* examples/cellrenderer_popup.pl: update version check now that
	1.040 is out.

	* examples/combo_box.pl, examples/file_chooser.pl: use the correct
	version check API.

2004/03/24 01:35 (+0100) kaffeetisch

	* t/GtkFileChooser.t: Set select_multiple to FALSE again to make
	the preview stuff work.

	* t/GtkListStore.t: Change the values passed to reorder() to
	something that works for all gtk+ versions.

2004/03/21 14:01 (-0500) muppetman

	* xs/GtkMenu.xs: un-hide gtk2perl_menu_pos_func, which is indeed
	a public symbol.

2004/03/20 22:52 (-0500) muppetman

	A examples/dialog.pl
	M MANIFEST
	  add dialog examples from stable

2004/03/20 22:48 (-0500) muppetman

	* gtk-demo/main.pl, t/GdkCursor.t, t/GdkDrawable.t, t/GdkPixbuf.t,
	t/GtkAccelGroup.t, t/GtkAlignment.t, t/GtkButton.t, t/GtkButtonBox.t,
	t/GtkCellRenderer.t, t/GtkCheckMenuItem.t, t/GtkClipboard.t,
	t/GtkDnd.t, t/GtkEntry.t, t/GtkIconFactory.t, t/GtkMenu.t,
	t/GtkRadioMenuItem.t, t/GtkScale.t, t/GtkStyle.t, t/GtkTextBuffer.t,
	t/GtkTextIter.t, t/GtkTextView.t, t/GtkToolbar.t,
	xs/GtkTreeViewColumn.xs: bump version checks

	* t/GdkEvent.t, t/GdkGC.t, t/GdkProperty.t, xs/GdkEvent.xs,
	xs/GdkProperty.xs, xs/GtkDialog.xs, gtk-demo/changedisplay.pl,
	xs/GdkWindow.xs, xs/GtkObject.xs, examples/item_factory_demo.pl:
	clean up and bugfixes merged from stable

2004/03/20 20:47 (-0500) muppetman

	More merging from the stable-1-04 branch.

	* gtk-demo/sizegroup.pl, gtk-demo/textview.pl: bump 2.3 version
	requirements to 2.4

	* xs/GdkEvent.xs, xs/GtkAccelGroup.xs, xs/GtkAccelMap.xs,
	xs/GtkItemFactory.xs, xs/GtkMenu.xs, xs/GtkTreeView.xs: remove
	private functions from the ABI

2004/03/16 22:55 (-0500) muppetman

	Big merge from the stable-1-04 branch.

	* gtk2perl.h, maps-2.0, examples/combo_box.pl,
	examples/file_chooser.pl, pm/TestHelper.pm, t/00.Gtk2.t,
	t/01.GtkWindow.t, t/GdkDisplay.t, t/GtkAction.t, t/GtkActionGroup.t,
	t/GtkCellLayout.t, t/GtkColorButton.t, t/GtkComboBox.t,
	t/GtkComboBoxEntry.t, t/GtkEntryCompletion.t, t/GtkEventBox.t,
	t/GtkExpander.t, t/GtkFileChooser.t, t/GtkFileChooserDialog.t,
	t/GtkFileChooserWidget.t, t/GtkFileFilter.t, t/GtkFontButton.t,
	t/GtkIconTheme.t, t/GtkListStore.t, t/GtkMenuShell.t,
	t/GtkMessageDialog.t, t/GtkRadioAction.t, t/GtkRadioToolButton.t,
	t/GtkRc.t, t/GtkSeparatorToolItem.t, t/GtkToggleAction.t,
	t/GtkToggleToolButton.t, t/GtkToolButton.t, t/GtkToolItem.t,
	t/GtkTreeModelFilter.t, t/GtkTreeView.t, t/GtkUIManager.t,
	t/GtkWidget.t, xs/GdkCursor.xs, xs/GdkDisplay.xs, xs/GdkDrawable.xs,
	xs/GdkPixbuf.xs, xs/GdkPixbufLoader.xs, xs/GtkAlignment.xs,
	xs/GtkButton.xs, xs/GtkButtonBox.xs, xs/GtkCalendar.xs,
	xs/GtkCellRenderer.xs, xs/GtkCheckMenuItem.xs, xs/GtkClipboard.xs,
	xs/GtkComboBoxEntry.xs, xs/GtkDnd.xs, xs/GtkEntry.xs,
	xs/GtkEventBox.xs, xs/GtkFileChooserDialog.xs,
	xs/GtkFileChooserWidget.xs, xs/GtkIconFactory.xs, xs/GtkMenu.xs,
	xs/GtkMenuShell.xs, xs/GtkMessageDialog.xs, xs/GtkRadioMenuItem.xs,
	xs/GtkRc.xs, xs/GtkScale.xs, xs/GtkStyle.xs, xs/GtkTextBuffer.xs,
	xs/GtkTextIter.xs, xs/GtkTextView.xs, xs/GtkToolbar.xs,
	xs/GtkTreeViewColumn.xs, xs/GtkWidget.xs, xs/GtkWindow.xs:
	bump all 2.3.x version guards to 2.4.0, and pretend that 2.3.x
	never existed.

	* xs/Gtk2.xs: add and document Gtk2::GET_VERSION_INFO; change
	Gtk2::Pango::get_version_info to Gtk2::Pango::GET_VERSION_INFO.
	put version docs in Foo::version.

	* examples/color_list.pl: explain why this test should use the
	runtime version check

	* examples/item_factory.pl: show the usage of accel_groups (based
	on the simplemenu code) and comment things a bit. (ross)

2004/03/16 22:40 (-0500) muppetman

	D maps-2.3
	A maps-2.4
	D xs_files-2.3
	A xs_files-2.4
	M MANIFEST
	  rename the files related to 2.3

2004/03/16 21:17 (-0500) rwmcfa1

	* t/GtkFileChooser.t: get the filename off the the end of uri so that
	set/get_current_folder_uri will succeed. apparently something has
	changed in gtk+ HEAD.

2004/03/15 20:23 (-0500) rwmcfa1

	* t/00.Gtk2.t: bad kaffee, added some tests, but apparently didn't up
	the skip count, as muppet says, no biscut.

2004/03/14 21:11 (+0100) kaffeetisch

	* t/00.Gtk2.t: Test Gtk2::Widget::propagate_event, make the tests
	for main_iteration, main_iteration_do and events_pending more
	robust.

	* t/GtkMenu.t: Prevent random failures by making sure we only
	execute the positioning callback once.

2004/03/14 04:00 (-0500) muppetman

	* examples/adding_stock_icons.pl, examples/customrenderer.pl,
	examples/file_chooser.pl, examples/histogramplot.pl,
	examples/insert-text-test.pl, examples/testdnd.pl:
	improve commentary, so these make better examples.

	* examples/calendar.pl: remove cruft; use dialog's response rather
	than old-school manip of buttons.

	* examples/combo_box.pl: do something more interesting with the
	do-it-yourself cell renderer example.

2004/03/12 23:11 (-0500) muppetman

	* Gtk2.exports: fix missing symbols in the exports so we can link
	on win32

	* xs/GdkEvent.xs, xs/GdkProperty.xs, xs/GdkRgb.xs, xs/PangoLayout.xs:
	little warning fixes; signedness, returning from all paths or at least
	putting a note that the code is not reached, explicit casts, etc.

2004/03/12 16:00 (-0500) muppetman

	* Gtk2.pm, Makefile.PL, README: 1.04 will be released from
	the stable-1-04 branch; bump HEAD's version to 1.050.

2004/03/12 01:08 (-0500) muppetman

	* t/GdkDnd.t: get_selection() seems to fail when using Apple's X server,
	but not any others.  making it a TODO test.

	* t/GtkTreeStore.t, t/GtkListStore.t: correct skip counts

	* t/GtkProgressBar.t: use ok() for boolean tests, because false is
	sometimes '' and sometimes undef.

2004/03/11 23:20 (-0500) muppetman

	* README: give shout-outs to the examples and gtk-demo.

2004/03/12 03:09 (+0100) kaffeetisch

	* Gtk2.pm: Don't indent the abstract.

	D examples/colorselectiontest.pl
	* MANIFEST
	* TODO: Remove the entries about the color selection test (and get
	rid of the now needless example) and GdkRegion.

	* t/GtkProgressBar.t
	* xs/GtkProgressBar.xs: Allow and test undef for for the text
	parameter of [sg]et_text.

2004/03/09 00:06 (+0100) kaffeetisch

	* t/GtkListStore.t
	* t/GtkTreeStore.t: Test-drive both reorder functions a bit more.

	* xs/GdkEvent.xs: Apidoc fix:
	s/Gtk2::Gdk::main_do_event/Gtk2::main_do_event/.

	* xs/GtkTextView.xs: Use const for two GtkTreeIter's -- the
	typemap is now able to handle it.

	* xs/GdkWindow.xs
	* xs/GtkArrow.xs
	* xs/GtkCellRenderer.xs
	* xs/GtkRc.xs
	* xs/GtkTreeStore.xs
	* xs/GtkWindow.xs: Remove various outdated TODO and FIXME
	comments.

2004/03/07 22:01 (-0500) rwmcfa1

	* xs/GdkPixbuf.xs, xs/GdkPixbufLoader.xs, xs/GtkFileChooser.xs,
	xs/GtkIconTheme.xs, xs/GtkUIManager.xs, xs/GtkWindow.xs: use __gerror__
	for apidoc where needed.

2004/03/06 18:25 (-0500) muppetman

	* xs/GtkFileChooser.xs, t/GtkFileChooser.t: track upstream API changes.

2004/03/05 16:13 (+0100) kaffeetisch

	* t/GdkEvent.t: Make sure the test doesn't fail when unexpected
	mouse events occur.

2004/03/04 02:42 (+0100) kaffeetisch

	* t/GtkCellEditable.t: Test-drive the custom cell editable stuff.

2004/03/03 15:58 (-0500) muppetman

	A examples/color_snooper.pl
	A t/GdkPixbuf.t
	M MANIFEST
	  new files.

	* xs/GdkEvent.xs: hush compiler warnings

	* xs/GdkPixbuf.xs: un-break Gtk2::Gdk::Pixbuf::get_pixels by
	providing the actual string length to newSVpv

2004/03/03 00:04 (-0500) muppetman

	* Gtk2.pm, README, NEWS: beta release 1.038

	* Makefile.PL: require Glib 1.038

	* t/GtkFileChooser.t, t/GtkListStore.t: disable some tests that
	broke with gtk+ 2.3.5

2004/03/02 23:35 (-0500) muppetman

	* t/GdkEvent.t, xs/GdkEvent.xs: implement and test setters for
	event.state and event.time

	* xs/Gtk2.xs, t/GdkEvent.t: bind and test Gtk2::main_do_event

2004/03/03 05:32 (+0100) kaffeetisch

	* xs/GtkCellEditable.xs: Make implementing the GtkCellEditable
	vfuncs optional by checking if they exist before calling them.

2004/03/03 00:35 (+0100) kaffeetisch

	* t/GtkFileChooser.t: Change the TODOs to SKIPs -- the bugs have
	been fixed in 2.3.5.

	* t/GtkDnd.t
	* xs/GtkDnd.xs: Bind and test drag_source_[sg]et_target_list.

	* t/GtkFileChooserDialog.t: Only test new_with_backend on versions
	that have it.

	* xs/GtkFileChooserDialog.xs: Add version guards around the
	file-system-backend property.

	* t/GtkFileChooserWidget.t
	* xs/GtkFileChooserWidget.xs: Bind and test new_with_backend.

	* t/01.GtkWindow.t
	* xs/GtkWindow.xs: Bind and test propagate_key_event.

	* t/PangoLayout.t
	* xs/PangoLayout.xs: Bind and test [sg]et_auto_dir.

2004/03/01 13:57 (-0500) rwmcfa1

	* examples/file_chooser.pl: updated uri's to non-muppet specific
	directories so that example won't fail. it's uses $ENV{HOME} and /tmp/

2004/03/01 19:55 (+0100) kaffeetisch

	* t/GtkEntry.t
	* xs/GtkEntry.xs: Bind and test [sg]et_alignment.

	* t/01.GtkWindow.t
	* xs/GtkWindow.xs: Bind and test activate_key.

2004/03/01 02:24 (-0500) muppetman

	* xs/GdkPixmap.xs: bad signature in pod

	* xs/GtkCellRenderer.xs: hide deprecated warnings unless env var
	GTK2PERL_DEBUG is set and true.

2004/03/01 02:05 (-0500) muppetman

	* t/GdkDnd.t: make the test not fail when the destination window
	doesn't exist.

	* t/GdkEvent.t: some settings don't exist if you're not running
	gnome, e.g., remote to non-gnome desktop; don't fail if the setting
	isn't there.

	* xs/GdkDnd.xs: if find_window returns no destination window, the
	protocol is garbage; don't try to convert it to a protocol enum
	value.  this is half of the fix for the bizarre test problem
	were seeing in t/GdkDnd.t

2004/03/01 04:51 (+0100) kaffeetisch

	* t/GtkFileChooser.t: Rearrange some function calls to avoid
	warnings.  Expect that set_current_name doesn't care about the
	existance of the file and adjust the test accordingly.

2004/03/01 03:50 (+0100) kaffeetisch

	A t/GtkTreeModelIface.t: New test for the custom tree model stuff.

	* t/GdkEvent.t: Use the same window in multiple places.  Test
	Gtk2::Gdk::setting_get.  Skip the
	Gtk2::Gdk::Event::Selection::requestor test on Win32.

	* t/GdkEvent.t
	* xs/GdkEvent.xs: Bind and test handler_set.

	* t/GtkMenuItem.t
	* xs/GtkMenuItem.xs: Use a custom marshaller for the
	toggle_size_request signal since it uses a pointer to an integer
	as a means to return a value from a signal handler.  Bind and test
	toggle_size_request and toggle_size_allocate.

	* t/GtkTreeModel.t
	* xs/GtkTreeModel.xs: Bind and test ref_node and unref_node.

2004/03/01 01:54 (+0100) kaffeetisch

	* t/GtkFileChooser.t
	* xs/GtkFileChooser.xs: Bind and test [sg]et_use_preview_label.

2004/02/29 05:09 (-0500) muppetman

	* t/GtkWidget.t: skip style_get on 2.0.x; we can't implement style_get
	without gtk_widget_class_find_style_property, which wasn't added until
	2.2.0.

	* t/GtkIconFactory.t: skip Gtk2::IconSize::lookup_for_settings on
	2.0.x.

	* t/GtkRc.t: Gtk2::Rc::reparse_all_for_settings seems to return
	something different values on different machines/versions/etc.
	just verify that we don't crash, don't check the value.

2004/02/29 04:37 (-0500) muppetman

	* Makefile.PL, xs_files-2.0: only build xs/GdkX11.xs when linking\
	against the x11 gtk target.

	* api.pod: updated

	* gtk-demo/editable_cells.pl, tools/podifyenums.pl, xs/GdkScreen.xs,
	xs/GtkActionGroup.xs, xs/GtkContainer.xs, xs/GtkTreeModel.xs,
	xs/GtkTreeSelection.xs: remove outdated FIXME

	* t/01.GtkWindow.t: implement a test for set_default

	* t/GdkCursor.t: test new_from_pixmap

	* t/GdkDnd.t: re-enable GdkDnd.t in hopes that its brokenness will
	get it fixed

	* xs/Gdk.xs: use runtime version check rather than compile-time check
	to get around leak bug

	* xs/GtkComboBoxEntry.xs, xs/GtkRadioMenuItem.xs, xs/GtkRc.xs,
	xs/GtkStyle.xs, xs/GtkTreeViewColumn.xs: use C comment rather than
	xs comment to keep from confusing xsubpp

	* xs/GtkListStore.xs, xs/GtkObject.xs, xs/GtkTreeStore.xs: remove
	unreachable code and strings that will never be used.
	gperl_value_from_sv either succeeds or croaks, so there's no sense
	in testing its return value.  the return value never changed, to
	retain ABI compatibility.

2004/02/29 00:11 (-0500) muppetman

	* xs/GtkWidget.xs: fix the pod for (push|pop)_composite_child

2004/02/29 01:39 (+0100) kaffeetisch

	* t/GtkRc.t: Don't assume the return value of get_style_by_paths
	is undef -- also allow a Gtk2::Style object.

2004/02/28 18:18 (+0100) kaffeetisch

	* t/GtkIconFactory.t: Test lookup_for_settings.

	* t/GtkRc.t: Test get_style_by_paths and reparse_all_for_settings.

	* t/GtkWidget.t: Test shape_combine_mask and
	queue_resize_no_redraw.

	* t/GtkComboBoxEntry.t
	* xs/GtkComboBoxEntry.xs: Bind and test new_text.

	* t/GtkFileChooser.t
	* xs/GtkFileChooser.xs: Remove [sg]et_folder_mode.

	* t/GtkRc.t
	* xs/GtkRc.xs: Add a class argument to gtk_rc_get_style_by_paths,
	test it.  Bind and test gtk_rc_reset_styles.

	* t/GtkStyle.t
	* xs/GtkStyle.xs: Bind and test Gtk2::draw_insertion_cursor.

	* t/GtkTreeView.t
	* xs/GtkTreeViewColumn.xs: Bind and test cell_set_cell_data and
	cell_get_size.

	* t/GtkWidget.t
	* xs/GtkWidget.xs: Initialize value and flag in the flags xsub.
	Bind and test list_mnemonic_labels, add_mnemonic_label, and
	remove_mnemonic_label.

2004/02/28 17:43 (+0100) kaffeetisch

	* t/Gdk.t: Handle the case of an already grabbed pointer
	gracefully.

	* t/GdkWindow.t: Test shape_combine_mask and set_back_pixmap.
	Re-enable the get_decorations test, in less strict fashion.

	* t/GtkTextIter.t: Finally test the last missing methods:
	get_toggled_tags, get_child_anchor, has_tag, get_tags, get_pixbuf,
	and get_attributes.

	* t/PangoLayout.t: Fix the skip: Pango 1.3.3 has been released.

2004/02/27 15:20 (-0500) muppetman

	* t/GtkWidget.t, xs/GtkWidget.xs: large patch from Torsten adds
	several things that are of importance when deriving containers in
	Perl.
	- removed Gtk2::Allocation, use use Gtk2::Gdk::Rectangle
	- new bindings for
	  Gtk2::Widget::requisition
	  Gtk2::Widget::size_allocate
	  Gtk2::Widget::saved_state
	  Gtk2::Widget::can_activate_accel (new in 2.4)
	  Gtk2::Widget::region_intersect
	  Gtk2::Widget::child_focus
	- don't segfault when a style property is not found.

2004/02/27 11:55 (-0500) muppetman

	* pm/SimpleList.pm: updated see-alsos and other pod, bump version.

2004/02/27 02:19 (-0500) muppetman

	* README, Gtk2.pm, NEWS: unstable release 1.037

	* t/GtkFileChooser.t: skip some tests until the file chooser is no
	longer broken in HEAD

2004/02/27 01:12 (-0500) muppetman

	* ChangeLog, t/00.Gtk2.t, t/01.GtkWindow.t, t/Gdk.t, t/GdkColor.t,
	t/GdkCursor.t, t/GdkDisplay.t, t/GdkDnd.t, t/GdkDrawable.t,
	t/GdkEvent.t, t/GdkGC.t, t/GdkKeys.t, t/GdkSelection.t, t/GdkWindow.t,
	t/GdkX11.t, t/GtkAccelGroup.t, t/GtkAlignment.t, t/GtkButton.t,
	t/GtkButtonBox.t, t/GtkCellRenderer.t, t/GtkCheckMenuItem.t,
	t/GtkClipboard.t, t/GtkComboBox.t, t/GtkEntry.t, t/GtkEventBox.t,
	t/GtkIconFactory.t, t/GtkIconTheme.t, t/GtkInvisible.t,
	t/GtkListStore.t, t/GtkMenu.t, t/GtkMenuShell.t, t/GtkMessageDialog.t,
	t/GtkPaned.t, t/GtkRadioMenuItem.t, t/GtkScale.t, t/GtkSelection.t,
	t/GtkStyle.t, t/GtkTextBuffer.t, t/GtkTextIter.t, t/GtkTextView.t,
	t/GtkToolbar.t, t/GtkTreeModel.t, t/GtkTreeModelSort.t,
	t/GtkTreeSelection.t, t/GtkTreeStore.t, t/GtkTreeView-Dnd.t,
	t/GtkTreeView.t: use Gtk2->CHECK_VERSION instead of check_version
	and get_version_info.

	* examples/combo_box.pl, examples/file_chooser.pl,
	gtk-demo/hypertext.pl, gtk-demo/main.pl: ditto.

	* xs/Gtk2.xs: commentary

2004/02/26 23:00 (-0500) muppetman

	* README: update the sandbox instructions.

	* t/GtkMenu.t: have the position func return a location farther away
	from the corner of the screen, to keep the test from creating gtk+
	warnings on stderr about allocating a widget with negative size.

	* xs/GtkTooltips.xs: use a weakref instead of object data to trigger
	the unref of the tooltips object; this keeps from polluting the
	widget's object data.  (Thanks to yosh for the idea.)

	* xs/Gtk2.xs, t/PangoLayout.t, t/PangoTabs.t: correct the semantics
	of the boot-time version check; it was backwards, warning when the
	runtime version was newer instead of older.  add pod for the version
	stuff, now in the Gtk2::version manpage.
	change Gtk2::Pango::check_version to Gtk2::Pango::CHECK_VERSION, to
	stick with the versioning scheme decision:
	http://lists.gnome.org/archives/gtk-perl-list/2004-February/msg00085.html

	* xs/GtkMenu.xs: commentary

	* xs/GtkScale.xs: move comment to keep older versions of
	ExtUtils::ParseXS from ignoring the #if

	* xs/GtkWidget.xs: code to hush uninitialized value warning was
	setting the wrong var.

2004/02/26 23:29 (+0100) kaffeetisch

	* xs/GtkCellEditable.xs (CALL): Don't call SPAGAIN since we're not
	accessing the stack again.

2004/02/16 18:21 (+0100) kaffeetisch

	* t/GtkIconTheme.t: Skip some tests if we can't find an icon.

	* xs/PangoFont.xs
	* xs/PangoLayout.xs: Use "default" instead of "defualt" in the
	switch statement.

2004/02/25 19:38 (-0500) rwmcfa1

	* xs/Gdk.xs, xs/GdkDnd.xs, xs/GdkEvent.xs, xs/GdkProperty.xs,
	xs/GdkRgb.xs, xs/GdkSelection.xs, xs/GdkTypes.xs, xs/Gtk2.xs,
	xs/GtkAdjustment.xs, xs/GtkCalendar.xs, xs/GtkCellRenderer.xs,
	xs/GtkColorSelectionDialog.xs, xs/GtkCombo.xs, xs/GtkDialog.xs,
	xs/GtkFileChooser.xs, xs/GtkFileSelection.xs, xs/GtkFontSelection.xs,
	xs/GtkPaned.xs, xs/GtkRc.xs, xs/GtkSelection.xs, xs/GtkStyle.xs,
	xs/GtkToolbar.xs, xs/GtkWidget.xs, xs/PangoFont.xs, xs/PangoLayout.xs:
	improved switch error handling, better way of quiting un-init'd values
	and don't wast str's on hard to reach cases, just assert not reached.

2004/02/25 19:38 (-0500) rwmcfa1

	* xs/GdkColor.xs xs/GdkEvent.xs xs/GtkAccelGroup.xs xs/GtkAccelMap.xs
	xs/GtkCellRenderer.xs xs/GtkDialog.xs xs/GtkSelection.xs
	xs/GtkTreeModel.xs: =pod position=<pos> -> =for position <pos>
	some pod parsers don't like text after =pod.

2004/02/25 15:45 (-0500) rwmcfa1

	* xs/GdkColor.xs, xs/GdkEvent.xs, xs/GtkAccelGroup.xs,
	xs/GtkAccelMap.xs, xs/GtkCellRenderer.xs, xs/GtkDialog.xs,
	xs/GtkSelection.xs, xs/GtkStock.xs, xs/GtkTreeModel.xs:	apidoc pod
	positioning updates

2004/02/23 15:16 (-0500) rwmcfa1

	* t/00.Gtk2.t: versions could be 0, which would fail before, check for
	defined.

2004/02/23 14:38 (-0500) muppetman

	* CodeGen.pm: add to parse_maps the ability to generate error
	domain registrations.

	* maps-2.0, maps-2.3, xs/GdkPixbuf.xs, xs/GtkFileChooser.xs,
	xs/GtkIconTheme.xs: use the new code in Gtk2::CodeGen::parse_maps
	to register error domains automatically from the maps files, rather
	than by hand.

2004/02/22 15:35 (-0500) rwmcfa1

	* xs/Gtk2.xs: added gtk_(major|minor|micro)_version and
	GTK_(MAJOR|MINOR|MICRO)_VERSION and finally CHECK_VERSION. thus the
	correct method for handling version numbers begins. more doc on howto
	do version checking and using this stuff where appliciable to come.

	* t/00.Gtk2.t: test out new stuff ^.

2004/02/22 20:56 (+0100) kaffeetisch

	* t/GtkFileChooserDialog.t
	* xs/GtkFileChooserDialog.xs: Bind and test new_with_backend.

	* t/GtkAction.t
	* t/GtkActionGroup.t
	* t/GtkColorButton.t
	* t/GtkComboBox.t
	* t/GtkComboBoxEntry.t
	* t/GtkEntryCompletion.t
	* t/GtkExpander.t
	* t/GtkFileChooser.t
	* t/GtkFileChooserDialog.t
	* t/GtkFileChooserWidget.t
	* t/GtkFileFilter.t
	* t/GtkFontButton.t
	* t/GtkRadioAction.t
	* t/GtkSeparatorToolItem.t
	* t/GtkToggleAction.t
	* t/GtkToggleToolButton.t
	* t/GtkToolButton.t
	* t/GtkToolItem.t
	* t/GtkTreeView-Dnd.t
	* xs/GtkAction.xs
	* xs/GtkActionGroup.xs
	* xs/GtkCellLayout.xs
	* xs/GtkColorButton.xs
	* xs/GtkComboBox.xs
	* xs/GtkComboBoxEntry.xs
	* xs/GtkEntryCompletion.xs
	* xs/GtkExpander.xs
	* xs/GtkFileChooser.xs
	* xs/GtkFileChooserDialog.xs
	* xs/GtkFileChooserWidget.xs
	* xs/GtkFileFilter.xs
	* xs/GtkFontButton.xs
	* xs/GtkRadioAction.xs
	* xs/GtkRadioToolButton.xs
	* xs/GtkSeparatorToolItem.xs
	* xs/GtkToggleAction.xs
	* xs/GtkToggleToolButton.xs
	* xs/GtkToolButton.xs
	* xs/GtkToolItem.xs
	* xs/GtkUIManager.xs: Add a license hint.

2004/02/21 18:03 (-0500) muppetman

	* t/GtkToolbar.t: correct skip count

2004/02/21 16:18 (+0100) kaffeetisch

	* t/GtkRadioMenuItem.t
	* xs/GtkRadioMenuItem.xs: Bind and test new_from_widget,
	new_with_mnemonic_from_widget, and new_with_label_from_widget.

2004/02/20 22:32 (+0100) kaffeetisch

	* t/GtkIconTheme.t: Test lookup_icon, load_icon, add_builtin_icon
	and Gtk2::IconInfo::get_base_size, ::get_filename,
	::set_raw_coordinates.

	* t/GtkButton.t
	* t/GtkImageMenuItem.t
	* t/GtkMessageDialog.t: Don't use noinit.  Recent changes seem to
	require an initialized gtk+.

	* t/GtkToolbar.t: Test the new 2.4 stuff: get_drop_index, insert,
	get_item_index, get_n_items, get_nth_item, get_relief_style,
	[sg]et_show_arrow, and set_drop_highlight_item.

	Fixes for stuff found by Marc Brockschmidt:

	* t/GdkWindow.t: Only test if get_origin returned the correct
	number of values, but not if they are what we expect.

	* t/GtkFileSelection.t: Only test if button_area is a Gtk2::Widget
	since certain file selector modifications seem to use different
	kinds of widgets for it.

	* t/GtkSimpleList.t: Don't test for quoted "0.1"'s because this
	fails with locales that use different decimal delimiters.

2004/02/20 01:38 (-0500) muppetman

	* Gtk2.pm, README, Makefile.PL, NEWS: unstable release 1.036

2004/02/19 13:47 (+0100) kaffeetisch

	* t/GdkDisplay.t: Only test if get_name's return value is defined.

2004/02/19 12:53 (+0100) kaffeetisch

	* gtk2perl.h: Alter GTK2PERL_STACK_ITEMS_TO_TARGET_ENTRY_ARRAY to
	return NULL if there are no arguments to use.

	* t/GtkSelection.t: Call Gtk2::TargetList::new without arguments
	to test for regressions of the above change.

2004/02/19 01:50 (-0500) muppetman

	* xs/GdkPixbuf.xs, xs/GtkFileChooser.xs, xs/GtkIconTheme.xs:
	register error domains.

2004/02/18 15:20 (-0500) rwmcfa1

	* xs/PangoTabs.xs: apidoc fix, new needed fully qualified name

2004/02/17 21:14 (+0100) kaffeetisch

	* Makefile.PL: Use COPYRIGHT_FROM instead of COPYRIGHT.

	* t/Gdk.t
	* xs/Gdk.xs: Bind and test Gtk2::Gdk::Event::send_client_message,
	::send_clientmessage_toall, and ::send_client_message_for_display.

	* t/GdkEvent.t
	* xs/GdkEvent.xs: Implement and test
	Gtk2::Gdk::Event::Client::message_type and ::data.  Document
	::data_format.

	* Gtk2.pm
	* t/GdkProperty.t
	* xs/GdkProperty.xs: Use Gtk2::Gdk::CHARS, ::USHORTS, and ::ULONGS
	instead of the magic numbers 8, 16, and 32.

2004/02/14 21:54 (+0100) kaffeetisch

	* t/GtkCellRenderer.t
	* xs/GtkCellRenderer.xs: Bind and test editing_canceled.

	* xs/GtkClipboard.xs: Provide a default for the user_data
	arguments of request_contents and request_text.

	* t/GtkScale.t
	* xs/GtkScale.t: Bind and test get_layout and get_layout_offsets.

2004/02/14 00:29 (+0100) kaffeetisch

	* t/GtkComboBox.t: Use a proper skip.  The bug's fixed in cvs now.

	* t/GtkIconTheme.t: Change the TODO into a SKIP.  The bug's been
	fixed in cvs.  Test list_icons.

	* t/GtkItemFactory.t: Skip two tests if a certain function
	returned undef.  Very rarely caused test failures for me.

	* t/PangoTabs.t: Change the skip_all into a normal skip.  The bug
	is fixed in cvs and will hopefully be in the next release.

2004/02/12 19:00 (-0500) muppetman

	* Gtk2.pm, Makefile.PL, README, NEWS: unstable release 1.035

2004/02/12 19:08 (+0100) kaffeetisch

	* t/GtkFileChooser.t
	* t/GtkIconTheme.t: Mark some tests as TODOs.  They are broken
	because of what seems to be gtk+ bugs.

2004/02/11 20:25 (+0100) kaffeetisch

	* examples/cellrenderer_date.pl: Adjust the positioning code to
	work correctly with scrolled tree views.

	* t/GtkUIManager.t: Test insert_action_group, get_action_groups,
	remove_action_group, get_accel_group, add_ui_from_string,
	add_ui_from_string, add_ui, remove_ui, ensure_update, get_ui,
	get_widget, get_toplevels, and get_action.

2004/02/11 00:37 (+0100) kaffeetisch

	* t/GtkComboBox.t: Test new, new_with_model, set_wrap_width,
	set_row_span_column, set_column_span_column, and [sg]et_active.

	* t/GtkFileChooser.t: Test add_shortcut_folder(_uri)?,
	list_shortcut_folders(_uris)?, and remove_shortcut_folder(_uri)?.

	* t/GtkRadioToolButton.t: Implement.

	* t/GtkAction.t
	* xs/GtkAction.xs: Add and test (is|get)_sensitive and
	(is|get)_visible.

	* t/GtkActionGroup.t
	* xs/GtkActionGroup.xs: Add and test [sg]et_sensitive,
	[sg]et_visible, and add_action_with_accel.

	* xs/GnomeIconTheme.xs: Allow undef for the context argument of
	list_icons.

2004/02/10 01:45 (-0500) muppetman

	A copyright.pod
	A doctypes
	M MANIFEST
	  add copyright.pod and doctypes

	* Makefile.PL: require ExtUtils::Depends 0.2; use
	Glib::MakeHelper->postamble_docs_full(); use and install doctypes,
	to add mappings for unregistered types.

	* README: update the ExtUtils::Depends and ExtUtils::PkgConfig
	requirements.

	* t/GtkCellRenderer.t: 'focused' was not a valid CellRendererState
	value until 2.2.0

	* xs/Gtk2.xs, xs/GtkTreeModel.xs, xs/GtkTreeStore.xs: pod updates

2004/02/09 01:32 (+0100) kaffeetisch

	* t/GtkTreeModelSort.t
	* xs/GtkTreeModelSort.xs: Bind and test clear_cache.

	* t/GtkTreeStore.t
	* xs/GtkTreeStore.xs: Alias set_value to set.  Test it.

2004/02/08 22:28 (+0100) kaffeetisch

	* MANIFEST
	A t/GtkCellRendererPixbuf.t
	A t/GtkCellRendererText.t
	A t/GtkCellRendererToggle.t: New tests.

	* t/GtkCellRenderer.t: Test get_size, render, activate,
	start_editing, and [sg]et_fixed_size.

2004/02/09 01:24 (-0500) muppetman

	* xs/GtkSelection.xs: make the parsing code for the array and hash
	forms of Gtk2::TargetEntry agree on the value types.   add pod for the
	format of a Gtk2::TargetEntry.

2004/02/08 21:45 (-0500) muppetman

	* Gtk2.pm, README, NEWS: unstable release 1.034

	* Makefile.PL, README: require Glib 1.034

	* t/GtkListStore.t, t/GtkTreeStore.t: update skips and such for
	gtk+ 2.0.x

2004/02/07 02:22 (-0500) muppetman

	* xs/GtkCellEditable.xs: allow perl implementations of GtkCellEditable

	* xs/GtkTreeModel.xs: allow perl implementations of GtkTreeModel.
	big thanks to Bjarne Steinsbo for helping iron out the memory
	management wrinkles for GtkTreeIter.  doc on writing tree models is
	incomplete but started; i'd prefer if that doc section came *after*
	the normal method listing, but Glib::GenPod doesn't support that
	sort of thing at the moment.

	* examples/customlist.pl, examples/customrenderer.pl, MANIFEST:
	new examples, implementing interfaces

2004/02/06 22:25 (+0100) kaffeetisch

	* MANIFEST
	A t/GtkCellEditable.t
	A t/GtkEditable.t
	A t/GtkTreeModelSort.t
	A t/GtkTreeSortable.t: New tests.

	* t/GtkTreeModelFilter.t
	* t/GtkCellLayout.t: Implement.

	A t/GtkTreeModel.t
	* MANIFEST
	* t/GtkListStore.t
	* t/GtkTreeStore.t: Rearrange the tree model tests quite a bit to
	better suit the XS layout.

	* xs/GtkCellEditable.xs: Provide a default for the event argument
	of start_editing.

	* xs/GtkEditable.xs: Remove the string length argument from
	insert_text but keep it compatible with the old version.

	* xs/GtkObject.xs: Don't include "../gtk2perl.h" and "../ppport.h"
	but "gtk2perl.h" and "ppport.h".

	* xs/GtkTreeModelFilter.xs: Provide a default for the root
	argument of new and for the func argument of set_modify_func.  Fix
	an allocation bug.  Implement convert_child_iter_to_iter and
	convert_iter_to_child_iter.

	* xs/GtkTreeModelSort.xs: Add a class argument to new_with_model.

	* xs/GtkComboBox.xs
	* xs/GtkEntryCompletion.xs
	* xs/GtkTreeViewColumn.xs: Add Gtk2::CellLayout to the ancestry.

2004/02/06 00:39 (-0500) muppetman

	A examples/cellrenderer_progress.pl
	M MANIFEST
	  add new cellrenderer example, ported from the TreeView tutorial.

	* xs/GtkCellRenderer.xs: big honkin' doc updates.  flesh out docs
	for the process of deriving a new renderer, hide the methods that
	are called behind the scenes, and swizzle the order of things so
	that the meaningful methods are listed first.

	* xs/Gtk2.xs: better message?

2004/02/05 22:54 (+0100) kaffeetisch

	* t/GdkWindow.t: Test Gtk2::Gdk::Rectangle::new, x, y, width,
	height and values.

	* t/GtkFileChooser.t: Make strict-safe.

2004/02/05 22:46 (+0100) kaffeetisch

	* gtk2perl.h
	* Makefile.PL: Depend on ExtUtils::PkgConfig 1.03 for the new
	write_version_macros.  Use it to create version macros for pango
	in gtk2perl-versions.h.

	* xs/Gtk2.xs: Implement xsub accessors to the above macros.

	* xs/PangoLayout.xs
	* t/PangoLayout.t: Use the new macros to protect
	backspace_deletes_character.

2004/02/04 19:09 (-0500) rwmcfa1

	* t/00.Gtk2.t: skip count was incorrect, failed with no DISPLAY

2004/02/05 02:40 (-0500) muppetman

	A t/GtkFileChooser.t
	M MANIFEST
	  add a nearly-complete test of Gtk2::FileChooser.  some tests need
	  to be fleshed out.

2004/02/04 23:11 (-0500) muppetman

	* pm/SimpleList.pm, xs/GdkDnd.xs: minor commentary updates.

	* pm/SimpleMenu.pm: commentary updates; ross wrote SimpleMenu
	himself (unless i'm mistaken), but the doc appears to have been
	copied from SimpleList.

2004/02/04 19:09 (-0500) rwmcfa1

	* xs/Gtk2.xs: implemented linked version checking in BOOT section

2004/02/04 20:24 (+0100) kaffeetisch

	* t/00.Gtk2.t
	* xs/Gtk2.xs: Use and test Glib's new GPerlArgv.

2004/02/04 19:20 (+0100) kaffeetisch

	* t/GtkCellRenderer.t: Make strict-safe.  Use different counters
	for the compatability and the new stuff.

	* xs/GtkCellRenderer.xs: Hush a compiler warning.

2004/02/04 02:13 (-0500) muppetman

	* xs/GtkCellRenderer.xs: re-vamp vfunc support for be more natural
	and perlish.  use inheritable ALL_CAPS_METHODS instead of the
	freakish and highly non-standard system used in the past.  the update
	is rather ugly, because we still support the old way for
	backwards-compatibility.  requires new code just added to Glib which
	calls _INSTALL_OVERRIDES as part of Glib::Type::register_object.

	* examples/cellrenderer_popup.pl, examples/cellrenderer_spinbutton.pl,
	t/GtkCellRenderer.t: updated for new cellrenderer techniques

	* examples/cellrenderer_date.pl: updated for new cellrenderer
	techniques; also copied in some of torsten's experimental date
	renderer code from odot.

2004/02/04 02:16 (+0100) kaffeetisch

	* t/PangoLayout.t: Skip the call to set_font_description with
	undef until another bug in pango has been fixed.

	* t/PangoTabs.t: Skip the whole test for now until the bug in
	pango has been fixed.

2004/02/03 23:20 (+0100) kaffeetisch

	* t/02.GtkContainer.t
	* t/Gdk.t
	* t/GdkCursor.t
	* t/GdkDisplay.t
	* t/GdkDisplayManager.t
	* t/GdkDnd.t
	* t/GdkGC.t
	* t/GdkKeys.t
	* t/GdkProperty.t
	* t/GdkRegion.t
	* t/GdkScreen.t
	* t/GdkSelection.t
	* t/GdkWindow.t
	* t/GdkX11.t
	* t/GtkAccelGroup.t
	* t/GtkAccelLabel.t
	* t/GtkAccelMap.t
	* t/GtkAdjustment.t
	* t/GtkAlignment.t
	* t/GtkArrow.t
	* t/GtkAspectFrame.t
	* t/GtkBin.t
	* t/GtkBox.t
	* t/GtkButtonBox.t
	* t/GtkCheckButton.t
	* t/GtkCheckMenuItem.t
	* t/GtkClipboard.t
	* t/GtkColorButton.t
	* t/GtkColorSelection.t
	* t/GtkColorSelectionDialog.t
	* t/GtkDnd.t
	* t/GtkDrawingArea.t
	* t/GtkEntry.t
	* t/GtkEventBox.t
	* t/GtkExpander.t
	* t/GtkFileSelection.t
	* t/GtkFixed.t
	* t/GtkFontButton.t
	* t/GtkFontSelection.t
	* t/GtkFrame.t
	* t/GtkHBox.t
	* t/GtkHButtonBox.t
	* t/GtkHPaned.t
	* t/GtkHRuler.t
	* t/GtkHScale.t
	* t/GtkHScrollbar.t
	* t/GtkHSeparator.t
	* t/GtkIconFactory.t
	* t/GtkImageMenuItem.t
	* t/GtkInputDialog.t
	* t/GtkInvisible.t
	* t/GtkLayout.t
	* t/GtkListStore.t
	* t/GtkMenuBar.t
	* t/GtkMenuItem.t
	* t/GtkMenuShell.t
	* t/GtkMessageDialog.t
	* t/GtkMisc.t
	* t/GtkObject.t
	* t/GtkOptionMenu.t
	* t/GtkPaned.t
	* t/GtkRadioMenuItem.t
	* t/GtkRange.t
	* t/GtkRc.t
	* t/GtkRuler.t
	* t/GtkScale.t
	* t/GtkScrolledWindow.t
	* t/GtkSelection.t
	* t/GtkSeparatorMenuItem.t
	* t/GtkSizeGroup.t
	* t/GtkSpinButton.t
	* t/GtkStock.t
	* t/GtkStyle.t
	* t/GtkTable.t
	* t/GtkTearoffMenuItem.t
	* t/GtkTextBuffer.t
	* t/GtkTextChildAnchor.t
	* t/GtkTextMark.t
	* t/GtkTextTag.t
	* t/GtkTextTagTable.t
	* t/GtkToggleButton.t
	* t/GtkTreeSelection.t
	* t/GtkTreeStore.t
	* t/GtkTreeView.t
	* t/GtkVBox.t
	* t/GtkVButtonBox.t
	* t/GtkVPaned.t
	* t/GtkVRuler.t
	* t/GtkVScale.t
	* t/GtkVScrollbar.t
	* t/GtkVSeparator.t
	* t/GtkViewport.t
	* t/GtkWidget.t
	* t/PangoContext.t
	* t/PangoFont.t
	* t/PangoTabs.t: Add a Header tag to all tests that don't have one
	already.  Sigh.  Somebody remind me about adding those in the
	first place next time.

	* xs/GdkProperty.xs
	* xs/GtkClipboard.xs: Apidoc updates.

2004/02/02 22:37 (-0500) rwmcfa1

	* xs/GtkTreeView.xs: gtk_tree_view_create_row_drag_icon was missing,
	now implemented.

	* t/GtkTreeView-Dnd.t: initial import, awaiting simulating a dnd

2004/02/02 19:39 (-0500) rwmcfa1

	* examples/simple_menu.pl, pm/SimpleMenu.pm: examples/doc on how to use
	new per-entry callback_data.

2004/02/02 19:22 (-0500) rwmcfa1

	* pm/SimpleMenu.pm, t/GtkSimpleMenu.t: added the ability to do per
	entry user_data. tested that desired user data is passed to callbacks
	in all cases.

2004/02/02 18:06 (-0500) rwmcfa1

	* pm/TestHelper.pm: added the ablity to skip_all, pretty much just a
	pass through to Test::More, but a nice feature to have anyway.

2004/02/03 00:21 (+0100) kaffeetisch

	* xs/PangoLayout.xs: Change the PangoLogAttr to use UVs instead of
	IVs.  Add backspace_deletes_character.

	A t/PangoLayout.t
	* MANIFEST: New test.

2004/02/02 23:34 (+0100) kaffeetisch

	* t/GdkDrawable.t: Change the TODO into another block that gets
	skipped if copy_to_image returns undef.

	* t/GtkComboBox.t: Always skip the failing tests because it's
	gtk+'s fault.  Needs to be changed once it's fixed.

2004/02/02 22:30 (+0100) kaffeetisch

	* t/GtkTextIter.t: Test begins_tag, ends_tag, toggles_tag,
	forward_to_tag_toggle, backward_to_tag_toggle and all the stuff
	introduced in 2.4.

	* t/GtkTextView.t: Test scroll_to_mark, scroll_mark_onscreen,
	move_mark_onscreen.

2004/02/01 01:12 (+0100) kaffeetisch

	* t/GtkTextView.t: Test [sg]et_overwrite and [sg]et_accepts_tab.

2004/01/31 23:59 (+0100) kaffeetisch

	A t/GdkX11.t
	A t/PangoContext.t
	A t/PangoFont.t
	A t/PangoTabs.t
	* MANIFEST: New tests.

2004/01/31 16:19 (+0100) kaffeetisch

	* t/GtkFileChooserDialog.t
	* t/GtkFileChooserWidget.t: Initialize gtk+.

	* xs/PangoContext: Don't warn about unregistered subclasses of
	Gtk2::Pango::Fontset.

	* xs/PangoFont.xs: Don't warn about unregistered subclasses.
	Implement get_family.  Make better_match also accept undef for
	old_match.  Move Gtk2::PangoFont::get_metrics and implement
	::describe.

2004/01/30 22:49 (-0500) muppetman

	A examples/filesel_multisel.pl
	A examples/multisel.pl
	M MANIFEST
	  some examples i had lying around.

2004/01/30 08:06 (-0500) rwmcfa1

	* t/Gdk.t: wholey crap, s missing from the work test, DISPLAY was unset
	so i didn't know it.

2004/01/29 20:07 (-0500) rwmcfa1

	* Glib.pm, README: unstable release 1.033

	* NEWS: updated

	* t/Gdk.t: init failure fixed, see below

	1.032 isn't going public, was a test failure with no DISPLAY in Gtk2

2004/01/29 19:10 (-0500) rwmcfa1

	* Gtk2.pm, README: unstable release 1.032

	* NEWS: updated

2004/01/29 18:30 (-0500) rwmcfa1

	* t/01.GtkWindow.t, t/GdkDrawable.t, t/GdkWindow.t, t/GtkPaned.t:
	temporary stop-gap fixes for test failures against HEAD, remotely
	running windowmaker, that's a mouth full.

2004/01/28 15:42 (-0500) rwmcfa1

	* xs/GtkCalendar.xs, xs/GtkRenderer.xs, xs/GtkTextChildAnchor.xs,
	xs/GtkTextView.xs: apidoc updates

2004/01/28 00:27 (+0100) kaffeetisch

	A t/GdkSelection.t
	* MANIFEST: New test.

	* t/Gdk.t: Test Gtk2::Gdk::Threads::init, enter and leave.

2004/01/27 23:10 (+0100) kaffeetisch

	A t/GdkCursor.t
	A t/GdkKeys.t
	* MANIFEST: New tests.

	* t/GdkEvent.t: Test get_time, get_state, [sg]et_screen, axis and
	get_axis, coords and get_coords, put, get, peek,
	[sg]et_show_events, and Gtk2::Gdk::events_pending.

	* t/GtkTextIter.t: Test get_marks.

	* xs/GdkCursor.xs: Implement an accessor for cursor->type.  Take
	ownership of the cursor returned by new_for_display.  Add a class
	argument to new_from_pixbuf.

	* xs/GdkEvent.xs: Bind gdk_events_pending as
	Gtk2::Gdk::events_pending instead of
	Gtk2::Gdk::Event::gdk_events_pending.  Bind
	gdk_event_get_graphics_expose as
	Gtk2::Gdk::Event::get_graphics_expose.  Provide get_axis in
	addition to axis.  state returns a guint, no gint.

	* xs/GdkKeys.xs: Change the PREFIX from gtk_keymap_ to gk_keymap_.
	Don't warn about unregistered subclasses.

2004/01/26 21:35 (+0100) kaffeetisch

	* t/GdkWindow.t: Use a parent window for calls that seem to
	require one.

2004/01/25 23:47 (-0500) muppetman

	* t/GdkGC.t: skip GdkScreen-related stuff on 2.0.x

2004/01/25 19:53 (-0500) muppetman

	* xs/Gtk2.xs: revert the removal of shadow, and add some commentary
	explaining why it is important.  it allows us to keep from leaking
	strings removed from argv by gtk_init().

2004/01/25 19:43 (-0500) rwmcfa1

	* t/GdkDisplay.t: use DISPLAY env var instead of assuming :0.0 will
	work

	* t/GtkComboBoxEntry.t: use ord to get rid of some errors trying to take
	a to a power.

2004/01/25 23:37 (+0100) kaffeetisch

	* t/GdkDrawable.t: Skip the draw_image test if get_image returned
	undef.

	* examples/simplelist.pl
	* pm/SimpleList.pm
	* t/GtkSimpleList.t: Implement, document, test and demonstrate a
	'markup' column type that can be used to put pango markup into
	cells.

	* xs/Gtk2.xs: Remove all references to the apparently unused
	'shadow' variable in the gtk_init xsub.

2004/01/25 10:51 (-0500) rwmcfa1

	* xs/GdkEvent.xs: moved ->x/y out of base class (they didn't belong
	there anyway and into the specific events that have them. which allowed
	them to be implemented as set/get accessors. the doc for event was
	messed up as well, all of the stuff was put on the event object when
	many of the methods were only available on certian even types. this does
	now cause several event pod to be created, but that's much cleaner and
	clearer. added custom pod to each of the event types saying they're
	parent is base event. also added a list of event types to the parent
	event's pod.

	* t/GdkEvent.t: test all of the new set/get x/y accessors on the
	appropriate event types.

2004/01/25 13:13 (+0100) kaffeetisch

	* MANIFEST
	A t/GdkDrawable.t
	A t/GdkGC.t
	A t/GdkScreen.t: New tests.

	* xs/GdkDrawable.xs: Implement get_clip_region, get_visible_region
	and draw_point.

	* xs/GdkGC.xs: Fix various typos.  Initialize the mask in
	read_gcvalues_from_sv.  Implement set_values and get_colormap.
	Remove a g_printerr.

2004/01/25 04:10 (-0500) muppetman

	* Gtk2.pm, README, NEWS: unstable release 1.031

	* Makefile.PL, README: update Glib requirement to 1.031.

2004/01/25 01:50 (-0500) muppetman

	* examples/buttonbox.pl, examples/calendar.pl, examples/color_list.pl,
	examples/histogramplot.pl, examples/layout.pl, examples/rulers.pl,
	examples/scribble.pl, examples/socket.pl, examples/thread_usage.pl,
	gtk-demo/appwindow.pl, gtk-demo/button_box.pl,
	gtk-demo/changedisplay.pl, gtk-demo/colorsel.pl, gtk-demo/dialog.pl,
	gtk-demo/drawingarea.pl, gtk-demo/editable_cells.pl,
	gtk-demo/entry_completion.pl, gtk-demo/hypertext.pl,
	gtk-demo/images.pl, gtk-demo/item_factory.pl, gtk-demo/list_store.pl,
	gtk-demo/main.pl, gtk-demo/menus.pl, gtk-demo/panes.pl,
	gtk-demo/pixbufs.pl, gtk-demo/sizegroup.pl, gtk-demo/stock_browser.pl,
	gtk-demo/textview.pl, gtk-demo/tree_store.pl, gtk-demo/ui_manager.pl:
	use the TRUE and FALSE constants exported by Glib

2004/01/25 00:58 (-0500) muppetman

	A NEWS
	  add a file to summarize changes

	A t/GtkAction.t
	A t/GtkComboBoxEntry.t
	A t/GtkFileFilter.t
	  new tests

	M MANIFEST
	  updated

	* pm/Pango.pm: add L<> to links in SEE ALSO.

	* t/GtkButton.t: sprintf the values returned by get_alignment to
	avoid precision mismatch problems

	* t/GtkIconTheme.t: implement some tests

	* t/GtkItemFactory.t: don't forget to return a string from the
	translation func

	* xs/GtkItemFactory.xs: keep the value returned from the perl
	callback alive long enough to be used by the caller.

2004/01/24 21:44 (-0500) rwmcfa1

	* Makefile.PL: removed runtime_reqs stuff, replaced by the pkg-config
	trick

	* perl-Gtk2.spec.in: use pkg-config for Requires version

2004/01/22 15:28 (-0500) muppetman

	A NEWS
	M MANIFEST
	add a NEWS file that summarizes the ChangeLog in digestible terms.

	* t/GtkStyle.t: versions of gtk+ prior to 2.2.0 handled only
	'south-east', which isn't so bad, except that they actually called
	g_assert_not_reached() in the branch of code that you reach by
	passing other values.  so, eh, never pass anything but south-east
	to old gtk+.

	* t/GtkTextChildAnchor.t: letting an anchor die without having
	inserted it into a buffer causes very bad things to happen.
	dispose of it nicely.

2004/01/22 15:28 (-0500) muppetman

	* t/Gdk.t: don't forget the skip count.

2004/01/22 02:15 (-0500) muppetman

	* xs/GtkFileChooser.xs, xs/GtkIconFactory.xs, xs/GtkTreeView.xs,
	xs/PangoFont.xs: plugging more memory leaks

	* xs/GtkRc.xs: invalid free bug was triggered by letting g_free() try
	to free perl's garbage collected memory.  GtkRc wants to g_free() the
	bg_pixmap_name and name in its destructor, so we must g_strdup them.
	don't forget to free the old values.

2004/01/22 00:46 (-0500) muppetman

	* xs/GtkAccelGroup.xs, xs/GtkTextChildAnchor.xs, xs/GtkTreeModel.xs:
	stop memory leaks

2004/01/21 17:16 (-0500) muppetman

	* xs/Gdk.xs: before 2.2.0, gdk_get_display() returned a static string.
	don't free it if we're on old gtk+.

2004/01/21 00:32 (-0500) muppetman

	* xs/GdkColor.xs: use initializers to keep valgrind happy.

	* t/GdkColor.t: if we're testing that pixel is nonzero after
	alloc_colors, test that it's zero before

	* xs/GdkTypes.xs: always initialize the geometry hints

	* xs/GdkWindow.xs: always initialize the attribute mask, regardless
	of code path

2004/01/20 21:42 (-0500) muppetman

	* xs/GtkSelection.xs: free the value returned from
	gtk_selection_data_get_text().  also make sure Perl treats is as utf8.

2004/01/20 21:00 (-0500) muppetman

	* gtk2perl.h, xs/GtkClipboard.xs, xs/GtkSelection.xs: use
	gperl_alloc_temp() instead of g_new0() in
	GTK2PERL_STACK_ITEMS_TO_TARGET_ENTRY_ARRAY(), and adjust the code
	to suit.

2004/01/21 00:45 (+0100) kaffeetisch

	* t/Gdk.t: Use show_now instead of show to make sure the window's
	actually shown.

2004/01/20 23:20 (+0100) kaffeetisch

	* t/GtkMessageDialog.t: Fix skip count.

	* xs/Gdk.xs: Make sm_client_id default to NULL in
	set_sm_client_id.

	* xs/GtkStyle.xs: Don't _copy the values in the color accessors.
	Bind GTK_STYLE_ATTACHED as Gtk2::Style::attached.  Fix
	Gtk2::Style::attach.

2004/01/20 22:58 (+0100) kaffeetisch

	A t/Gdk.t
	A t/GdkDisplay.t
	A t/GdkDisplayManager.t
	A t/GtkStyle.t
	* MANIFEST: New tests.

2004/01/20 21:33 (+0100) kaffeetisch

	* t/01.GtkWindow.t
	* t/GtkMessageDialog.t
	* t/GtkTreeView.t: Tests for 2.4 stuff.

	* xs/GtkRc.xs: Add a FIXME comment about the weird sporadic
	segfaults I'm seeing.

2004/01/20 12:29 (-0500) muppetman

	* xs/GdkKeys.xs: change PREFIX to fix gdk_keyval_* functions.
	they are now Gtk2::Gdk->keyval_*, like in gtk-perl.

2004/01/19 21:55 (-0500) muppetman

	* t/GtkEntryCompletion.t: flesh this out a bit

	* xs/GtkActionGroup.xs: remove debugging print

	* xs/GtkComboBoxEntry.xs: apidoc

2004/01/19 20:55 (-0500) rwmcfa1

	* xs/GdkColor.xs: fixed mem leak, argcolors, in alloc_colors.

	* xs/GdkWindow.xs: fixed mem leak, RETVAL, in get_frame_extents.

	* xs/GtkAccelMap.xs: fixed mem leaks, callback needed destroying after
	the foreach's were through, in map_foreach and map_foreach_unfiltered.

2004/01/19 20:52 (-0500) muppetman

	A t/GtkActionGroup.t
	A t/GtkCellLayout.t
	A t/GtkEntryCompletion.t
	A t/GtkFileChooserDialog.t
	A t/GtkFileChooserWidget.t
	A t/GtkIconTheme.t
	A t/GtkRadioAction.t
	A t/GtkRadioToolButton.t
	A t/GtkSeparatorToolItem.t
	A t/GtkToggleAction.t
	A t/GtkToggleToolButton.t
	A t/GtkToolButton.t
	A t/GtkToolItem.t
	A t/GtkTreeModelFilter.t
	A t/GtkUIManager.t
	M MANIFEST
	new tests

	* xs/GtkActionGroup.xs: avoid core dumps

2004/01/19 15:40 (-0500) muppetman

	* Makefile.PL: refactor some of the code that handles picking up
	files by version.  use only the maps files that contain stuff for
	the gtk+ version against which we're compiling for enums.pod.

2004/01/19 15:40 (-0500) muppetman

	* xs/GtkIconTheme.xs, xs/GtkToggleToolButton.xs: add missing
	class parameter

	* xs/GtkRadioAction.xs: was checking for the wrong kind of object

	* xs/GtkTreeModelFilter.xs: allow NULL for new's root

2004/01/18 13:17 (-0500) rwmcfa1

	* xs/GtkWidget.xs: valgrind found a mem leak, fix by muppet.

2004/01/18 02:30 (+0100) kaffeetisch

	* t/GtkEntry.t: Test [sg]et_completion.

	* t/GtkEventBox.t: Test [sg]et_above_child and
	[sg]et_visible_window.

	* t/GtkMenu.t: Test attach and set_monitor.

	* t/GtkTextBuffer.t: Test select_range.

2004/01/17 16:26 (+0100) kaffeetisch

	* t/GdkEvent.t: Only declare $event once to avoid warnings.

	* t/GtkButton.t: Put a TODO block around get_alignment - it has
	precision issues.

	* t/GtkCalendar.t: Test [sg]et_display_options.

	* t/GtkClipboard.t: Test request_targets.

	* xs/GtkDnd.t
	* t/GtkDnd.t: Implement and test both syntaxes:
	Gtk2::Drag->begin($button, ...) and $button->drag_begin(...).

	* xs/GtkIconFactory.xs:
	* t/GtkIconFactory.t: Implement and test [sg]et_icon_name.

	* t/GtkAccelGroup.t
	* t/GtkAlignment.t
	* t/GtkButton.t
	* t/GtkButtonBox.t
	* t/GtkCheckMenuItem.t
	* t/GtkMenuShell.t: Test for 2.3.0 instead of 2.4.0 until we have
	a stable release of gtk+.

	* t/01.GtkWindow.t
	* t/GtkPaned.t: Don't declare TRUE and FALSE, Gtk2::TestHelper
	does that now.

	* t/02.GtkContainer.t
	* t/GtkDnd.t
	* t/GtkTextTag.t
	* t/GtkTreeView.t: Remove the Gtk2::Gdk::Event::new skips.

	* t/GtkTreeView.t: Use true values to test functions that
	return/take a boolean.  Only test stuff inside the cell_data_func
	once.

	* xs/GtkClipboard.xs: Use void for the return value of
	wait_for_targets - it uses PPCODE.  Check targets for NULL instead
	of n_targets.

	* xs/GtkCalendar.xs
	* xs/GtkComboBox.xs: Mark ix as unused.

	* xs/GtkFileChooser.xs: Initialize ret to hush a compiler warning.

	* MANIFEST
	A t/GdkProperty.t
	* xs/GdkProperty.xs: Fix and test property_get and
	property_change.  Also test the other bound methods.

2004/01/17 04:10 (-0500) muppetman

	A t/GtkComboBox.t
	M MANIFEST
	new test.  doesn't seem to work right.

2004/01/17 03:46 (-0500) muppetman

	* Makefile.PL: maps is gone, use all of the maps-* files for
	podifyenums.

	* tools/podifyenums.pl: eat \$ARGV[0] and then process all files
	on command line (with <>)

	* examples/combo_box.pl, examples/color_list.pl,
	examples/file_chooser.pl: refuse to run when linked against a
	gtk+ that's too old

	* examples/testdnd.pl: nobody told this example that the target
	flags are no longer integers

	* gtk-demo/hypertext.pl: bad logic kept hyperlinks from actually
	working

	* t/GtkTextBuffer.t: appropriate skips for 2.0.x

	* xs/GdkEvent.xs: provide our own implementation of gdk_event_new()
	on 2.0.x

2004/01/17 02:35 (-0500) muppetman

	* t/GtkExpander.t: doesn't need init.

	* t/GtkColorButton.t, GtkFontButton.t: copy and paste bugs

2004/01/17 02:00 (-0500) muppetman

	The Giant Merge of the 2.3.x branch into HEAD.

	D maps
	A maps-2.0
	A maps-2.2
	A maps-2.3
	Split the maps file into revision-specific pieces.  This lets us
	track things a little more clearly.

	A xs_files-2.3
	A examples/combo_box.pl
	A examples/file_chooser.pl
	A gtk-demo/hypertext.pl
	A gtk-demo/entry_completion.pl
	A gtk-demo/ui_manager.pl
	A t/GtkExpander.t
	A t/GtkColorButton.t
	A t/GtkFontButton.t
	A xs/GtkAction.xs
	A xs/GtkActionGroup.xs
	A xs/GtkCellLayout.xs
	A xs/GtkColorButton.xs
	A xs/GtkComboBox.xs
	A xs/GtkComboBoxEntry.xs
	A xs/GtkEntryCompletion.xs
	A xs/GtkExpander.xs
	A xs/GtkFileChooser.xs
	A xs/GtkFileChooserDialog.xs
	A xs/GtkFileChooserWidget.xs
	A xs/GtkFileFilter.xs
	A xs/GtkFontButton.xs
	A xs/GtkIconTheme.xs
	A xs/GtkRadioAction.xs
	A xs/GtkRadioToolButton.xs
	A xs/GtkSeparatorToolItem.xs
	A xs/GtkToggleAction.xs
	A xs/GtkToggleToolButton.xs
	A xs/GtkToolButton.xs
	A xs/GtkToolItem.xs
	A xs/GtkTreeModelFilter.xs
	A xs/GtkUIManager.xs
	new files for stuff that's new in 2.4, with three new tests.

	* MANIFEST: updated for file churn.  alphabetized.

	* CodeGen.pm: version 0.02 can merge maps from multiple files,
	with full backward compatability.

	* Makefile.PL: add xs_files for 2.3 if available.  merge maps from
	various files by what's available.  NOTE: the 2.3 stuff will need
	to be changed to 2.4 when 2.4 is released.

	* gtk-demo/main.pl, gtk-demo/sizegroup.pl, gtk-demo/textview.pl:
	cleanup, and updates for new things available in 2.4

	* pm/TestHelper.pm: encourage the use of the TRUE/FALSE constants
	in tests

	* xs/GtkAccelGroup.xs: the closure unref thing bugs me, add FIXMEs

	* xs/GtkLabel.xs: allow NULL where appropriate

	* xs/GdkCursor.xs, xs/GdkDisplay.xs, xs/GdkDrawable.xs,
	xs/GdkPixbuf.xs, xs/GdkPixbufLoader.xs, xs/GdkWindow.xs,
	xs/GtkAlignment.xs, xs/GtkButton.xs, xs/GtkButtonBox.xs,
	xs/GtkCalendar.xs, xs/GtkCheckMenuItem.xs, xs/GtkClipboard.xs,
	xs/GtkEntry.xs, xs/GtkEventBox.xs, xs/GtkMenu.xs, xs/GtkMenuShell.xs,
	xs/GtkMessageDialog.xs, xs/GtkTextBuffer.xs, xs/GtkTextIter.xs,
	xs/GtkTextView.xs, xs/GtkToolbar.xs, xs/GtkTreeViewColumn.xs,
	xs/GtkWidget.xs, xs/GtkWindow.xs: add new functions that appeared
	in 2.3.x.  the CHECK_VERSION conditionals are marked with FIXMEs
	to remind us to change them to 2.4.0 when gtk+-2.4.0 is finally
	released.

2004/01/17 00:46 (+0100) kaffeetisch

	A t/GtkTextBuffer.t
	A t/GtkTextMark.t
	A t/GtkTextTag.t
	A t/GtkTextTagTable.t
	* MANIFEST: Initial import.

2004/01/16 18:35 (-0500) rwmcfa1

	* xs/GdkEvents.xs: implemented setters for most everything and getter's
	for most everything that didn't have them. rest are TODO/FIXME'd.

	* t/GdkEvent.t: initial import, test all of the above implementations,
	pretty thorough.

2004/01/16 11:14 (-0500) rwmcfa1

	* Makefile.PL: use the new BLIB_DONE var as a dep of the things that
	need to know that blib has the .so's. (see Glib commit at same time)
	fixes problems with -j make options.

2004/01/16 02:00 (-0500) muppetman

	release 1.030 (unstable)

2004/01/16 01:54 (-0500) muppetman

	* t/GdkDnd.t: this test fails rather insistently on my system;
	disabling it with loud FIXMEs so we can make a release.

2004/01/16 00:53 (-0500) muppetman

	* AUTHORS, TODO: updated

	* Makefile.PL, README: update requirements to Glib-1.030 and
	emphasize that this is an unstable series.

2004/01/15 14:37 (-0500) muppetman

	* t/GtkTextView.t: allow negative numbers when testing returns from
	buffer_to_window_ccords.

	* xs/GtkIconFactory.xs: remove return values from call signature of
	lookup_for_settings

	* xs/GtkImage.xs: allow null filename to new_from_file and
	set_from_file, as documented in C API ref

	* xs/GtkTreeView.xs: use XS comments to hide commented-out function
	from ParseXSDoc (supress "missing" warnings)

	* xs/GtkList.xs, xs/GtkRc.xs, xs/GtkWidget.xs, xs/GtkWindow.xs:
	give types to faked args to hush warnings from podify

2004/01/15 18:55 (+0100) kaffeetisch

	A t/GdkDnd.t
	A t/GtkObject.t
	A t/GtkTextView.t
	* MANIFEST: Initial import.

	A t/GtkTextChildAnchor.t
	A xs/GtkTextChildAnchor.xs
	* MANIFEST
	* xs_files-2.0: Initial implementation and test.

	* xs/GtkTextView.xs: Fix get_line_at_y, use _own for the return
	value of get_tabs and get_default_attributes.

	* xs/GdkDnd.xs: Use appropriate PREFIX for gdk_drop_reply and
	gdk_drop_finish.

2004/01/14 21:29 (-0500) muppetman

	* xs/GdkPixbuf.xs: we don't care about unregistered subclasses of
	GdkPixbufAnimation.

2004/01/14 20:44 (-0500) rwmcfa1

	* t/GtkImage.t: nearly complete testing now, needs test for from_image
	funcs. found problem that needs resolving with PixbufAnimation, see
	warnings printed here, at this point.

2004/01/14 17:53 (-0500) muppetman

	test fixes on RH8.0 / gtk+-2.0.6

	* t/GtkPaned.t: use show_now to ensure the window is on screen,
	rather than unreliable timeout hacks.

	* t/GtkTreeView.t: fix inverted logic on version guard for
	set_cursor_on_cell.

2004/01/14 12:06 (-0500) rwmcfa1

	* xs/GtkImage.xs: fixed bug in gtk_image_stock_get xsub found when
	writing test below.

2004/01/14 10:24 (-0500) rwmcfa1

	* t/GtkImage.t: initial import, very very incomplete

2004/01/14 09:16 (-0500) rwmcfa1

	* t/GtkCurve.t: initial import, pretty much complete.

2004/01/14 08:07 (-0500) rwmcfa1

	* t/GtkTreeView.xs: apparently need to skip the tests needed events
	unless we're on newer than 2.2.x

2004/01/13 23:17 (-0500) muppetman

	* gtk-demo/textview.pl: use the PANGO_* constants from Gtk2::Pango
	instead of the rather obtuse Gtk2::Pango->* constants.

2004/01/13 23:14 (-0500) muppetman

	* gtk2perl.h: add newSVGdkBitmap_ornull.

2004/01/13 23:03 (-0500) rwmcfa1

	* xs/GtkTextIter.xs: _ornull's added to tag params for tag_toggle funcs
	found by Dan Lyke

2004/01/13 20:30 (-0500) rwmcfa1

	* t/GtkTreeView.xs: added tests for set_cursor_on_cell, scroll_to_point,
	get_path_at_pos, tree_to_widget_coords, and widget_to_tree_coords.

2004/01/12 23:45 (+0100) kaffeetisch

	* t/GtkDnd.t: Skip a few things if Gtk2::Gdk::Event::new isn't
	available.

2004/01/12 09:49 (-0500) rwmcfa1

	* pm/TestHelper.pm: if we're not 2.2.0 or greated don't allow init
	to be skipped. earlier rel's have to for some pagno thing.

	* t/GtkClipboard.t: the clipboard didn't exist for sure until 2.2.0

2004/01/11 23:59 (+0100) kaffeetisch

	* MANIFEST
	A t/GtkDnd.t: New test.

	* t/GtkTextIter.t: Test everything.

	* t/GdkRegion.t
	* t/GdkWindow.t
	* t/GtkAccelGroup.t
	* t/GtkAccelLabel.t
	* t/GtkAccelMap.t
	* t/GtkAdjustment.t
	* t/GtkAlignment.t
	* t/GtkArrow.t
	* t/GtkAspectFrame.t
	* t/GtkBin.t
	* t/GtkBox.t
	* t/GtkButtonBox.t
	* t/GtkCheckButton.t
	* t/GtkCheckMenuItem.t
	* t/GtkColorSelection.t
	* t/GtkColorSelectionDialog.t
	* t/GtkDrawingArea.t
	* t/GtkEntry.t
	* t/GtkEventBox.t
	* t/GtkFileSelection.t
	* t/GtkFixed.t
	* t/GtkFontSelection.t
	* t/GtkFrame.t
	* t/GtkHBox.t
	* t/GtkHButtonBox.t
	* t/GtkHPaned.t
	* t/GtkHRuler.t
	* t/GtkHScale.t
	* t/GtkHScrollbar.t
	* t/GtkHSeparator.t
	* t/GtkIconFactory.t
	* t/GtkImageMenuItem.t
	* t/GtkInputDialog.t
	* t/GtkInvisible.t
	* t/GtkLayout.t
	* t/GtkMenuBar.t
	* t/GtkMenuItem.t
	* t/GtkMenuShell.t
	* t/GtkMessageDialog.t
	* t/GtkMisc.t
	* t/GtkOptionMenu.t
	* t/GtkRadioMenuItem.t
	* t/GtkRange.t
	* t/GtkRc.t
	* t/GtkRuler.t
	* t/GtkScale.t
	* t/GtkScrolledWindow.t
	* t/GtkSelection.t
	* t/GtkSeparatorMenuItem.t
	* t/GtkSizeGroup.t
	* t/GtkSpinButton.t
	* t/GtkStock.t
	* t/GtkTable.t
	* t/GtkTearoffMenuItem.t
	* t/GtkToggleButton.t
	* t/GtkTreeStore.t
	* t/GtkTreeView.t
	* t/GtkVBox.t
	* t/GtkVButtonBox.t
	* t/GtkVPaned.t
	* t/GtkVRuler.t
	* t/GtkVScale.t
	* t/GtkVScrollbar.t
	* t/GtkVSeparator.t
	* t/GtkViewport.t: Remove needless 'use Gtk2;'s.

2004/01/11 11:44 (-0500) rwmcfa1

	* exmples/thread_usage.pl: initial import, example of the 'correct' way
	to use threads and Gtk2.

2004/01/11 00:56 (-0500) muppetman

	* examples/color_list.pl: commentary and clean-up, and a little
	sprucing.  add the attribute to all renderers in all columns of the
	view, rather than depending on the location of the hidden column.

2004/01/10 15:28 (-0500) muppetman

	* xs/GdkTypes.xs: explicit zero initialization for GdkGeometries

	* xs/GdkPixbuf.xs, xs/Gtk2.xs, xs/GtkEditable.xs: portability
	fixes for x86_64 systems.  mostly things like using GUINT_TO_POINTER
	instead of plain casts, using STRLEN instead of int, etc.

2004/01/10 12:44 (-0500) rwmcfa1

	* t/02.GtkContainer.t, t/GdkRegion.t, t/GtkAccelLabel.t,
	t/GtkAdjustment.t, t/GtkAlignment.t, t/GtkArrow.t, t/GtkAspectFrame.t,
	t/GtkBin.t, t/GtkBox.t, t/GtkButton.t, t/GtkButtonBox.t, t/GtkCalendar.t,
	t/GtkCheckButton.t, t/GtkCheckMenuItem.t, t/GtkDrawingArea.t,
	t/GtkEventBox.t, t/GtkFixed.t, t/GtkFrame.t, t/GtkHBox.t,
	t/GtkHButtonBox.t, t/GtkHPaned.t, t/GtkHRuler.t, t/GtkHScale.t,
	t/GtkHScrollbar.t, t/GtkHSeparator.t, t/GtkHandleBox.t,
	t/GtkImageMenuItem.t, t/GtkLayout.t, t/GtkMenuBar.t, t/GtkMenuItem.t,
	t/GtkMessageDialog.t, t/GtkMisc.t, t/GtkProgressBar.t,
	t/GtkRadioButton.t, t/GtkRadioMenuItem.t, t/GtkRange.t, t/GtkRuler.t,
	t/GtkScale.t, t/GtkScrolledWindow.t, t/GtkSeparatorMenuItem.t,
	t/GtkSizeGroup.t, t/GtkStatusBar.t, t/GtkStock.t, t/GtkTable.t,
	t/GtkTearoffMenuItem.t, t/GtkTextIter.t, t/GtkToggleButton.t,
	t/GtkTreeSelection.t, t/GtkVBox.t, t/GtkVButtonBox.t, t/GtkVPaned.t,
	t/GtkVRuler.t, t/GtkVScale.t, t/GtkVScrollbar.t, t/GtkVSeparator.t,
	t/GtkViewport.t: used noinit => 1 with TestHelper b/c these seem to
	be able to go about there business without init. and yes i know this is
	a huge commit log, but it's useful to be able to see which tests i did
	this to at a glance.

2004/01/10 12:26 (-0500) muppetman

	* t/GdkWindow.t: one more fix -- GdkScreen didn't exist on 2.0.x

	* maps: commentary.

2004/01/10 17:04 (+0100) kaffeetisch

	* t/GdkWindow.t
	* xs/GdkWindow.t: Don't initialize mask to 0, but *mask.  The mask
	creation should work correctly now.

2004/01/10 04:09 (-0500) muppetman

	* t/01.GtkWindow.t: correct the skip count for 2.0.x

	* t/GtkListStore.t: on RH8 with gtk+-2.0.6, i get a crash from pango
	xft when attempting to create the TreeView, complaining that there's
	no display.  later versions don't seem to require this; so, skip the
	remaining tests on 2.0.6 if gtk_init_check fails.

2004/01/10 07:15 (+0100) kaffeetisch

	* t/GtkItemFactory.t: Only test if the return value of
	get_widget_by_action is a Gtk2::Widget.

	* t/GdkWindow.t: Move the get_position call around a bit to make
	it pass.  Don't be too strict with get_toplevel.

2004/01/10 05:35 (+0100) kaffeetisch

	Merge from the test-suite-branch.

	* t/00.Gtk2.t: Test disable_setlocale, set_locale,
	get_default_language, main_iteration_do, key_snooper_install,
	key_snooper_remove, and quit_add_destroy.

	* t/01.GtkWindow.t: Test add_accel_group, remove_accel_group and
	Gtk2::WindowGroup::new, ::add_window, and ::remove_window.

	* MANIFEST
	R t/01.GtkWidget.t
	R t/02.GtkButton.t
	A t/02.GtkContainer.t
	R t/03.GtkGammaCurve.t
	R t/04.GtkSocket-GtkPlug.t
	R t/05.GtkListStore-etc.t
	R t/06.GtkLabel.t
	R t/07.GtkBoxes.t
	R t/08.GtkCombo.t
	R t/09.GtkRadioButton.t
	R t/10.GtkProgressBar.t
	R t/11.GtkStatusBar.t
	R t/12.GtkDialog.t
	R t/13.GtkTooltips.t
	R t/14.GtkToolbar.t
	R t/15.GtkHandleBox.t
	R t/16.GtkMenu-etc.t
	R t/17.GtkItemFactory.t
	R t/18.GtkNotebook.t
	R t/19.GtkSimpleList.t
	R t/20.GdkColor.t
	R t/21.GtkContainer.t
	R t/22.GtkListStore.t
	R t/23.GtkTreeStore.t
	R t/24.GtkTreeView.t
	R t/25.GtkTreeSelection.t
	R t/26.GtkSimpleMenu.t
	R t/27.GtkClipboard.t
	R t/30.GtkCellRenderer.t
	A t/GdkColor.t
	A t/GdkRegion.t
	A t/GdkWindow.t
	A t/GtkAccelGroup.t
	A t/GtkAccelLabel.t
	A t/GtkAccelMap.t
	A t/GtkAdjustment.t
	A t/GtkAlignment.t
	A t/GtkArrow.t
	A t/GtkAspectFrame.t
	A t/GtkBin.t
	A t/GtkBox.t
	A t/GtkButton.t
	A t/GtkButtonBox.t
	A t/GtkCalendar.t
	A t/GtkCellRenderer.t
	A t/GtkCheckButton.t
	A t/GtkCheckMenuItem.t
	A t/GtkClipboard.t
	A t/GtkColorSelection.t
	A t/GtkColorSelectionDialog.t
	A t/GtkCombo.t
	A t/GtkDialog.t
	A t/GtkDrawingArea.t
	A t/GtkEntry.t
	A t/GtkEventBox.t
	A t/GtkFileSelection.t
	A t/GtkFixed.t
	A t/GtkFontSelection.t
	A t/GtkFrame.t
	A t/GtkGammaCurve.t
	A t/GtkHBox.t
	A t/GtkHButtonBox.t
	A t/GtkHPaned.t
	A t/GtkHRuler.t
	A t/GtkHScale.t
	A t/GtkHScrollbar.t
	A t/GtkHSeparator.t
	A t/GtkHandleBox.t
	A t/GtkIconFactory.t
	A t/GtkImageMenuItem.t
	A t/GtkInputDialog.t
	A t/GtkInvisible.t
	A t/GtkItemFactory.t
	A t/GtkLabel.t
	A t/GtkLayout.t
	A t/GtkListStore.t
	A t/GtkMenu.t
	A t/GtkMenuBar.t
	A t/GtkMenuItem.t
	A t/GtkMenuShell.t
	A t/GtkMessageDialog.t
	A t/GtkMisc.t
	A t/GtkNotebook.t
	A t/GtkOptionMenu.t
	A t/GtkPaned.t
	A t/GtkProgressBar.t
	A t/GtkRadioButton.t
	A t/GtkRadioMenuItem.t
	A t/GtkRange.t
	A t/GtkRc.t
	A t/GtkRuler.t
	A t/GtkScale.t
	A t/GtkScrolledWindow.t
	A t/GtkSelection.t
	A t/GtkSeparatorMenuItem.t
	A t/GtkSimpleList.t
	A t/GtkSimpleMenu.t
	A t/GtkSizeGroup.t
	A t/GtkSocket-GtkPlug.t
	A t/GtkSpinButton.t
	A t/GtkStatusBar.t
	A t/GtkStock.t
	A t/GtkTable.t
	A t/GtkTearoffMenuItem.t
	A t/GtkTextIter.t
	A t/GtkToggleButton.t
	A t/GtkToolbar.t
	A t/GtkTooltips.t
	A t/GtkTreeSelection.t
	A t/GtkTreeStore.t
	A t/GtkTreeView.t
	A t/GtkVBox.t
	A t/GtkVButtonBox.t
	A t/GtkVPaned.t
	A t/GtkVRuler.t
	A t/GtkVScale.t
	A t/GtkVScrollbar.t
	A t/GtkVSeparator.t
	A t/GtkViewport.t
	A t/GtkWidget.t
	R t/accel-group-map.t
	R t/calendar.t
	R t/file-selection.t
	R t/paned.t
	R t/text-iter-searches.t
	R t/trivial-widgets.t: Rename, split, extend and/or create tests.
	The new policy and long running goal is to have a .t for every
	.xs.


2004/01/10 05:17 (+0100) kaffeetisch

	* xs/GtkMenu.xs
	* xs/GtkRadioButton.xs
	* xs/GtkRadioMenuItem.xs
	* xs/GtkToolbar.xs: Instead of checking for != &PL_sv_undef, use
	SvOK.

	* xs/GtkWidget.xs: Adjust the apidoc of style_get to make it clear
	that property values are returned.

	* xs/Gdk.xs
	* xs/GdkDnd.xs
	* xs/GdkEvent.xs
	* xs/GdkProperty.xs
	* xs/GdkRgb.xs
	* xs/GdkSelection.xs
	* xs/GdkTypes.xs
	* xs/GtkButton.xs
	* xs/GtkCalendar.xs
	* xs/GtkCellRenderer.xs
	* xs/GtkCheckButton.xs
	* xs/GtkCheckMenuItem.xs
	* xs/GtkCombo.xs
	* xs/GtkDialog.xs
	* xs/GtkFontSelection.xs
	* xs/GtkImageMenuItem.xs
	* xs/GtkListStore.xs
	* xs/GtkMenuItem.xs
	* xs/GtkPaned.xs
	* xs/GtkRadioMenuItem.xs
	* xs/GtkStyle.xs
	* xs/GtkTextBuffer.xs
	* xs/GtkToggleButton.xs
	* xs/GtkTreeStore.xs
	* xs/GtkWidget.xs
	* xs/PangoFont.xs
	* xs/PangoLayout.xs
	* xs/PangoTabs.xs: Rearrange ALIAS handling so that no unneeded
	xsubs are generated.

2004/01/10 02:54 (+0100) kaffeetisch

	* xs/Gtk2.xs: Implement get_default_language, main_iteration_do
	and, Gtk2::Widget::propagate_event.

2004/01/09 14:33 (-0500) rwmcfa1

	* AUTHORS, Gtk2.pm, README: mailing list addr correction

2004/01/09 06:19 (+0100) kaffeetisch

	* xs/GtkAccelGroup.xs: Don't unref the closure in connect_by_path.
	Make Gtk2::Accelerator::get_default_mod_mask return a
	GdkModifierType.  Add a class argument to
	Gtk2::Accelerator::valid.

	* xs/GtkSelection.xs: The flags member of GtkTargetEntry's is a
	GtkTargetFlags not an UV.  Move Gtk2::Selection::remove_all to the
	proper namespace.

	* xs/GtkWindow.xs: Move the window group methods into the proper
	namespace.

2004/01/08 18:55 (-0500) rwmcfa1

	* xs/GdkWindow.xs: fixed bug found in test branch where attribute_mask
	was filled with random garbage, should of been initialized in
	SvGdkWindowAttrReal.

2004/01/08 18:55 (-0500) rwmcfa1

	* pm/TestHelper.pm: added at_least_version paramter, very useful.

	* t/27.GtkClipboard.t: use ^, to skip unless clipboard will be around.

	* xs/Gtk2.xs: apidoc fix, version_info should of been get_version_info.

2004/01/09 00:47 (+0100) kaffeetisch

	* xs/GdkColor.xs: Add a class argument to Gtk2::Gdk::Colormap::new
	and implement ::get_visual and ::get_screen.

	* xs/GdkWindow.xs: Hush a compiler warning.

	* xs/GtkIconFactory.xs: Bind remove_default.  Provide a default
	value for the detail argument of set_render_icon.

	* Gtk2.pm
	* xs/GtkItemFactory.xs: Implement create_item and create_items in
	XS.  Implement delete_entry, delete_entries, popup_data,
	popup_data_from_widget, and set_translate_func.

	* xs/GtkRc.xs: Implement get_default_files.  Fix
	set_default_files.  Add a class argument to get_style and
	reparse_all_for_settings.  Remove add_widget_name_style,
	add_widget_class_style, and add_class_style since they're
	deprecated.  Comment out find_module_in_path.  Rearrange member
	handling of Gtk2::RcStyle's.  Turn [gs]et_font_desc into
	font_desc.

	* xs/GtkTooltips.xs: In data_get, check for NULL before converting
	struct members to SVs.  Slightly modify apidoc.

2004/01/07 16:01 (-0500) muppetman

	* xs/GdkTypes.xs: xsubpp doesn't like aliases with the same ix.
	use different numbers and switch fall-through instead.

2004/01/05 21:55 (-0500) rwmcfa1

	* examples/color_list.pl: initial import, an example of how to colorize
	rows of a simple list (in as simple a way as possible). also shows
	another use of custom col types for SimpleList.

2004/01/05 21:55 (-0500) muppetman

	* xs/GtkRc.xs: gperl_object_type_from_package takes a string, not
	a scalar.

2004/01/05 11:41 (-0500) rwmcfa1

	* xs/GdkWindow.xs: merged get_children and peek_children into one
	function that always uses peek children since we're copying the list
	anyway. also fixes decent bug where list was being freed from
	peek_children which would of likely caused big problems.

	* xs/GdkRegion.xs, xs/GdkWindow.xs, xs/GtkCellRenderer.xs,
	xs/GtkContainer.xs, xs/GtkTreeModel.xs, xs/GtkWidget.xs,
	xs/GtkWindow.xs: doc updates. some just made =for xxx, some fixed bad
	doc. just added new doc. complete according to doc_helper.pl at this
	point.

2004/01/04 21:41 (-0500) rwmcfa1

	* t/accel-group-map.t: test out newly implemented xsubs

	* xs/GtkAccelMap.xs: implemented some missing xsubs, foreach's and
	lookup_entry

	* xs/GtkRc.xs: implemented gtk_rc_get_style_by_paths

2004/01/04 19:11 (-0500) rwmcfa1

	* pm/SimpleList.pm, pm/SimpleMenu.pm: quit using base and just add the
	parent type to @ISA by hand. this will prevent some problems with
	co-existing (really old) inline versions of Gtk2-Perl.

2004/01/04 11:49 (-0500) rwmcfa1

	* xs/GdkWindow.xs: for some reason get_pointer was having issues with
	certian versions of perl/xsubpp. it seemed to be related to the both
	having a return value and having OUTLIST's. this implements it as a
	PPCODE section doing the same thing.

2004/01/04 02:50 (+0100) kaffeetisch

	* t/10.GtkProgressBar.t: Test get_orientation, get_fraction,
	[sg]et_text, and [sg]et_pulse_step.

	* t/14.GtkToolbar.t: Test get_orientation, unset_style, get_style,
	and get_tooltips.

	* xs/GtkInvisible.xs: Add a class parameter to new_for_screen.

2004/01/02 02:13 (+0100) kaffeetisch

	* t/16.GtkMenu-etc.t: Test [sg]et_accel_group, set_accel_path,
	[sg]et_title, [sg]et_tearoff_state, reposition, attach_to_widget,
	get_attach_widget, detach, set_screen, [sg]et_active, and popdown.

	* t/paned.t: Test add1, add2, and [sg]et_position.

	* xs/GtkLayout.xs: Provide defaults for the hadjustment and
	vadjustment arguments to new.

	* xs/GtkMenu.xs: Implement attach_to_widget.

	* xs/GtkMenuShell.xs: Implement select_first.

2003/12/31 20:47 (+0100) kaffeetisch

	* t/21.GtkContainer.t
	* xs/GtkContainer.xs: Implement and test add_with_properties,
	child_get, and child_set.

2003/12/31 02:16 (-0500) muppetman

	* xs/GdkPixbuf.xs, xs/GdkWindow.xs, xs/Gtk2.xs, xs/GtkStock.xs,
	xs/GtkWindow.xs: mark ax unused in functions which don't touch the
	input stack, to hush compiler warnings

	* xs/GtkMessageDialog.xs: add commentary describing a known warning.

2003/12/30 12:47 (-0500) muppetman

	* xs/GtkMessageDialog.xs: fix broken utf8 handling.  also now properly
	allows undef for the format specifier.

2003/12/30 11:49 (-0500) rwmcfa1

	* CodeGen.pm, pm/Helper.pm, pm/Pango.pm: version numbers added

2003/12/30 04:03 (+0100) kaffeetisch

	* t/11.GtkStatusbar.t: Test [sg]et_has_resize_grip and remove.

2003/12/29 20:05 (-0500) rwmcfa1

	* pm/TestHelper.pm: allow init_check to be skipped.

	* t/22.GtkListStore.t, t/23.GtkTreeStore.t: don't init_check with
	TestHelper.pm

2003/12/29 16:32 (-0500) rwmcfa1

	* t/ignore_keyboard.pl: deleted, functionality in TestHelper.pm

	* pm/TestHelper.pm: initial import

	* Makefile.PL: added pm/TestHelper.pm to list of pm_files

	* MANIFEST: added pm/TestHelper.pm and removed t/ignore_keyboard.pl

	* t/*: quit using ignore_keyboard.pl and use TestHelper.pm instead

2003/12/29 22:58 (+0100) kaffeetisch

	* t/15.GtkHandleBox.t
	* xs/GtkHandleBox.xs: Implement and test get_child_detached.

	* xs/GtkMessageDialog.xs: Don't use "../" for including gtk2perl.h
	and ppport.h.

2003/12/29 16:32 (-0500) rwmcfa1

	* perl-Gtk2.spec.in: use the new DATE replacement in conjunction with
	VERSION to create the changlog on the fly, which is better.

2003/12/29 06:19 (+0100) kaffeetisch

	* t/01.GtkWindow.t: Disable the begin_resize_drag and
	begin_move_drag tests.

2003/12/29 03:21 (+0100) kaffeetisch

	* t/01.GtkWindow.t
	* t/12.GtkDialog.t
	* t/21.GtkContainer.t: Add tests for the remaining functions.

	* xs/GtkColorSelectionDialog.xs
	* xs/GtkFileSelection.xs: Provide accessors for all struct fields.

	* xs/GtkWindow.xs: Use gchar_ornull in set_title.  Provide a
	default for the focus argument of set_focus and the mask argument
	of set_geometry_hints.  Add a class parameter to
	set_auto_startup_notification.

2003/12/28 06:32 (+0100) kaffeetisch

	* xs/GdkEvent.xs: Implement Gtk2::Gdk::Event::Expose::region.

	* xs/GdkGC.xs: Implement set_clip_region.

	* gtk2perl.h
	* maps
	* xs/GdkRegion.xs: Initial implementation.  Register a custom
	GBoxed GType for GdkRegion.

	* gdk.typemap
	* gtk2perl.h
	* xs/GdkTypes.xs: Extend the GdkGeometry handling.  In addition to
	the accessor based approach, geometries can now also be
	created/changed/accessed as hash references.  Change
	constrain_size to make the flags argument optional.

	* gdk.typemap
	* xs/GdkWindow.xs: Implement new, which required implementing
	GdkWindowAttr handling.  Implement set_user_data; one should still
	use object though.  Implement shape_combine_region,
	set_child_shapes, merge_child_shapes, set_static_gravities,
	is_visible, begin_paint_region, get_frame_extents, get_parent,
	get_children, peek_children, set_icon_list, set_icon,
	get_decorations, get_toplevels, invalidate_region,
	invalidate_maybe_recurse, get_update_area, and
	get_internal_paint_info.

	* xs/GdkWindow.xs
	* xs/GtkWindow.xs: Change set_geometry_hints so that the mask
	argument is optional.

2003/12/28 00:58 (+0100) kaffeetisch

	* xs/GtkContainer.xs: Implement propagate_expose.

	* xs/GtkFrame.xs: Use gchar_ornull instead of custom code to check
	for undef in new and set_label.

	* xs/GtkImageMenuItem.xs: In new_from_stock, provide a default for
	the accel_group argument so it can be omitted.

	* xs/GtkMenuItem.xs: Add two FIXME's.  Enable
	gtk_menu_item_set_accel_path -- it's a convenience wrapper around
	gtk_widget_set_accel_path.

	* xs/GtkRadioButton.xs
	* xs/GtkRadioMenuItem.xs: Check for NULL-ness before using SvOK.

2003/12/23 11:10 (-0500) rwmcfa1

	* examples/adding_stock_icons.pl: an example of adding your own stock
	id/icons.

2003/12/18 12:56 (-0500) rwmcfa1

	* xs/GtkWidget.xs: implementation of some functions that weren't before
	for various reasons.

	* t/01.GtkWidget.t: phase two of widget testing, will probably break for
	some, but that's the price we must pay for thorough testing. there's 46
	tests here, there will be well over 100 before it's done

	* t/accel-group-map.t: test out some of widget's stuff that we need
	accel stuff for.

2003/12/18 12:56 (-0500) muppetman

	* gtk2perl.h: previous change #undef'd the wrong symbols, resulted in
	"macro redefined" warnings all over the place.  bad muppet, no biscuit.

2003/12/18 00:15 (-0500) muppetman

	* gtk2perl.h, maps: in versions prior to 2.3.0, GtkTreeSearchFlags was
	declared such that glib-mkenums interpreted and registered it as a
	GEnum type.  sometime before 2.3.0, this was corrected, and the type
	is registered as a GFlags.  Correct the maps file to declare this as
	GFlags (since that's correct), and mangle things with macro tricks to
	get things to work correctly with older libraries.

	* t/00.Gtk2.t: immediately after init, events_pending returns 0 on
	2.0.x and 2.2.x, but insists on returning 1 on my system.  marked
	that test as TODO for >= 2.3.0 until we figure out what's up.

2003/12/17 22:49 (-0500) muppetman

	* xs/GtkLabel.xs: use _ornull on get_mnemonic_widget to avoid warnings
	on 2.0.x.  it's perplexing that this didn't generate warnings on 2.2.4.
	also flesh out get_attributes to allow proper NULL return.

	* t/05.GtkListStore-etc.t: clarifying commentary, reminding us to remove
	the special case if the workaround for $liststore->remove changes.

2003/12/17 21:54 (-0500) rwmcfa1

	* t/05.GtkListStore-etc.t: bad bugs fixed, skips were needed, and stuff
	like that.

2003/12/16 22:44 (-0500) rwmcfa1

	* xs/GdkTypes.xs, xs/GdkWindow.xs, xs/GtkHScrollbar.xs, xs/GtkPaned.xs,
	xs/GtkRc.xs, xs/GtkTreeModel.xs, xs/GtkVScrollbar.xs, xs/GtkWidget.xs,
	xs/GtkWindow.xs: warnings fixes.

2003/12/16 21:56 (-0500) rwmcfa1

	* t/06.GtkLabel.t, t/08.GtkCombo.t: more complete testing

	* t/05.GtkListStore-etc.t: added complete comment

	* t/accel-group-map.t: added a version check to the skip, since it will
	be fixed by 2.4.x

	* xs/GtkListItem.xs: added an alias for new_with_label

	* xs/GtkListStore.xs: added an alias for set_value

2003/12/16 04:36 (-0500) rwmcfa1

	* t/05.GtkListStore-etc.t: complete GtkListStore api testing.

2003/12/16 13:16 (-0500) rwmcfa1

	* Makefile.PL: use the new BLIB_MOD_EXISTS var in place of pure_all

2003/12/16 09:23 (-0500) rwmcfa1

	* Makefile.PL: \ should of been \\, caused a hang on perl with no
	script name.

2003/12/15 23:11 (-0500) rwmcfa1

	* xs/GtkList.xs: checks on non-null list should of been list_items,
	minor bug, but a bug nontheless.

2003/12/15 20:44 (-0500) rwmcfa1

	* Makefile.PL: added pure_all as a dep on a few things

2003/12/15 13:44 (-0500) muppetman

	* t/22.GtkListStore.t, t/23.GtkTreeStore.t: on GTK+ 2.0.x, gtk_main()
	and friends appear to assume that gtk_init() has been called.  a plain
	GMainLoop would not do this, but these tests actually have no need for
	the main loop + idle hack in the first place.  also correct the skip
	count.

2003/12/15 13:25 (-0500) muppetman

	* xs/GtkTreeModel.xs, AUTHORS: patch from Roderich Schupp implements
	a custom marshaler for the rows-reordered signal.  applied with small
	changes.

	* xs/GtkTreeModel.xs: implement the old FIXMEd rows_reordered method.

	* xs/GtkTreeStore.xs: off-by-one error in reorder().  changed loop
	logic to be a little clearer at the expense of an extra iterator var.

	* t/22.GtkListStore.t, t/23.GtkTreeStore.t: add code to test the
	rows-reordered signal and rows_reordered method.  also removed the
	init_check guards on these two, because they don't need a display
	to run their tests.

2003/12/14 17:16 (-0500) muppetman

	* t/paned.t: wait for size-allocate instead of using timeouts... still
	trying to get this test to be robust.

2003/12/14 20:12 (+0100) kaffeetisch

	* xs/GtkTreeModel.xs: Fix a slight glitch in the API doc of
	gtk_tree_model_get.

2003/12/12 11:39 (-0500) muppetman

	* xs/GtkWidget.xs: alias values in get_flags got changed, but the
	switches on ix were not updated, leading to bugs whenever apps tried
	to read or write flag values.  fixed.  renamed get_flags to
	flags_handler (it's hidden from API docs), and created a new xsub
	named flags (aliased to get_flags) as a binding for GTK_WIDGET_FLAGS.

	A t/01.GtkWidget.t
	* MANIFEST: new test, an attempt to catch future flags regressions.

2003/12/11 18:01 (-0500) rwmcfa1

	* tools/podifystockitems.pl: was doing Gtk2 '-init' no reason to and it
	caused build (of doc) to fail when no display is set.

2003/12/11 16:53 (-0500) muppetman

	* t/27.GtkClipboard.t, t/30.GtkCellRenderer.t, t/text-iter-searches.t:
	these didn't skip all tests when there is no display, making builds
	fail on headless build servers.  it would be nice to wrap up some of
	this testing boilerplate a bit more.

2003/12/08 13:47 (-0500) rwmcfa1

	* t/paned.t: use strict and use warnings

	* xs/GtkLabel.xs, xs/GtkSizeGroup.xs, xs/GtkStock.xs: apidoc, added
	enum(s)

2003/12/08 11:14 (-0500) muppetman

	* pm/SimpleList.pm: call signature comments to make maintenance easier.

	* t/paned.t: give effect to statement with no effect

2003/12/08 02:39 (-0500) muppetman

	* xs/GtkWidget.xs: implement gtk_widget_style_get for >= 2.2.0

	* t/paned.t: more robust testing

2003/12/07 22:34 (-0500) rwmcfa1

	* t/trivial-widgets.t: initial import

 	* MANIFEST: added t/trivial-widgets.t, and xs/GtkAccelMap.xs

 	* xs/GtkArrow.xs: doc the GtkArrowtype and GtkShadowType enums in pod

	* xs/GtkDnd.xs, xs/GtkTreeStore.xs, xs/GtkTreeView.xs: removed a xxx1
	param

2003/12/07 21:44 (-0500) muppetman

	* xs/GtkPaned.xs: turn the child[12]_(resize|shrink) accessors into
	mutators, with doc; rearrange the xsubs to make more sense, and adapt
	the docs from the C api reference for the description section.

	A t/paned.t
	* MANIFEST: new test

2003/12/07 16:19 (-0500) rwmcfa1

 	* xs/GtkCalendar.xs, xs/GtkTextIter.xs, xs/GtkTreeModel.xs,
	xs/GtkWidget.xs, xs/PangoTabs.xs: apidoc added/fixed.

2003/12/07 16:19 (-0500) rwmcfa1

	* pm/SimpleList.pm: DELETE fixed, SPLICE implemented for simplelist.

	* t/19.SimpleList.t: test all of the splice stuff

	* examples/simplelist.pl: (muppet) test the new splice stuff

2003/12/06 01:30 (-0500) rwmcfa1

 	* xs/GtkAccelGroup.xs: Gtk2-> functions moved under Gtk2::AccellGroups
	which seems to make more sense.

 	* xs/GtkAccelMap.xs: intial import, 3/4 complete.

 	* t/accel-group-map.t: test out the new AccelMap stuff, in conjunction
 	with AccelGroup.

	* xs_files-2.0: added xs/GtkAccelMap.xs

2003/12/05 13:42 (-0500) muppetman

	D Changes: we haven't maintained this since May, we use ChangeLog.

	D fetch_faq.pl
	D genkeysyms.pl
	D genmaps.pl
	D podifystockitems.pl
	A tools/fetch_faq.pl
	A tools/genkeysyms.pl
	A tools/genmaps.pl
	A tools/podifystockitems.pl
	move the not-to-be-installed helper scripts to a subdirectory to
	reduce clutter.

	A tools/podifyenums.pl
	* Makefile.PL: add tool and use it to generate a single pod file
	listing the values of all the enum and flags types listed in the
	maps file, installed as Gtk2::enums(3pm).

	* MANIFEST: updated to reflect all that movement.

2003/12/05 12:53 (-0500) rwmcfa1

	* t/accel-group-map.t: updated and more complete

	* xs/GtkAccelGroup.xs: added a synopsis mainly showing that
	Gtk2::Window::add_accel_group is normally used. moved activate and
	groups_from_object to the Gtk2 namespace and added class params for
	them.

2003/12/05 07:49 (-0500) rwmcfa1

	* t/accel-group-map.t: initial import of accel group and accel map test
	accel has some issues, way more to come, and resolution of those as
	well.

2003/12/04 23:23 (-0500) rwmcfa1

	* t/calendar.t: initial import

2003/12/04 21:35 (-0500) muppetman

	* Gtk2.pm: bump version to 1.030 for next unstable devel series.
	sync authors section with the AUTHORS file.

	* AUTHORS: remove circular file reference and point readers to the
	LICENSE file rather than including more boilerplate than content.

2003/12/04 13:10 (-0500) rwmcfa1

	* Makefile.PL: moved the --disable-apidoc thing to MakeHelper.pm, that
	way everyone can use it.

2003/12/04 09:44 (-0500) rwmcfa1

	* fetch_faq.pl, MANIFEST: initial import for fetch_faq.pl, needs
	testing

	* Makefile.PL: --enable-faq and --disable-apidoc added and worked out

2003/12/04 00:51 (-0500) rwmcfa1

	* : Merge of rel-1-02 doc and fixes back. (following 3 apply)

	* xs/(bunch).xs: ... (list) comments corrected

	* xs/GtkTreeDnd.xs: ^ and fixed bug in api of
	gtk_tree_drag_source_drag_data_get, selection_data is an out param.

	* xs/(bunch).xs: s/=(arg|signature)/=for $1/

2003/12/02 13:58 (-0500) rwmcfa1

	* : Merge of rel-1-02 doc and fixes back. (following 2 apply)

	* xs/GdkEvent.xs, xs/GdkPixmap.xs, xs/GtkObject.xs: doc

	* xs/GdkDnd.xs xs/GdkProperty.xs, xs/GtkClipboard.xs, xs/GtkDnd.xs,
	xs/GtkListStore.xs, xs/GtkSelection.xs, xs/GtkTextBuffer.xs,
	xs/GtkTreeDnd.xs, xs/GtkTreeStore.xs, xs/GtkTreeView.xs,
	xs/GtkTreeViewColumn.xs: api doc additions.

2003/11/29 16:51 (-0500) muppetman

	* t/ignore_keyboard.pl: merge test helper script from head
	* Gtk2.pm, README: bump to 1.013
	* Makefile.PL: require Glib 1.013

2003/11/29 12:21 (-0500) muppetman

	* xs/GtkMessageDialog.xs: gtk_message_dialog_new uses printf-like
	semantics and does not offer a safe literal version.  pass the message
	through "%s" to be safe, and allow Gtk2::MessageDialog->new to take
	printf-like arguments to be nice.

2003/11/29 12:14 (-0500) rwmcfa1

	* MANIFEST: missing files added

	* t/ignore_keyboard.pl: initial import

	* t/*.t: use the new ignore_keyboard.pl stuff so that tests won't fail
	if you accidentally type while they're going on.

2003/11/29 11:23 (-0500) muppetman

	* MANIFEST
	A examples/inline-images.pl: new example

	* xs/GdkPixbuf.xs: lots of pod for various hard-to-use functions.
	removed unnecessary length() parameter from new_from_inline(), which
	will break any code that was using it, but it's really hard to use
	as it is so i can't imagine anyone's using it.  if you are, i
	apologize.

2003/11/28 21:57 (-0500) muppetman

	* xs/GtkRc.xs: SV * class isn't needed

2003/11/28 14:54 (-0500) rwmcfa1

	* Makefile.PL: DOC_PL_DEPENDS -> POD_DEPENDS

2003/11/28 12:44 (-0500) rwmcfa1

	* Gtk2.pm: fixed bug in cleanpath code, spotty by kaffee

	* Makefile.PL: when running podifystockitems.pl include blib path for
	Gtk2, it may not be installed yet.

	* xs/Gdk.xs: doc ^ and gdk_threads -> gdk_threads_init

	* xs/GdkColor.xs, xs/GdkDnd.xs, xs/GdkDrawable.xs, xs/GdkGC.xs,
	xs/GdkProperty.xs, xs/GdkSelection.xs, xs/GtkColorSelection.xs,
	xs/GtkCombo.xs, xs/GtkContainer.xs, xs/GtkCurve.xs,
	xs/GtkFontSelection.xs, xs/GtkList.xs, xs/GtkListStore.xs,
	xs/GtkPaned.xs, xs/GtkRc.xs, xs/GtkSelection.xs, xs/GtkStock.xs,
	xs/GtkStyle.xs, xs/GtkTreeStore.xs, xs/GtkWidget.xs, xs/PangoFont.xs,
	xs/PangoLayout.xs, xs/PangoTabs.xs: doc updates, including ALIAS'es
	starting at 0 where appropriate.

2003/11/25 11:46 (-0500) rwmcfa1

	* podifystockitems.pl: initial import

	* Gtk2.pm, xs/GtkButton.xs, xs/GtkWidget.xs, xs/GtkWindow.xs: link
	corrections

	* Makefile.PL: use new DOC_PL_DEPENDS var, added rule for building
	stock_items.podi

	* xs/Gtk2.xs: cause Gtk2::Separator and Gtk2::Scrollbar to have pages

	* xs/GtkStock.xs: use new include system to put list of stock items in
	pod

2003/11/24 11:27 (-0500) rwmcfa1

	* xs/GtkCombo.xs, xs/GtkTextBuffer.xs, xs/GtkTextIter.xs,
	xs/GtkTreeViewColumn.xs, xs/GtkWidget.xs, xs/GtkWindow.xs: doc updates

2003/11/24 11:27 (-0500) muppetman

	* MANIFEST: added GdkKeys.xs

	* xs/GtkDialog.xs: nearly doubled the size of the file with api
	documentation, mostly copied or adapted from the C api reference.
	re-ordered some of the xsubs to make more sense in the doc, but
	changed no code.

	* xs/GtkWidget.xs: added some 2.2.x methods that got omitted by
	accident: get_root_window, get_screen, and has_screen.

2003/11/23 20:01 (-0500) rwmcfa1

	* xs/GdkKeys.xs: initial import, implements Gtk2::Gdk::Keymap and
	Gtk2::Gdk::Keyval functions. some need Gtk2::Gdk::KeymapKey typemap.

	* xs_files-2.0: added ^

2003/11/21 10:43 (-0500) muppetman

	* xs/GtkWindow.xs: add some enums to Gtk2::Window's doc.

2003/11/21 02:16 (-0500) muppetman

	* Gtk2.pm, README, Makefile.PL: update requirements to Glib 1.012,
	and bump version for 1.012 beta release.

	* xs/GtkIconFactory.xs, xs/GtkIconFactory.xs, xs/GtkSelection.xs,
	xs/GtkTextIter.xs, xs/GtkTextTag.xs, xs/GtkTreeModel.xs,
	xs/PangoTabs.xs: remove copy methods in favor of Glib::Boxed::copy.

2003/11/21 01:09 (-0500) muppetman

	* CodeGen.pm, gtk2perl.h, xs/GdkGC.xs, xs/GdkPixbuf.xs,
	xs/GtkCellRenderer.xs, xs/GtkItemFactory.xs, xs/GtkNotebook.xs,
	xs/GtkSelection.xs, xs/GtkTooltips.xs, xs/GtkTreeSortable.xs:
	use SvOK() as a lighter test for definedness than SvTRUE().
	generally just try to make these tests cheaper.

	* xs/GtkTreeModel.xs: rearrange iter_next() to avoid leaking the
	iter copy when there is no next node.

2003/11/20 19:43 (-0500) rwmcfa1

	* Makefile.PL: some of it, V should be in there even on win32.

	* xs/GtkItemFactory.xs: ..._factory_new, allow accel_group to default,
	Torsten Schoenfeld

	* Gtk2.pm: patch applied to improve the cleanpath stuff.

2003/11/19 14:14 (-0500) muppetman

	* Makefile.PL: don't do the install stuff on win32, it b0rks things.

	* Gtk2.exports: newSVGdkModifierType isn't a function anymore.

	* xs/GtkEditable.xs, xs/GtkMenu.xs: apparently cl.exe (MSVC's compiler)
	doesn't like the version of dSP used in PERL_IMPLICIT_CONTEXT to occur
	after code has started; move dGPERL_CLOSURE_MARSHAL_ARGS to the end of
	the variable declarations block to make it happy.  (the last statement
	in that macro is dSP.)  continue to loathe msvc.

2003/11/19 11:14 (-0500) muppetman

	* xs/GtkRc.xs: finally committing stuff i did for GtkRcStyle a looong
	time ago.  accessors and mutators for various members of GtkRcStyle,
	and some methods that were commented out in GtkRc.xs.  not commonly
	needed, but handy in rare situations.

2003/11/19 09:10 (-0500) rwmcfa1

	* t/22.GtkListStore.t: there was a skip unless 2.2.x in which the iter
	was converted to a string, that iter is no longer the inc'd one and thus
	was 0 instead of 1. follow up to last commit.

2003/11/18 17:21 (-0500) muppetman

	* t/file-selection.t: new test

	* t/22.GtkListStore.t: fix GtkListStore test to expect new iter->next
	semantics.

	* xs/GtkFileSelection.xs: gtk_file_selection_get_filename returns a
	statically allocated string -- use GPerlFilename_const instead of
	GPerlFilename_own to avoid core dumps.

	* xs/GtkIconFactory.xs: use GPerlFilename_const to hush compiler
	warnings.

2003/11/18 09:42 (-0500) rwmcfa1

	* xs/GtkTreeModel.xs: $model->iter_next fixed, we needed to make a copy
	of the iter, otherwise we were modifying the passed one (which isn't
	very perly) and then returning it.

2003/11/18 01:16 (-0500) muppetman

	* xs/GtkEntry.xs, xs/GtkTextIter.xs, xs/PangoLayout.xs: now that we
	have typemaps for gunichar, implement things that were waiting on it.

	* xs/PangoLayout.xs: convert a few things to use gchar_length and
	length(); don't make pango call strlen() when perl already knows the
	text's length!

	* t/text-iter-searches.t: new test for the GtkTextIter search tools.
	this one isn't numbered because it just needs to run after all of
	the numbered tests.

2003/11/17 23:21 (-0500) rwmcfa1

	* xs/GdkDisplayManager.xs, xs/GdkDnd.xs, xs/GdkPixmap.xs,
	xs/GdkProperty.xs, xs/GdkScreen.xs, xs/GdkTypes.xs, xs/GdkWindow.xs,
	xs/Gtk2.xs, xs/GtkAccelGroup.xs, xs/GtkCellRenderer.xs,
	xs/GtkColorSelection.xs, xs/GtkCurve.xs, xs/GtkEditable.xs,
	xs/GtkFileSelection.xs, xs/GtkIconFactory.xs, xs/GtkLabel.xs,
	xs/GtkRadioMenuItem.xs, xs/GtkSelection.xs, xs/GtkStock.xs,
	xs/GtkTextBuffer.xs, xs/GtkTreeModel.xs, xs/GtkTreeSortable.xs,
	xs/GtkTreeViewColumn.xs, xs/PangoLayout.xs, xs/PangoTabs.xs: apidoc
	added, almost all PPCODE xsubs now have it

	* xs/GtkTreeDnd.xs: gtk_tree_get_row_drag_data had the outlist params
	in the prototype. apidoc added, almost all PPCODE xsubs now have it

	* xs/GtkContainer.xs: PPCODE -> CODE, return was always void. apidoc
	added, almost all PPCODE xsubs now have it

	* xs/GdkSelection.xs: added a class parameter to
	gdk_selection_property_get. apidoc added, almost all PPCODE xsubs now
	have it

2003/11/17 16:27 (-0500) muppetman

	* xs/GdkPixbuf.xs: i borked the get_from_(drawable|image) xsubs...
	this fixes them, and adds docs.

2003/11/17 22:04 (+0100) kaffeetisch

	* CodeGen.pm: Create INPUT typemaps for the 'const' equivalents of
	GBoxed's, too.

2003/11/17 12:51 (-0500) muppetman

	* TODO: updated

	* xs/Gtk2.xs: added key snoopers and docs for Gtk2->init.

	* xs/GdkPixbuf.xs: more missing methods, get_from_drawable and
	get_from_image.  looks like these were missing because of bugs
	in genfirstpass a long time ago.

	* xs/GdkDrawable.xs: wrong PREFIX resulted in wrong method name for
	gdk_drawable_get_image().  bug report from dosmodi gergely.

2003/11/17 07:10 (-0500) rwmcfa1

	* Makefile.PL: xs_files-2.3 shouldn't be involved outside of the 2.3
	branch. problem found by Bjarne Steinsb??

2003/11/16 21:36 (-0500) rwmcfa1

	* ChangeLog, xs/GdkDisplay.xs, xs/GdkPixbuf.xs, xs/GtkImage.xs,
	xs/GtkRadioButton.xs, xs/GtkTextIter.xs, xs/GtkTooltips.xs,
	xs/GtkTreeView.xs, xs/GtkWidget.xs, xs/GtkWindow.xs, xs/PangoFont.xs:
	apidoc updates

2003/11/16 20:32 (-0500) muppetman

	* xs/GtkMenu.xs: use the new GPerlCallback helper macros in
	gperl_marshal.h

2003/11/16 02:44 (-0500) muppetman

	* xs/GtkCellRenderer.xs, xs/GtkEditable.xs, xs/GtkMenu.xs:
	clean up the stack properly after call_sv to stop internal bleeding.

2003/11/13 23:41 (-0500) muppetman

	* Gtk2.pm, Makefile.PL, README: bump version to 1.011

2003/11/14 04:06 pcg

	* xs/GdkTypes.xs: fix constrain_size name.

2003/11/13 21:26 (-0500) muppetman

	* xs/GdkWindow.xs, xs/GtkWidget.xs: genfirstpass appears to have
	skipped shape_combine_mask all those months ago.  implemented it in
	both GdkWindow and GtkWidget because i like cool shaped windows.

2003/11/13 13:25 (-0500) muppetman

	* gdk.typemap: hush compiler warning 'incompatible type for arg 1 of
	Perl_croak_nocontext' -- croak() is by default croak_nocontext, which
	does not get aTHX_ passed to it.

	* xs/GdkTypes.xs: typo in constrain_size -- no such function as
	mewSViv, although the name is nice.  :)
	add pod for the rectangle mutators, so their signatures make sense
	in the docs.

2003/11/12 18:28 pcg

	* gdk.typemap, xs/GdkTypes.xs: implement Gtk2::Gdk::Geometry.
        * xs/GdkWindow.xs, xs/GtkWindow.xs: use it and move
        gdk_window_constraing_size to GdkTypes.xs.

2003/11/12 16:05 pcg

	* xs/GdkTypes.xs: change acessor methods to mutators for
        Gtk2::Gdk:Rectangle.

2003/11/11 23:00 (-0500) muppetman

	* xs/PangoFont.xs: put the docs for the constants into the
	Gtk2::Pango::FontDescription package, so that the doc generation
	stuff doesn't overwrite the docs from Pango.pm.

2003/11/12 01:57 pcg

        * xs/GdkPixbuf.xs, xs/GtkWindow.xs, xs/GtkImage.xs, xs/GtkRc.xs,
        xs/GtkIconFactory.xs, xs/GdkPixmap.xs: use GPerlFilename and
        gperl_filename_from_sv on behalf of the user, so filenames work
        the same as in other parts of gtk/glib (and sometimes unlike perl,
        but it's the only way to load locale-encoded files).
        * xs/GtkFileSelection.xs: convert to use new typemap entries.

2003/11/11 00:36 (-0500) muppetman

	* MANIFEST, debian/*: remove the debian packaging files, since having
	them in the upstream dist makes it difficult for the maintainers

	* xs/GtkEditable.xs: use casts to hush the compiler's indignant warnings
	about our flagrant disregard for the const-ness of param_values

	* xs/PangoContext.xs: remove a couple of functions that are only enabled
	when building pango backends

2003/11/10 15:00 (-0500) muppetman

	* xs/GtkWidget.xs: bind gtk_widget_event().

	* examples/rulers.pl, MANIFEST: add a ported version of the rulers
	example from the gtk-perl tutorial, using gtk_widget_event() to
	propagate the motion notify events to the rulers.  this was previously
	not possible.

2003/11/10 13:35 (-0500) muppetman

	* xs/GtkDialog.xs, xs/GtkEditable.xs: use the new macros in the new
	gperl_marshal.h to implement custom signal marshallers.

	* examples/insert-text-test.pl: additional marshaller smoke test

2003/11/10 09:12 (-0500) rwmcfa1

	* xs/GtkTreeSelection.xs: missing ; on the end of function call caused
	syntax error, with somewhat odd message, resolved.

2003/11/10 01:44 (-0500) muppetman

	* api.pod, xs/GdkColor.xs, xs/GdkPixbuf.xs, xs/GtkStyle.xs,
	xs/GtkWidget.xs, xs/GtkTreeSelection.xs: move descriptions of
	changed call signatures or semantics from api.pod to apidoc pod
	in the actual xs files.  this isn't all of it, but almost.

	* xs/GtkTreeSelection.xs: shuffle the code for get_selected_rows
	and count_selected_rows to avoid them showing up twice in the pod.

	* xs/GtkTreeModel.xs, xs/GtkTreeView.xs: use the C name in the
	=for enums line --- let GenPod figure out the perl name.

2003/11/09 23:48 (-0500) muppetman

	* xs/GtkTreeModel.xs: get_value and get were implemented separately,
	for no good reason; get_value is now an alias for get.  added apidoc
	pods to document the stuff that isn't obvious or is different from
	the C api.

	* xs/GtkTreeView.xs: switch widget_to_tree_coords and
	tree_to_widget_coords to use OUTLIST to save code and avoid the need
	to add a =for signature line.  add apidoc pod for other stuff.

	* api.pod: removed stuff from the specifics section that is now
	documented directly in the apidoc pods.

2003/11/10 01:51 pcg

	* api.pod: Document new operation on GFlags.

2003/11/08 01:20 (-0500) muppetman

	* examples/cellrenderer_date.pl, examples/cellrenderer_popup.pl,
	examples/cellrenderer_spinbutton.pl, examples/histogramplot.pl:
	update to use new fangled flags operators

	* xs/GtkDialog.xs: fix the same sorts of bugs in the dialog::response
	marshaller as we found earlier this week in Glib/GClosure.xs.

	A examples/insert-text-test.pl
	* xs/GtkEditable.xs: fix the Gtk2::Editable::insert-text signal.
	allows you to modify the arguments or return values on the stack,
	by the TIMTOWTDI principle.  new example code modifies @_.

2003/11/07 21:09 pcg

	* gtk2perl.h: removed newSVGdkModifierType hack.

2003/11/07 16:49 pcg

	* xs/GdkWindow.xs: implement gdk_window_set_debug_updates.
        * MANIFEST: Add xs_files*.

2003/11/07 11:53 (+0100) kaffeetisch

	* xs/GtkClipboard.xs: Two other places where PERL_UNUSED_VAR was called
	before variables are declared.  Fix necessary to make it compile on
	FreeBSD.

2003/11/06 16:53 (-0500) muppetman

	* Gtk2.pm: link to the generated pods.

2003/11/06 10:30 (-0500) muppetman

	* xs/Gtk2.xs: handle logs for GdkPixbuf, too.

2003/11/06 13:48 kaffeetisch

	* xs/GtkItemFactory.xs: Call dSP before PERL_UNUSED_VAR to make it
	compile on FreeBSD.

2003/11/03 14:05 muppetman

	* xs/GdkEvent.xs: GenPod uses instance arg names now, so we can
	remove all the ugly signature overrides.

2003/11/03 18:37 pcg

	* Makefile.PL: avoid "package MY" for easier access to variables.
	* MANIFEST: ScrollBar => Scrollbar.
        * api.pod: Document Scorll[bB] change.

2003/11/03 12:18 muppetman

	* Makefile.PL: @lists needs to be our, not my.  updated some comments.

	* t/00.Gtk2.t: scalar versus list context bug in version info test

	* AUTHORS: added bjarne to the contributors list

2003/11/03 16:24 pcg

	* xs/GtkWidget.xs: Implement a bunch of minor methods, some of them
        even tested.

2003/11/03 12:45 muppetman

	A xs_files-2.0: new file listing source files for gtk+-2.0.x
	A xs_files-2.2: new file listing source files for gtk+-2.2.x
	* CodeGen.pm, Makefile.PL: modify build to use explicit lists of
	source code files based on the discovered gtk+ version, rather
	than just globbing all the files the xs dir.

	D xs/GtkHScrollBar.xs
	A xs/GtkHScrollbar.xs
	D xs/GtkVScrollBar.xs
	A xs/GtkVScrollbar.xs
	long ago, in the early days of gtk2-perl-xs, these files were
	created with the wrong capitalization of the file and package
	names; register.xsh registers Gtk2::[VH]Scrollbar, but the
	files implement Gtk2::[VH]ScrollBar.  since this is wrong, i have
	corrected it by changing the package names and renaming the files,
	but in order to retain compatibility with Gtk2-1.00, the old
	Gtk2::[VH]ScrollBar::new()s are aliased to the new ones.

2003/11/02 23:26 pcg

        * xs/GdkPixbuf.xs, api.pod: Implement and document
        gdk_pixbuf_render_pixmap_and_mask* functions.

2003/11/02 13:24 pcg

	* api.pod: Document Scrollbar vs. ScrollBar inconsistency.

2003/11/02 16:17 muppetman

	* Gtk2.pm: undo my silly "atleast" version checks, and so something
	more like what Exporter would do.  we don't use Exporter directly
	because we're not an exporter, and we still need to watch for -init.

	* Makefile.PL: Glib doesn't use the "atleast" check anymore, either.

2003/11/02 02:12 muppetman

	* xs/GtkButton.xs: after fixing the GenPod bug, it became apparent
	that button's doc needed to hide label on new_with_mnemonic, too.
	while i was at it, fleshed out the description of mnemonics to make
	more sense to people who've never heard of them.

2003/11/01 14:52 rwmcfa1

	* xs/Button.xs: autopod doc added

2003/10/30 22:10 rwmcfa1

	* t/30.GtkCellRenderer.t: this test seems kinda flaky, it was counting
	that 24 callbacks happened, but often that number seems inconsistent.
	slight modifications made so that we now check that at least one, edit,
	render, size, and init happen. activate doesn't seem to ever occur.

2003/10/29 12:40 muppetman

	fixing a few things while tracking down bugs reported by
	Bjarne Steinsb??:

	* xs/GtkCellRenderer.xs, xs/GtkStyle.xs: all of the gtk_paint_foo()
	functions ask for GdkWindows, but actually work on GdkDrawables.
	according to http://bugzilla.gnome.org/show_bug.cgi?id=102678 ,
	the same is true for gtk_cell_renderer_render(), and has been fixed
	in gtk+ 2.3.0.  so, we use GdkDrawable instead of GdkWindow in all
	of those places.

	* examples/cellrenderer_popup.pl: if the treeview is reorderable,
	the popup and editing interaction is broken, resulting in the treeview
	thinking we're still dragging the row.  fix that by using a dummy
	GtkCellEditable.

	* xs/GtkEntry.xs: GtkEntry also implements GtkCellEditable.
	use gperl_prepend_isa() instead of custom AV-handling code.

2003/10/29 09:36 rwmcfa1

	* xs/GtkWidget.xs: improved error messages in get/set_flags. croak when
	trying to set a read only flag.

2003/10/29 02:00 muppetman

	* Gtk2.pm: add a version check to Gtk2's import

	* Makefile.PL: use Glib's new 'atleast' version check

2003/10/28 23:21 muppetman

	* Makefile.PL: use the new semantics for Glib::MakeHelper methods.
	never just 'use' a non-standard dependency module, place those
	use lines in the eval'd string.  otherwise, the Makefile.PL won't
	pass the compile phase, and CPAN won't pick up dependencies
	properly.

2003/10/28 16:47 rwmcfa1

	* Gtk2/MANIFEST: missing files added

	* Gtk2/Makefile.PL: updates to new system, MakeHelper. use strict and
	use warnings safe now

	* Gtk2/xs/Gtk2.xs: put things in an appropriate doc object

2003/10/27 19:38 muppetman

	* Makefile.PL: documentation generation experimentation

	* xs/GdkEvent.xs: apidoc pod bundles all of the event subtypes into
	GdkEvent's docs; which creates another problem, namely, they all have
	the same instance name in their call signatures.  so, add =signature
	pods to give them better names.  implemented a few of the more
	esoteric members, too.

	* xs/GtkCellRenderer.xs: document CellRendererState and
	CellRendererMode with CellRenderer.

2003/10/27 14:34 muppetman

	* xs/GtkCellRenderer.xs: merged the cellrenderer subclassing stuff,
	with lots of new-style experimental documentation.

	* t/30.GtkCellRenderer.t: new test

	* examples/cellrenderer_date.pl, examples/cellrenderer_popup.pl,
	examples/cellrenderer_spinbutton.pl: new examples

2003/10/22 13:31 muppetman

	stuff found while writing a documentation generator...

	* xs/GtkListStore.xs: stray semicolon
	* xs/GdkScreen.xs: arg list had an output parameter in it

2003/10/19 18:55 rwmcfa1

	* xs/GdkPixbuf.xs: two missing semicolons added, in 2.2 section so
	wasn't caught compling on < 2.2.

2003/10/19 00:41 muppetman

	* examples/simplelist.pl, examples/scribble.pl,
	examples/histogramplot.pl: commentary cleanup and such

2003/10/18 02:41 muppetman

	* Gtk2.pm: bump version for devel series.
	* Makefile.PL: require Glib 1.01 (to pick up a new typemap)

	Made a pass through the source killing FIXMEs.
	* TODO: updated.
	* gtk.typemap, xs/GtkColorSelection.xs, xs/GtkTreeView.xs,
	xs/GtkTreeViewColumn.xs: cleaned up
	* xs/Gdk.xs, xs/GtkTextBuffer.xs, xs/GtkTextTag.xs: use the new
	gchar_ornull typemap to clean things up
	* xs/GdkGC.xs: implemented GdkGCValues stuff, mostly by porting
	Gtk-Perl code.
	* xs/GdkPixbuf.xs, api.pod: implemented the animation iter and
	pixbuf formats stuff, finally.
	* xs/GtkStyle.xs: painstakingly traced through the source of
	gtkstyle.c to see where NULL is and isn't allowed, and updated all
	the paint_foo functions accordingly.
	* xs/GtkTextIter.xs: implemented get_marks, get_toggled_tags,
	get_attributes, and get_language
	* xs/GtkWidget.xs: implement get_child_requisition.  apparently this
	isn't equivalent to get_size_request after all; some widget
	implementations need this (e.g., placing popups by hand).
	* xs/PangoContext.xs: don't know why these weren't implemented.

2003/10/12 13:42 rwmcfa1

	* xs/(most).xs: UNUSED is no more, PERL_UNUSED_VAR used where
	needed, relies on new ParseXS to prevent the other warnings that were
	its fault, we now only quite the ones that are ours

	* Gtk2/xs/GtkObject.xs: fixed problem where g_object_unref was being
	called on the wrong thing. there was both a SV * class and GtkObject
	class, no longer the case

======== 1.0

2003/10/10 00:13 muppetman

	* Gtk2.pm, README, META.yml, debian/changelog: 1.00

2003/10/03 16:13 muppetman

	* Gtk2.pm, README, META.yml, debian/changelog: 1.00rc4

2003/10/03 15:19 muppetman

	* xs/GdkPixbuf.xs, api.pod: implemented new_from_data.  it doesn't take
	a destroy notify function, as that's automatic.

2003/10/03 13:27 muppetman

	* xs/GdkEvent.xs: some of the event functions return new events that
	are owned by the calling code.  use _own and _own_ornull variants as
	necessary to prevent memory leaks.

2003/10/03 13:19 muppetman

	* pm/SimpleList.pm, t/19.GtkSimpleList.t: argument checks in the new
	and new_from_treeview constructors.  new_from_treeview no longer
	allows you to pass undef for the treeview, new creates one.

2003/10/01 11:20 rwmcfa1

	* Glib/GBoxed.xs, Glib/GLog.xs, Glib/GObject.xs, Glib/GSignal.xs,
        Glib/GType.xs, Glib/gperl.h, Gtk2/xs/GtkAccelGroup.xs,
        Gtk2/xs/GtkIconFactory.xs, Gtk2/xs/GtkListStore.xs,
        Gtk2/xs/GtkObject.xs, Gtk2/xs/GtkToolbar.xs, Gtk2/xs/GtkTreeView.xs,
        Gtk2/xs/GtkWidget.xs: // comments -> /*

2003/09/30 20:19 rwmcfa1

	* pm/SimpleList.pm: fixed bugs with push and unshift not taking arrays
	for pushing, only first element was getting pushed. pointed out by
	Bjarne Steinsb??

	* examples/simplelist.pl: example of push/unshift array of arrays

	* t/19.GtkSimpleList.t: tests of push/unshift array of arrays

	* xs/GtkClipboard.xs: removed an unused function destroy_data, quited
	some warnings in the same style as currently done.

2003/09/28 20:19 rwmcfa1

	* xs/GdkWindow.xs: bugs found in _for_display functions, not accepting
	class arguments.

2003/09/26 16:42 muppetman

	* pm/SimpleList.pm: be defensive and use exists() to check whether
	keys already exist in %column_types; this fixes a bug reported by
	Jaap Karssenberg, where supply a bad column type would tell you that
	column type was invalid, but include that bad name in the list of
	valid keys (because of autovivification).  (a lot of explaining for
	a simple bug.)

2003/09/26 26:25 rwmcfa1

	* xs/GtkTextView.xs: new_with_buffer had class param but no spec for it
	this was not a bug, but now it's like everything else thoughout the
	whole of Gtk2.

2003/09/26 03:45 muppetman

	* Gtk2.pm, README, META.yml, debian/changelog: prep for 1.00rc3 release

	* pm/SimpleList.pm: Gtk2::SimpleList->new_from_treeview allows an
	existing Gtk2::TreeView to be turned into a SimpleList.  intended
	for Glade users.

	* xs/GtkClipboard.xs, api.pod: several nasty bugs mean that this
	module couldn't have worked as it was.  added class parameter to get
	and get_for_display.  implemented set_with_data and set_with_owner.
	made the others actually work.

	* gtk2perl.h, xs/GtkSelection.xs: moved the macro to gtk2perl.h as
	GTK2PERL_STACK_ITEMS_TO_TARGET_ENTRY_ARRAY so clipboard could use it.

	* t/27.GtkClipboard.t, MANIFEST: new test.

	 * xs/GtkStyle.xs: somehow we had implemented the deprecated
	 gtk_draw_flat_box instead of gtk_paint_flat_box.

2003/09/24 14:15 muppetman

	* api.pod, xs.GtkWidget.xs, t/01.GtkWidget.xs: simplify
	gtk_widget_intersect to return either a rectangle or undef.

2003/09/24 11:39 rwmcfa1

	* xs/GtkWidget.xs: implemented several missing functions

        * t/01.GtkWindow.t: test a couple of the above

	* api.pod: document where the api of the above changes differes from
	their c couterparts

2003/09/21 20:19 rwmcfa1

	* Makefile.PL: fixed bug in specfile generation

2003/09/21 19:58 rwmcfa1

	* (lots of files): license updates/additions

2003/09/21 11:18 muppetman

	* AUTHORS: torsten's officially on the team now.

2003/09/18 23:10 muppetman

	* pm/SimpleList.pm: added new_from_widget(), which allows glade users
	to use SimpleLists.  this basically just re-blesses the treeview that
	comes in, which means it won't work if we ever change SimpleList to be
	a proper Glib::Object subclass.

2003/09/19 00:53 muppetman

	* Gtk2.pm, README, META.yml, debian/control, debian/changelog:
	updated for the 1.00rc2 release.

	* Makefile.PL: updated requirements

2003/09/17 10:44 rwmcfa1

	* Makefile.PL: ExtUtils::PkgConfig can now deal with version
	requirements using pkg-config's interface, make use of it.

2003/09/16 23:50 rwmcfa1

	* Makefile.PL, perl-*spec.in: somewhat automated versioning system
	implemented for depenancy modules

2003/09/16 15:00 muppetman

	* Makefile.PL: don't do any of the hand-coded install stuff on
	windows --- there's no sane place to install, and nmake barfs on
	the generated makefile code.

	* xs/GtkDialog.xs: unused variables

	* xs/GdkGC.xs, xs/GdkTypes.xs, xs/GtkCurve.xs, xs/GtkTreeView.xs:
	casts to hush pedantic compilers

2003/09/15 22:26 rwmcfa1

	* Makefile.PL: spec file dependancies improved

	* xs/GdkPixbuf.xs: fixed ref count bug.

2003/09/15 16:02 muppetman

	* Gtk2.pm: remove Gtk2::Dialog::Responses, add a bunch of missing
	L<links>

	* Makefile.PL, gtk-demo/changedisplay.pl, xs/GtkDialog.xs: use
	gperl_signal_set_marshaller_for() to set a custom marshaller for
	GtkDialog's response signal, so we can get the enum string values
	for the response id in the response handler instead of negative
	numbers.  removes the need for Gtk2::Dialog::Responses, so that
	ugly wart is now gone as well.  Gtk2 now requires Glib 1.00rc2.

	* MANIFEST, pm/Responses.pm (deleted): delete Responses.pm.

2003/09/15 14:02 muppetman

	the ones that got away...
	* xs/GtkItemFactory.xs: remove unused private function
	* xs/GtkNotebook.xs, xs/GtkTreeStore.xs: remove unused variable
	* xs/GtkToolbar.xs: initialize the uninitialized

2003/09/14 15:44 rwmcfa1

	* xs/(most everything): quiet warnings from -Wall, and/or add void
	comments

	* xs/GdkDisplay.xs: added const qualifier to gchar * return value

	* xs/GdkDnd.xs: copy-and-paste bug fixed, get_protocol(_for_display)

	* xs/GdkPixbuf.xs: formatting cleanup

	* xs/GdkWindow.xs: quited warning about invalid paramter type

	* xs/GtkIconFactory.xs: non-void paramter with PPCODE, fixed

	* xs/GtkTearoffMenuItem.xs: teamoff -> tearoff, big bug

	* xs/GtkTreeModel.xs: looking for -1 list terminator incorrectly,
	bug-fix

2003/09/14 01:31 muppetman

	* maps: remove some deprecated types
	* xs/GtkIconFactory.xs: implement gtk_icon_set_render_icon

2003/09/14 01:09 muppetman

	* xs/GtkTextIter.xs: implement gtk_text_iter_get_tags()

2003/09/11 23:51 muppetman

	* ChangeLog, Gtk2.pm, MANIFEST, META.yml, README, debian/changelog,
	debian/control: updated for 1.00rc1 release

	* Makefile.PL: require Glib 1.00rc1

2003/09/11 23:41 muppetman

	* examples/histogramplot.pl: update to use the new, fixed overrides
	features of Glib::Object::Subclass in Glib 1.00rc1.

2003/09/11 11:01 rwmcfa1

	* t/*.t: use strict and use warnings added and fixes made to allow
	things to run with them.

2003/09/10 15:04 rwmcfa1

	* examples/socket.pl: make the same change in here that was made in
	the plug socket test way back when, use the perl socket is being run
	with to run the plug script.

2003/09/09 21:35 muppetman

	* t/22.GtkListStore.t, t/23.GtkTreeStore.t, t/24.GtkTreeView.t,
	 t/25.GtkTreeSelection.t: patch from torsten uses isa_ok() instead
	 of is(ref(), ...) all over the place.

2003/09/09 21:22 muppetman

	* pm/Responses.pm, Gtk2.pm, Makefile.PL, gtk-demo/changedisplay.pl,
	MANIFEST: tiny module adds named constants for the dialog responses,
	with pod

	* pm/Pango.pm: update the link in the see also section


2003/09/09 19:52 rwmcfa1

